
* GET TREATMENT ASSIGNMENT MASTERFILE FROM SURVEY DATA
import delim using "01_RawData/full_panel.csv", clear stringc(10)
keep stratumid treatment cluster_kutcha cluster_pucca cluster_university cluster_unemployed cluster_malaria5year cluster_malaria2weeks cluster_sleepundernet cluster_population cluster_cost_per_completion cluster_cost_per_message cluster_ctr cluster_cpm

bys stratumid: keep if _n==1
drop if treatment==.
rename stratumid disthash

preserve
import delim using "01_RawData/base-cities.csv", clear
keep distname disthash state
bys state disthash: keep if _n==1

tempfile temp
save `temp'
restore

merge 1:m disthash using `temp', keep(master matched) nogen
sort state distname
  gen district = distname

* fix population that is missing in two districts (from census)
destring cluster_population, i("NA") replace
replace cluster_population = 2192933 if district == "Sambhal"
replace cluster_population = 1274815 if district == "Samli"

     replace district=subinstr(district," ","",.)
     replace district=subinstr(district,"-","",.)
     replace state=subinstr(state," ","",.)

     replace district = "Korea" if district == "Koriya"
     replace district = "Koderma" if district == "Kodarma"
     replace district = "EastSinghbum" if district == "PurbiSinghbhum"
     replace district = "Prayagraj" if district == "Allahabad"
     replace district = "Barabanki" if district == "BaraBanki"
     replace district = "Ayodhya" if district == "Faizabad"     
     replace district = "Amroha" if district == "JyotibaPhuleNagar"
     replace district = "Kasganj" if district == "KanshiramNagar"
     replace district = "KushiNagar" if district == "Kushinagar"
     replace district = "Hathras" if district == "MahamayaNagar"
     replace district = "Shamli" if district == "Samli"
     replace district = "Bhadohi" if district == "SantRavidasNagar(Bhadohi)"
     replace district = "Maharajganj" if district == "Mahrajganj"

     replace state = "Chhattisgarh" if state == "Chhatisgarh"

save "01_RawData/treatment_assignment.dta", replace


* IMPORT,RESHAPE and CLEAN RAW MALARIA DATA
* Import Excel files
local states "Chhattisgarh Jharkhand UttarPradesh"
local years "2020_2021 2021_2022"
     foreach state of local states {
          foreach year of local years {

if "`state'" == "Chhattisgarh" & "`year'" == "2020_2021" local names "A-Balod_Apr.xlsx    A-Baloda_Bazar_Apr.xlsx  A-Balrampur_Apr.xlsx     A-Bastar_Apr.xlsx   A-Bemetara_Apr.xlsx A-Bijapur_Apr.xlsx  A-Bilaspur_Apr.xlsx A-Dantewada_Apr.xlsx     A-Dhamtari_Apr.xlsx A-Durg_Apr.xlsx     A-Gariyaband_Apr.xlsx    A-Gaurella_Pendra_Marwahi_Apr.xlsx A-Janjgir-Champa_Apr.xlsx     A-Jashpur_Apr.xlsx  A-Kabirdham_Apr.xlsx     A-Kanker_Apr.xlsx   A-Kondagaon_Apr.xlsx     A-Korba_Apr.xlsx    A-Korea_Apr.xlsx    A-Mahasamund_Apr.xlsx    A-Mungeli_Apr.xlsx  A-Narayanpur_Apr.xlsx    A-Raigarh_Apr.xlsx  A-Raipur_Apr.xlsx   A-Rajnandgaon_Apr.xlsx   A-Sukma_Apr.xlsx    A-Surajpur_Apr.xlsx A-Surguja_Apr.xlsx  B-Balod_May.xlsx    B-Baloda_Bazar_May.xlsx  B-Balrampur_May.xlsx     B-Bastar_May.xlsx   B-Bemetara_May.xlsx B-Bijapur_May.xlsx  B-Bilaspur_May.xlsx B-Dantewada_May.xlsx     B-Dhamtari_May.xlsx B-Durg_May.xlsx     B-Gariyaband_May.xlsx    B-Gaurella_Pendra_Marwahi_May.xlsx B-Janjgir-Champa_May.xlsx     B-Jashpur_May.xlsx  B-Kabirdham_May.xlsx     B-Kanker_May.xlsx   B-Kondagaon_May.xlsx     B-Korba_May.xlsx    B-Korea_May.xlsx    B-Mahasamund_May.xlsx    B-Mungeli_May.xlsx  B-Narayanpur_May.xlsx    B-Raigarh_May.xlsx  B-Raipur_May.xlsx   B-Rajnandgaon_May.xlsx   B-Sukma_May.xlsx    B-Surajpur_May.xlsx B-Surguja_May.xlsx  C-Balod_Jun.xlsx    C-Baloda_Bazar_Jun.xlsx  C-Balrampur_Jun.xlsx     C-Bastar_Jun.xlsx   C-Bemetara_Jun.xlsx C-Bijapur_Jun.xlsx  C-Bilaspur_Jun.xlsx C-Dantewada_Jun.xlsx     C-Dhamtari_Jun.xlsx C-Durg_Jun.xlsx     C-Gariyaband_Jun.xlsx    C-Gaurella_Pendra_Marwahi_Jun.xlsx C-Janjgir-Champa_Jun.xlsx     C-Jashpur_Jun.xlsx  C-Kabirdham_Jun.xlsx     C-Kanker_Jun.xlsx   C-Kondagaon_Jun.xlsx     C-Korba_Jun.xlsx    C-Korea_Jun.xlsx    C-Mahasamund_Jun.xlsx    C-Mungeli_Jun.xlsx  C-Narayanpur_Jun.xlsx    C-Raigarh_Jun.xlsx  C-Raipur_Jun.xlsx   C-Rajnandgaon_Jun.xlsx   C-Sukma_Jun.xlsx    C-Surajpur_Jun.xlsx C-Surguja_Jun.xlsx  D-Balod_Jul.xlsx    D-Baloda_Bazar_Jul.xlsx  D-Balrampur_Jul.xlsx     D-Bastar_Jul.xlsx   D-Bemetara_Jul.xlsx D-Bijapur_Jul.xlsx  D-Bilaspur_Jul.xlsx D-Dantewada_Jul.xlsx     D-Dhamtari_Jul.xlsx D-Durg_Jul.xlsx     D-Gariyaband_Jul.xlsx    D-Gaurella_Pendra_Marwahi_Jul.xlsx D-Janjgir-Champa_Jul.xlsx     D-Jashpur_Jul.xlsx  D-Kabirdham_Jul.xlsx     D-Kanker_Jul.xlsx   D-Kondagaon_Jul.xlsx     D-Korba_Jul.xlsx    D-Korea_Jul.xlsx    D-Mahasamund_Jul.xlsx    D-Mungeli_Jul.xlsx  D-Narayanpur_Jul.xlsx    D-Raigarh_Jul.xlsx  D-Raipur_Jul.xlsx   D-Rajnandgaon_Jul.xlsx   D-Sukma_Jul.xlsx    D-Surajpur_Jul.xlsx D-Surguja_Jul.xlsx  E-Balod_Aug.xlsx    E-Baloda_Bazar_Aug.xlsx  E-Balrampur_Aug.xlsx     E-Bastar_Aug.xlsx   E-Bemetara_Aug.xlsx E-Bijapur_Aug.xlsx  E-Bilaspur_Aug.xlsx E-Dantewada_Aug.xlsx     E-Dhamtari_Aug.xlsx E-Durg_Aug.xlsx     E-Gariyaband_Aug.xlsx    E-Gaurella_Pendra_Marwahi_Aug.xlsx E-Janjgir-Champa_Aug.xlsx     E-Jashpur_Aug.xlsx  E-Kabirdham_Aug.xlsx     E-Kanker_Aug.xlsx   E-Kondagaon_Aug.xlsx     E-Korba_Aug.xlsx    E-Korea_Aug.xlsx    E-Mahasamund_Aug.xlsx    E-Mungeli_Aug.xlsx  E-Narayanpur_Aug.xlsx    E-Raigarh_Aug.xlsx  E-Raipur_Aug.xlsx   E-Rajnandgaon_Aug.xlsx   E-Sukma_Aug.xlsx    E-Surajpur_Aug.xlsx E-Surguja_Aug.xlsx  F-Balod_Sep.xlsx    F-Baloda_Bazar_Sep.xlsx  F-Balrampur_Sep.xlsx     F-Bastar_Sep.xlsx   F-Bemetara_Sep.xlsx F-Bijapur_Sep.xlsx  F-Bilaspur_Sep.xlsx F-Dantewada_Sep.xlsx     F-Dhamtari_Sep.xlsx F-Durg_Sep.xlsx     F-Gariyaband_Sep.xlsx    F-Gaurella_Pendra_Marwahi_Sep.xlsx F-Janjgir-Champa_Sep.xlsx     F-Jashpur_Sep.xlsx  F-Kabirdham_Sep.xlsx     F-Kanker_Sep.xlsx   F-Kondagaon_Sep.xlsx     F-Korba_Sep.xlsx    F-Korea_Sep.xlsx    F-Mahasamund_Sep.xlsx    F-Mungeli_Sep.xlsx  F-Narayanpur_Sep.xlsx    F-Raigarh_Sep.xlsx  F-Raipur_Sep.xlsx   F-Rajnandgaon_Sep.xlsx   F-Sukma_Sep.xlsx    F-Surajpur_Sep.xlsx F-Surguja_Sep.xlsx  G-Balod_Oct.xlsx    G-Baloda_Bazar_Oct.xlsx  G-Balrampur_Oct.xlsx     G-Bastar_Oct.xlsx   G-Bemetara_Oct.xlsx G-Bijapur_Oct.xlsx  G-Bilaspur_Oct.xlsx G-Dantewada_Oct.xlsx     G-Dhamtari_Oct.xlsx G-Durg_Oct.xlsx     G-Gariyaband_Oct.xlsx    G-Gaurella_Pendra_Marwahi_Oct.xlsx G-Janjgir-Champa_Oct.xlsx     G-Jashpur_Oct.xlsx  G-Kabirdham_Oct.xlsx     G-Kanker_Oct.xlsx   G-Kondagaon_Oct.xlsx     G-Korba_Oct.xlsx    G-Korea_Oct.xlsx    G-Mahasamund_Oct.xlsx    G-Mungeli_Oct.xlsx  G-Narayanpur_Oct.xlsx    G-Raigarh_Oct.xlsx  G-Raipur_Oct.xlsx   G-Rajnandgaon_Oct.xlsx   G-Sukma_Oct.xlsx    G-Surajpur_Oct.xlsx G-Surguja_Oct.xlsx  H-Balod_Nov.xlsx    H-Baloda_Bazar_Nov.xlsx  H-Balrampur_Nov.xlsx     H-Bastar_Nov.xlsx   H-Bemetara_Nov.xlsx H-Bijapur_Nov.xlsx  H-Bilaspur_Nov.xlsx H-Dantewada_Nov.xlsx     H-Dhamtari_Nov.xlsx H-Durg_Nov.xlsx     H-Gariyaband_Nov.xlsx    H-Gaurella_Pendra_Marwahi_Nov.xlsx H-Janjgir-Champa_Nov.xlsx     H-Jashpur_Nov.xlsx  H-Kabirdham_Nov.xlsx     H-Kanker_Nov.xlsx   H-Kondagaon_Nov.xlsx     H-Korba_Nov.xlsx    H-Korea_Nov.xlsx    H-Mahasamund_Nov.xlsx    H-Mungeli_Nov.xlsx  H-Narayanpur_Nov.xlsx    H-Raigarh_Nov.xlsx  H-Raipur_Nov.xlsx   H-Rajnandgaon_Nov.xlsx   H-Sukma_Nov.xlsx    H-Surajpur_Nov.xlsx H-Surguja_Nov.xlsx  I-Balod_Dec.xlsx    I-Baloda_Bazar_Dec.xlsx  I-Balrampur_Dec.xlsx     I-Bastar_Dec.xlsx   I-Bemetara_Dec.xlsx I-Bijapur_Dec.xlsx  I-Bilaspur_Dec.xlsx I-Dantewada_Dec.xlsx     I-Dhamtari_Dec.xlsx I-Durg_Dec.xlsx     I-Gariyaband_Dec.xlsx    I-Gaurella_Pendra_Marwahi_Dec.xlsx I-Janjgir-Champa_Dec.xlsx     I-Jashpur_Dec.xlsx  I-Kabirdham_Dec.xlsx     I-Kanker_Dec.xlsx   I-Kondagaon_Dec.xlsx     I-Korba_Dec.xlsx    I-Korea_Dec.xlsx    I-Mahasamund_Dec.xlsx    I-Mungeli_Dec.xlsx  I-Narayanpur_Dec.xlsx    I-Raigarh_Dec.xlsx  I-Raipur_Dec.xlsx   I-Rajnandgaon_Dec.xlsx   I-Sukma_Dec.xlsx    I-Surajpur_Dec.xlsx I-Surguja_Dec.xlsx  J-Balod_Jan.xlsx    J-Baloda_Bazar_Jan.xlsx  J-Balrampur_Jan.xlsx     J-Bastar_Jan.xlsx   J-Bemetara_Jan.xlsx J-Bijapur_Jan.xlsx  J-Bilaspur_Jan.xlsx J-Dantewada_Jan.xlsx     J-Dhamtari_Jan.xlsx J-Durg_Jan.xlsx     J-Gariyaband_Jan.xlsx    J-Gaurella_Pendra_Marwahi_Jan.xlsx J-Janjgir-Champa_Jan.xlsx     J-Jashpur_Jan.xlsx  J-Kabirdham_Jan.xlsx     J-Kanker_Jan.xlsx   J-Kondagaon_Jan.xlsx     J-Korba_Jan.xlsx    J-Korea_Jan.xlsx    J-Mahasamund_Jan.xlsx    J-Mungeli_Jan.xlsx  J-Narayanpur_Jan.xlsx    J-Raigarh_Jan.xlsx  J-Raipur_Jan.xlsx   J-Rajnandgaon_Jan.xlsx   J-Sukma_Jan.xlsx    J-Surajpur_Jan.xlsx J-Surguja_Jan.xlsx  K-Balod_Feb.xlsx    K-Baloda_Bazar_Feb.xlsx  K-Balrampur_Feb.xlsx     K-Bastar_Feb.xlsx   K-Bemetara_Feb.xlsx K-Bijapur_Feb.xlsx  K-Bilaspur_Feb.xlsx K-Dantewada_Feb.xlsx     K-Dhamtari_Feb.xlsx K-Durg_Feb.xlsx     K-Gariyaband_Feb.xlsx    K-Gaurella_Pendra_Marwahi_Feb.xlsx K-Janjgir-Champa_Feb.xlsx     K-Jashpur_Feb.xlsx  K-Kabirdham_Feb.xlsx     K-Kanker_Feb.xlsx   K-Kondagaon_Feb.xlsx     K-Korba_Feb.xlsx    K-Korea_Feb.xlsx    K-Mahasamund_Feb.xlsx    K-Mungeli_Feb.xlsx  K-Narayanpur_Feb.xlsx    K-Raigarh_Feb.xlsx  K-Raipur_Feb.xlsx   K-Rajnandgaon_Feb.xlsx   K-Sukma_Feb.xlsx    K-Surajpur_Feb.xlsx K-Surguja_Feb.xlsx  L-Balod_Mar.xlsx    L-Baloda_Bazar_Mar.xlsx  L-Balrampur_Mar.xlsx     L-Bastar_Mar.xlsx   L-Bemetara_Mar.xlsx L-Bijapur_Mar.xlsx  L-Bilaspur_Mar.xlsx L-Dantewada_Mar.xlsx     L-Dhamtari_Mar.xlsx L-Durg_Mar.xlsx     L-Gariyaband_Mar.xlsx    L-Gaurella_Pendra_Marwahi_Mar.xlsx L-Janjgir-Champa_Mar.xlsx     L-Jashpur_Mar.xlsx  L-Kabirdham_Mar.xlsx     L-Kanker_Mar.xlsx   L-Kondagaon_Mar.xlsx     L-Korba_Mar.xlsx    L-Korea_Mar.xlsx    L-Mahasamund_Mar.xlsx    L-Mungeli_Mar.xlsx  L-Narayanpur_Mar.xlsx    L-Raigarh_Mar.xlsx  L-Raipur_Mar.xlsx   L-Rajnandgaon_Mar.xlsx   L-Sukma_Mar.xlsx    L-Surajpur_Mar.xlsx L-Surguja_Mar.xlsx"
if "`state'" == "Chhattisgarh" & "`year'" == "2021_2022" local names "A-Balod_Apr.xlsx    A-Baloda_Bazar_Apr.xlsx  A-Balrampur_Apr.xlsx     A-Bastar_Apr.xlsx   A-Bemetara_Apr.xlsx A-Bijapur_Apr.xlsx  A-Bilaspur_Apr.xlsx A-Dantewada_Apr.xlsx     A-Dhamtari_Apr.xlsx A-Durg_Apr.xlsx     A-Gariyaband_Apr.xlsx    A-Gaurella_Pendra_Marwahi_Apr.xlsx A-Janjgir-Champa_Apr.xlsx     A-Jashpur_Apr.xlsx  A-Kabirdham_Apr.xlsx     A-Kanker_Apr.xlsx   A-Kondagaon_Apr.xlsx     A-Korba_Apr.xlsx    A-Korea_Apr.xlsx    A-Mahasamund_Apr.xlsx    A-Mungeli_Apr.xlsx  A-Narayanpur_Apr.xlsx    A-Raigarh_Apr.xlsx  A-Raipur_Apr.xlsx   A-Rajnandgaon_Apr.xlsx   A-Sukma_Apr.xlsx    A-Surajpur_Apr.xlsx A-Surguja_Apr.xlsx  B-Balod_May.xlsx    B-Baloda_Bazar_May.xlsx  B-Balrampur_May.xlsx     B-Bastar_May.xlsx   B-Bemetara_May.xlsx B-Bijapur_May.xlsx  B-Bilaspur_May.xlsx B-Dantewada_May.xlsx     B-Dhamtari_May.xlsx B-Durg_May.xlsx     B-Gariyaband_May.xlsx    B-Gaurella_Pendra_Marwahi_May.xlsx B-Janjgir-Champa_May.xlsx     B-Jashpur_May.xlsx  B-Kabirdham_May.xlsx     B-Kanker_May.xlsx   B-Kondagaon_May.xlsx     B-Korba_May.xlsx    B-Korea_May.xlsx    B-Mahasamund_May.xlsx    B-Mungeli_May.xlsx  B-Narayanpur_May.xlsx    B-Raigarh_May.xlsx  B-Raipur_May.xlsx   B-Rajnandgaon_May.xlsx   B-Sukma_May.xlsx    B-Surajpur_May.xlsx B-Surguja_May.xlsx"

if "`state'" == "Jharkhand" & "`year'" == "2020_2021" local names "A-Bokaro_Apr.xlsx   A-Chatra_Apr.xlsx   A-Deoghar_Apr.xlsx  A-Dhanbad_Apr.xlsx  A-Dumka_Apr.xlsx    A-East_Singhbum_Apr.xlsx A-Garhwa_Apr.xlsx   A-Giridih_Apr.xlsx  A-Godda_Apr.xlsx    A-Gumla_Apr.xlsx    A-Hazaribagh_Apr.xlsx    A-Jamtara_Apr.xlsx  A-Khunti_Apr.xlsx   A-Koderma_Apr.xlsx  A-Latehar_Apr.xlsx  A-Lohardaga_Apr.xlsx     A-Pakur_Apr.xlsx    A-Palamu_Apr.xlsx   A-Ramgarh_Apr.xlsx  A-Ranchi_Apr.xlsx   A-Sahebganj_Apr.xlsx     A-Saraikela_Kharsawan_Apr.xlsx     A-Simdega_Apr.xlsx  A-West_Singhbhum_Apr.xlsx     B-Bokaro_May.xlsx   B-Chatra_May.xlsx   B-Deoghar_May.xlsx  B-Dhanbad_May.xlsx  B-Dumka_May.xlsx    B-East_Singhbum_May.xlsx B-Garhwa_May.xlsx   B-Giridih_May.xlsx  B-Godda_May.xlsx    B-Gumla_May.xlsx    B-Hazaribagh_May.xlsx    B-Jamtara_May.xlsx  B-Khunti_May.xlsx   B-Koderma_May.xlsx  B-Latehar_May.xlsx  B-Lohardaga_May.xlsx     B-Pakur_May.xlsx    B-Palamu_May.xlsx   B-Ramgarh_May.xlsx  B-Ranchi_May.xlsx   B-Sahebganj_May.xlsx     B-Saraikela_Kharsawan_May.xlsx     B-Simdega_May.xlsx  B-West_Singhbhum_May.xlsx     C-Bokaro_Jun.xlsx   C-Chatra_Jun.xlsx   C-Deoghar_Jun.xlsx  C-Dhanbad_Jun.xlsx  C-Dumka_Jun.xlsx    C-East_Singhbum_Jun.xlsx C-Garhwa_Jun.xlsx   C-Giridih_Jun.xlsx  C-Godda_Jun.xlsx    C-Gumla_Jun.xlsx    C-Hazaribagh_Jun.xlsx    C-Jamtara_Jun.xlsx  C-Khunti_Jun.xlsx   C-Koderma_Jun.xlsx  C-Latehar_Jun.xlsx  C-Lohardaga_Jun.xlsx     C-Pakur_Jun.xlsx    C-Palamu_Jun.xlsx   C-Ramgarh_Jun.xlsx  C-Ranchi_Jun.xlsx   C-Sahebganj_Jun.xlsx     C-Saraikela_Kharsawan_Jun.xlsx     C-Simdega_Jun.xlsx  C-West_Singhbhum_Jun.xlsx     D-Bokaro_Jul.xlsx   D-Chatra_Jul.xlsx   D-Deoghar_Jul.xlsx  D-Dhanbad_Jul.xlsx  D-Dumka_Jul.xlsx    D-East_Singhbum_Jul.xlsx D-Garhwa_Jul.xlsx   D-Giridih_Jul.xlsx  D-Godda_Jul.xlsx    D-Gumla_Jul.xlsx    D-Hazaribagh_Jul.xlsx    D-Jamtara_Jul.xlsx  D-Khunti_Jul.xlsx   D-Koderma_Jul.xlsx  D-Latehar_Jul.xlsx  D-Lohardaga_Jul.xlsx     D-Pakur_Jul.xlsx    D-Palamu_Jul.xlsx   D-Ramgarh_Jul.xlsx  D-Ranchi_Jul.xlsx   D-Sahebganj_Jul.xlsx     D-Saraikela_Kharsawan_Jul.xlsx     D-Simdega_Jul.xlsx  D-West_Singhbhum_Jul.xlsx     E-Bokaro_Aug.xlsx   E-Chatra_Aug.xlsx   E-Deoghar_Aug.xlsx  E-Dhanbad_Aug.xlsx  E-Dumka_Aug.xlsx    E-East_Singhbum_Aug.xlsx E-Garhwa_Aug.xlsx   E-Giridih_Aug.xlsx  E-Godda_Aug.xlsx    E-Gumla_Aug.xlsx    E-Hazaribagh_Aug.xlsx    E-Jamtara_Aug.xlsx  E-Khunti_Aug.xlsx   E-Koderma_Aug.xlsx  E-Latehar_Aug.xlsx  E-Lohardaga_Aug.xlsx     E-Pakur_Aug.xlsx    E-Palamu_Aug.xlsx   E-Ramgarh_Aug.xlsx  E-Ranchi_Aug.xlsx   E-Sahebganj_Aug.xlsx     E-Saraikela_Kharsawan_Aug.xlsx     E-Simdega_Aug.xlsx  E-West_Singhbhum_Aug.xlsx     F-Bokaro_Sep.xlsx   F-Chatra_Sep.xlsx   F-Deoghar_Sep.xlsx  F-Dhanbad_Sep.xlsx  F-Dumka_Sep.xlsx    F-East_Singhbum_Sep.xlsx F-Garhwa_Sep.xlsx   F-Giridih_Sep.xlsx  F-Godda_Sep.xlsx    F-Gumla_Sep.xlsx    F-Hazaribagh_Sep.xlsx    F-Jamtara_Sep.xlsx  F-Khunti_Sep.xlsx   F-Koderma_Sep.xlsx  F-Latehar_Sep.xlsx  F-Lohardaga_Sep.xlsx     F-Pakur_Sep.xlsx    F-Palamu_Sep.xlsx   F-Ramgarh_Sep.xlsx  F-Ranchi_Sep.xlsx   F-Sahebganj_Sep.xlsx     F-Saraikela_Kharsawan_Sep.xlsx     F-Simdega_Sep.xlsx  F-West_Singhbhum_Sep.xlsx     G-Bokaro_Oct.xlsx   G-Chatra_Oct.xlsx   G-Deoghar_Oct.xlsx  G-Dhanbad_Oct.xlsx  G-Dumka_Oct.xlsx    G-East_Singhbum_Oct.xlsx G-Garhwa_Oct.xlsx   G-Giridih_Oct.xlsx  G-Godda_Oct.xlsx    G-Gumla_Oct.xlsx    G-Hazaribagh_Oct.xlsx    G-Jamtara_Oct.xlsx  G-Khunti_Oct.xlsx   G-Koderma_Oct.xlsx  G-Latehar_Oct.xlsx  G-Lohardaga_Oct.xlsx     G-Pakur_Oct.xlsx    G-Palamu_Oct.xlsx   G-Ramgarh_Oct.xlsx  G-Ranchi_Oct.xlsx   G-Sahebganj_Oct.xlsx     G-Saraikela_Kharsawan_Oct.xlsx     G-Simdega_Oct.xlsx  G-West_Singhbhum_Oct.xlsx     H-Bokaro_Nov.xlsx   H-Chatra_Nov.xlsx   H-Deoghar_Nov.xlsx  H-Dhanbad_Nov.xlsx  H-Dumka_Nov.xlsx    H-East_Singhbum_Nov.xlsx H-Garhwa_Nov.xlsx   H-Giridih_Nov.xlsx  H-Godda_Nov.xlsx    H-Gumla_Nov.xlsx    H-Hazaribagh_Nov.xlsx    H-Jamtara_Nov.xlsx  H-Khunti_Nov.xlsx   H-Koderma_Nov.xlsx  H-Latehar_Nov.xlsx  H-Lohardaga_Nov.xlsx     H-Pakur_Nov.xlsx    H-Palamu_Nov.xlsx   H-Ramgarh_Nov.xlsx  H-Ranchi_Nov.xlsx   H-Sahebganj_Nov.xlsx     H-Saraikela_Kharsawan_Nov.xlsx     H-Simdega_Nov.xlsx  H-West_Singhbhum_Nov.xlsx     I-Bokaro_Dec.xlsx   I-Chatra_Dec.xlsx   I-Deoghar_Dec.xlsx  I-Dhanbad_Dec.xlsx  I-Dumka_Dec.xlsx    I-East_Singhbum_Dec.xlsx I-Garhwa_Dec.xlsx   I-Giridih_Dec.xlsx  I-Godda_Dec.xlsx    I-Gumla_Dec.xlsx    I-Hazaribagh_Dec.xlsx    I-Jamtara_Dec.xlsx  I-Khunti_Dec.xlsx   I-Koderma_Dec.xlsx  I-Latehar_Dec.xlsx  I-Lohardaga_Dec.xlsx     I-Pakur_Dec.xlsx    I-Palamu_Dec.xlsx   I-Ramgarh_Dec.xlsx  I-Ranchi_Dec.xlsx   I-Sahebganj_Dec.xlsx     I-Saraikela_Kharsawan_Dec.xlsx     I-Simdega_Dec.xlsx  I-West_Singhbhum_Dec.xlsx     J-Bokaro_Jan.xlsx   J-Chatra_Jan.xlsx   J-Deoghar_Jan.xlsx  J-Dhanbad_Jan.xlsx  J-Dumka_Jan.xlsx    J-East_Singhbum_Jan.xlsx J-Garhwa_Jan.xlsx   J-Giridih_Jan.xlsx  J-Godda_Jan.xlsx    J-Gumla_Jan.xlsx    J-Hazaribagh_Jan.xlsx    J-Jamtara_Jan.xlsx  J-Khunti_Jan.xlsx   J-Koderma_Jan.xlsx  J-Latehar_Jan.xlsx  J-Lohardaga_Jan.xlsx     J-Pakur_Jan.xlsx    J-Palamu_Jan.xlsx   J-Ramgarh_Jan.xlsx  J-Ranchi_Jan.xlsx   J-Sahebganj_Jan.xlsx     J-Saraikela_Kharsawan_Jan.xlsx     J-Simdega_Jan.xlsx  J-West_Singhbhum_Jan.xlsx     K-Bokaro_Feb.xlsx   K-Chatra_Feb.xlsx   K-Deoghar_Feb.xlsx  K-Dhanbad_Feb.xlsx  K-Dumka_Feb.xlsx    K-East_Singhbum_Feb.xlsx K-Garhwa_Feb.xlsx   K-Giridih_Feb.xlsx  K-Godda_Feb.xlsx    K-Gumla_Feb.xlsx    K-Hazaribagh_Feb.xlsx    K-Jamtara_Feb.xlsx  K-Khunti_Feb.xlsx   K-Koderma_Feb.xlsx  K-Latehar_Feb.xlsx  K-Lohardaga_Feb.xlsx     K-Pakur_Feb.xlsx    K-Palamu_Feb.xlsx   K-Ramgarh_Feb.xlsx  K-Ranchi_Feb.xlsx   K-Sahebganj_Feb.xlsx     K-Saraikela_Kharsawan_Feb.xlsx     K-Simdega_Feb.xlsx  K-West_Singhbhum_Feb.xlsx     L-Bokaro_Mar.xlsx   L-Chatra_Mar.xlsx   L-Deoghar_Mar.xlsx  L-Dhanbad_Mar.xlsx  L-Dumka_Mar.xlsx    L-East_Singhbum_Mar.xlsx L-Garhwa_Mar.xlsx   L-Giridih_Mar.xlsx  L-Godda_Mar.xlsx    L-Gumla_Mar.xlsx    L-Hazaribagh_Mar.xlsx    L-Jamtara_Mar.xlsx  L-Khunti_Mar.xlsx   L-Koderma_Mar.xlsx  L-Latehar_Mar.xlsx  L-Lohardaga_Mar.xlsx     L-Pakur_Mar.xlsx    L-Palamu_Mar.xlsx   L-Ramgarh_Mar.xlsx  L-Ranchi_Mar.xlsx   L-Sahebganj_Mar.xlsx     L-Saraikela_Kharsawan_Mar.xlsx     L-Simdega_Mar.xlsx  L-West_Singhbhum_Mar.xlsx"
if "`state'" == "Jharkhand" & "`year'" == "2021_2022" local names "A-Chatra_Apr.xlsx  A-Bokaro_Apr.xlsx   A-Deoghar_Apr.xlsx  A-Dhanbad_Apr.xlsx  A-Dumka_Apr.xlsx    A-East_Singhbum_Apr.xlsx A-Garhwa_Apr.xlsx   A-Giridih_Apr.xlsx  A-Godda_Apr.xlsx    A-Gumla_Apr.xlsx    A-Hazaribagh_Apr.xlsx    A-Jamtara_Apr.xlsx  A-Khunti_Apr.xlsx   A-Koderma_Apr.xlsx  A-Latehar_Apr.xlsx  A-Lohardaga_Apr.xlsx     A-Pakur_Apr.xlsx    A-Palamu_Apr.xlsx   A-Ramgarh_Apr.xlsx  A-Ranchi_Apr.xlsx   A-Sahebganj_Apr.xlsx     A-Saraikela_Kharsawan_Apr.xlsx     A-Simdega_Apr.xlsx  A-West_Singhbhum_Apr.xlsx     B-Bokaro_May.xlsx   B-Chatra_May.xlsx   B-Deoghar_May.xlsx  B-Dhanbad_May.xlsx  B-Dumka_May.xlsx    B-East_Singhbum_May.xlsx B-Garhwa_May.xlsx   B-Giridih_May.xlsx  B-Godda_May.xlsx    B-Gumla_May.xlsx    B-Hazaribagh_May.xlsx    B-Jamtara_May.xlsx  B-Khunti_May.xlsx   B-Koderma_May.xlsx  B-Latehar_May.xlsx  B-Lohardaga_May.xlsx     B-Pakur_May.xlsx    B-Palamu_May.xlsx   B-Ramgarh_May.xlsx  B-Ranchi_May.xlsx   B-Sahebganj_May.xlsx     B-Saraikela_Kharsawan_May.xlsx     B-Simdega_May.xlsx  B-West_Singhbhum_May.xlsx"

if "`state'" == "UttarPradesh" & "`year'" == "2020_2021" local names ///
"A-Agra_Apr.xlsx    A-Aligarh_Apr.xlsx  A-Ambedkar_Nagar_Apr.xlsx     A-Amethi_Apr.xlsx   A-Amroha_Apr.xlsx A-Auraiya_Apr.xlsx  A-Ayodhya_Apr.xlsx  A-Azamgarh_Apr.xlsx A-Baghpat_Apr.xlsx  A-Bahraich_Apr.xlsx A-Ballia_Apr.xlsx   A-Balrampur_Apr.xlsx     A-Banda_Apr.xlsx    A-Barabanki_Apr.xlsx     A-Bareilly_Apr.xlsx A-Basti_Apr.xlsx    A-Bhadohi_Apr.xlsx  A-Bijnor_Apr.xlsx   A-Budaun_Apr.xlsx   A-Bulandshahr_Apr.xlsx   A-Chandauli_Apr.xlsx     A-Chitrakoot_Apr.xlsx    A-Deoria_Apr.xlsx   A-Etah_Apr.xlsx     A-Etawah_Apr.xlsx   A-Farrukhabad_Apr.xlsx   A-Fatehpur_Apr.xlsx A-Firozabad_Apr.xlsx     A-Gautam_Buddha_Nagar_Apr.xlsx     A-Ghaziabad_Apr.xlsx     A-Ghazipur_Apr.xlsx A-Gonda_Apr.xlsx    A-Gorakhpur_Apr.xlsx     A-Hamirpur_Apr.xlsx A-Hapur_Apr.xlsx    A-Hardoi_Apr.xlsx   A-Hathras_Apr.xlsx  A-Jalaun_Apr.xlsx   A-Jaunpur_Apr.xlsx  A-Jhansi_Apr.xlsx   A-Kannauj_Apr.xlsx  A-Kanpur_Dehat_Apr.xlsx  A-Kanpur_Nagar_Apr.xlsx  A-Kasganj_Apr.xlsx  A-Kaushambi_Apr.xlsx     A-Kheri_Apr.xlsx    A-Kushi_Nagar_Apr.xlsx   A-Lalitpur_Apr.xlsx A-Lucknow_Apr.xlsx  A-Maharajganj_Apr.xlsx   A-Mahoba_Apr.xlsx   A-Mainpuri_Apr.xlsx A-Mathura_Apr.xlsx  A-Mau_Apr.xlsx A-Meerut_Apr.xlsx   A-Mirzapur_Apr.xlsx A-Moradabad_Apr.xlsx     A-Muzaffarnagar_Apr.xlsx A-Pilibhit_Apr.xlsx A-Pratapgarh_Apr.xlsx    A-Prayagraj_Apr.xlsx     A-Rae_Bareli_Apr.xlsx    A-Rampur_Apr.xlsx   A-Saharanpur_Apr.xlsx    A-Sambhal_Apr.xlsx  A-Sant_Kabeer_Nagar_Apr.xlsx  A-Shahjahanpur_Apr.xlsx  A-Shamli_Apr.xlsx   A-Shravasti_Apr.xlsx     A-Siddharth_Nagar_Apr.xlsx    A-Sitapur_Apr.xlsx  A-Sonbhadra_Apr.xlsx     A-Sultanpur_Apr.xlsx     A-Unnao_Apr.xlsx    A-Varanasi_Apr.xlsx B-Agra_May.xlsx     B-Aligarh_May.xlsx  B-Ambedkar_Nagar_May.xlsx     B-Amethi_May.xlsx   B-Amroha_May.xlsx   B-Auraiya_May.xlsx  B-Ayodhya_May.xlsx  B-Azamgarh_May.xlsx B-Baghpat_May.xlsx  B-Bahraich_May.xlsx B-Ballia_May.xlsx   B-Balrampur_May.xlsx     B-Banda_May.xlsx    B-Barabanki_May.xlsx     B-Bareilly_May.xlsx B-Basti_May.xlsx    B-Bhadohi_May.xlsx  B-Bijnor_May.xlsx   B-Budaun_May.xlsx   B-Bulandshahr_May.xlsx   B-Chandauli_May.xlsx     B-Chitrakoot_May.xlsx    B-Deoria_May.xlsx   B-Etah_May.xlsx     B-Etawah_May.xlsx   B-Farrukhabad_May.xlsx   B-Fatehpur_May.xlsx B-Firozabad_May.xlsx     B-Gautam_Buddha-Nagar_May.xlsx     B-Ghaziabad_May.xlsx     B-Ghazipur_May.xlsx B-Gonda_May.xlsx    B-Gorakhpur_May.xlsx     B-Hamirpur_May.xlsx B-Hapur_May.xlsx    B-Hardoi_May.xlsx   B-Hathras_May.xlsx  B-Jalaun_May.xlsx   B-Jaunpur_May.xlsx  B-Jhansi_May.xlsx   B-Kannauj_May.xlsx  B-Kanpur_Dehat_May.xlsx  B-Kanpur_Nagar_May.xlsx  B-Kasganj_May.xlsx  B-Kaushambi_May.xlsx     B-Kheri_May.xlsx    B-Kushi_Nagar_May.xlsx   B-Lalitpur_May.xlsx B-Lucknow_May.xlsx  B-Maharajganj_May.xlsx   B-Mahoba_May.xlsx   B-Mainpuri_May.xlsx B-Mathura_May.xlsx  B-Mau_May.xlsx B-Meerut_May.xlsx   B-Mirzapur_May.xlsx B-Moradabad_May.xlsx     B-Muzaffarnagar_May.xlsx B-Pilibhit_May.xlsx B-Pratapgarh_May.xlsx    B-Prayagraj_May.xlsx     B-Rae_Bareli_May.xlsx    B-Rampur_May.xlsx   B-Saharanpur_May.xlsx    B-Sambhal_May.xlsx  B-Sant_Kabeer_Nagar_May.xlsx  B-Shahjahanpur_May.xlsx  B-Shamli_May.xlsx   B-Shravasti_May.xlsx     B-Siddharth_Nagar_May.xlsx    B-Sitapur_May.xlsx  B-Sonbhadra_May.xlsx     B-Sultanpur_May.xlsx     B-Unnao_May.xlsx    B-Varanasi_May.xlsx C-Agra_Jun.xlsx     C-Aligarh_Jun.xlsx  C-Ambedkar_Nagar_Jun.xlsx     C-Amethi_Jun.xlsx   C-Amroha_Jun.xlsx   C-Auraiya_Jun.xlsx  C-Ayodhya_Jun.xlsx  C-Azamgarh_Jun.xlsx C-Baghpat_Jun.xlsx  C-Bahraich_Jun.xlsx C-Ballia_Jun.xlsx   C-Balrampur_Jun.xlsx     C-Banda_Jun.xlsx    C-Barabanki_Jun.xlsx     C-Bareilly_Jun.xlsx C-Basti_Jun.xlsx    C-Bhadohi_Jun.xlsx  C-Bijnor_Jun.xlsx   C-Budaun_Jun.xlsx   C-Bulandshahr_Jun.xlsx   C-Chandauli_Jun.xlsx     C-Chitrakoot_Jun.xlsx    C-Deoria_Jun.xlsx   C-Etah_Jun.xlsx     C-Etawah_Jun.xlsx   C-Farrukhabad_Jun.xlsx   C-Fatehpur_Jun.xlsx C-Firozabad_Jun.xlsx     C-Gautam_Buddha_Nagar_Jun.xlsx     C-Ghaziabad_Jun.xlsx     C-Ghazipur_Jun.xlsx C-Gonda_Jun.xlsx    C-Gorakhpur_Jun.xlsx     C-Hamirpur_Jun.xlsx C-Hapur_Jun.xlsx    C-Hardoi_Jun.xlsx   C-Hathras_Jun.xlsx  C-Jalaun_Jun.xlsx   C-Jaunpur_Jun.xlsx  C-Jhansi_Jun.xlsx   C-Kannauj_Jun.xlsx  C-Kanpur_Dehat_Jun.xlsx  C-Kanpur_Nagar_Jun.xlsx  C-Kasganj_Jun.xlsx  C-Kaushambi_Jun.xlsx     C-Kheri_Jun.xlsx    C-Kushi_Nagar_Jun.xlsx   C-Lalitpur_Jun.xlsx C-Lucknow_Jun.xlsx  C-Maharajganj_Jun.xlsx   C-Mahoba_Jun.xlsx   C-Mainpuri_Jun.xlsx C-Mathura_Jun.xlsx  C-Mau_Jun.xlsx C-Meerut_Jun.xlsx   C-Mirzapur_Jun.xlsx C-Moradabad_Jun.xlsx     C-Muzaffarnagar_Jun.xlsx C-Pilibhit_Jun.xlsx C-Pratapgarh_Jun.xlsx    C-Prayagraj_Jun.xlsx     C-Rae_Bareli_Jun.xlsx    C-Rampur_Jun.xlsx   C-Saharanpur_Jun.xlsx    C-Sambhal_Jun.xlsx  C-Sant_Kabeer_Nagar_Jun.xlsx  C-Shahjahanpur_Jun.xlsx  C-Shamli_Jun.xlsx   C-Shravasti_Jun.xlsx     C-Siddharth_Nagar_Jun.xlsx    C-Sitapur_Jun.xlsx  C-Sonbhadra_Jun.xlsx     C-Sultanpur_Jun.xlsx     C-Unnao_Jun.xlsx    C-Varanasi_Jun.xlsx D-Agra_Jul.xlsx     D-Aligarh_Jul.xlsx  D-Ambedkar_Nagar_Jul.xlsx     D-Amethi_Jul.xlsx   D-Amroha_Jul.xlsx   D-Auraiya_Jul.xlsx  D-Ayodhya_Jul.xlsx  D-Azamgarh_Jul.xlsx D-Baghpat_Jul.xlsx  D-Bahraich_Jul.xlsx D-Ballia_Jul.xlsx   D-Balrampur_Jul.xlsx     D-Banda_Jul.xlsx    D-Barabanki_Jul.xlsx     D-Bareilly_Jul.xlsx D-Basti_Jul.xlsx    D-Bhadohi_Jul.xlsx  D-Bijnor_Jul.xlsx   D-Budaun_Jul.xlsx   D-Bulandshahr_Jul.xlsx   D-Chandauli_Jul.xlsx     D-Chitrakoot_Jul.xlsx    D-Deoria_Jul.xlsx   D-Etah_Jul.xlsx     D-Etawah_Jul.xlsx   D-Farrukhabad_Jul.xlsx   D-Fatehpur_Jul.xlsx D-Firozabad_Jul.xlsx     D-Gautam_Buddha_Nagar_Jul.xlsx     D-Ghaziabad_Jul.xlsx     D-Ghazipur_Jul.xlsx D-Gonda_Jul.xlsx    D-Gorakhpur_Jul.xlsx     D-Hamirpur_Jul.xlsx D-Hapur_Jul.xlsx    D-Hardoi_Jul.xlsx   D-Hathras_Jul.xlsx  D-Jalaun_Jul.xlsx   D-Jaunpur_Jul.xlsx  D-Jhansi_Jul.xlsx   D-Kannauj_Jul.xlsx  D-Kanpur_Dehat_Jul.xlsx  D-Kanpur_Nagar_Jul.xlsx  D-Kasganj_Jul.xlsx  D-Kaushambi_Jul.xlsx     D-Kheri_Jul.xlsx    D-Kushi_Nagar_Jul.xlsx   D-Lalitpur_Jul.xlsx D-Lucknow_Jul.xlsx  D-Maharajganj_Jul.xlsx   D-Mahoba_Jul.xlsx   D-Mainpuri_Jul.xlsx D-Mathura_Jul.xlsx  D-Mau_Jul.xlsx D-Meerut_Jul.xlsx   D-Mirzapur_Jul.xlsx D-Moradabad_Jul.xlsx     D-Muzaffarnagar_Jul.xlsx D-Pilibhit_Jul.xlsx D-Pratapgarh_Jul.xlsx    D-Prayagraj_Jul.xlsx     D-Rae_Bareli_Jul.xlsx    D-Rampur_Jul.xlsx   D-Saharanpur_Jul.xlsx    D-Sambhal_Jul.xlsx  D-Sant_Kabeer_Nagar_Jul.xlsx  D-Shahjahanpur_Jul.xlsx  D-Shamli_Jul.xlsx   D-Shravasti_Jul.xlsx     D-Siddharth_Nagar_Jul.xlsx    D-Sitapur_Jul.xlsx  D-Sonbhadra_Jul.xlsx     D-Sultanpur_Jul.xlsx     D-Unnao_Jul.xlsx    D-Varanasi_Jul.xlsx E-Agra_Aug.xlsx     E-Aligarh_Aug.xlsx  E-Ambedkar_Nagar_Aug.xlsx     E-Amethi_Aug.xlsx   E-Amroha_Aug.xlsx   E-Auraiya_Aug.xlsx  E-Ayodhya_Aug.xlsx  E-Azamgarh_Aug.xlsx E-Baghpat_Aug.xlsx  E-Bahraich_Aug.xlsx E-Ballia_Aug.xlsx   E-Balrampur_Aug.xlsx     E-Banda_Aug.xlsx    E-Barabanki_Aug.xlsx     E-Bareilly_Aug.xlsx E-Basti_Aug.xlsx    E-Bhadohi_Aug.xlsx  E-Bijnor_Aug.xlsx   E-Budaun_Aug.xlsx   E-Bulandshahr_Aug.xlsx   E-Chandauli_Aug.xlsx     E-Chitrakoot_Aug.xlsx    E-Deoria_Aug.xlsx   E-Etah_Aug.xlsx     E-Etawah_Aug.xlsx   E-Farrukhabad_Aug.xlsx   E-Fatehpur_Aug.xlsx E-Firozabad_Aug.xlsx     E-Gautam_Buddha_Nagar_Aug.xlsx     E-Ghaziabad_Aug.xlsx     E-Ghazipur_Aug.xlsx E-Gonda_Aug.xlsx    E-Gorakhpur_Aug.xlsx     E-Hamirpur_Aug.xlsx E-Hapur_Aug.xlsx    E-Hardoi_Aug.xlsx   E-Hathras_Aug.xlsx  E-Jalaun_Aug.xlsx   E-Jaunpur_Aug.xlsx  E-Jhansi_Aug.xlsx   E-Kannauj_Aug.xlsx  E-Kanpur_Dehat_Aug.xlsx  E-Kanpur_Nagar_Aug.xlsx  E-Kasganj_Aug.xlsx  E-Kaushambi_Aug.xlsx     E-Kheri_Aug.xlsx    E-Kushi_Nagar_Aug.xlsx   E-Lalitpur_Aug.xlsx E-Lucknow_Aug.xlsx  E-Maharajganj_Aug.xlsx   E-Mahoba_Aug.xlsx   E-Mainpuri_Aug.xlsx E-Mathura_Aug.xlsx  E-Mau_Aug.xlsx E-Meerut_Aug.xlsx   E-Mirzapur_Aug.xlsx E-Moradabad_Aug.xlsx     E-Muzaffarnagar_Aug.xlsx E-Pilibhit_Aug.xlsx E-Pratapgarh_Aug.xlsx    E-Prayagraj_Aug.xlsx     E-Rae_Bareli_Aug.xlsx    E-Rampur_Aug.xlsx   E-Saharanpur_Aug.xlsx    E-Sambhal_Aug.xlsx  E-Sant_Kabeer_Nagar_Aug.xlsx  E-Shahjahanpur_Aug.xlsx  E-Shamli_Aug.xlsx   E-Shravasti_Aug.xlsx     E-Siddharth_Nagar_Aug.xlsx    E-Sitapur_Aug.xlsx  E-Sonbhadra_Aug.xlsx     E-Sultanpur_Aug.xlsx     E-Unnao_Aug.xlsx    E-Varanasi_Aug.xlsx F-Agra_Sep.xlsx     F-Aligarh_Sep.xlsx  F-Ambedkar_Nagar_Sep.xlsx     F-Amethi_Sep.xlsx   F-Amroha_Sep.xlsx   F-Auraiya_Sep.xlsx  F-Ayodhya_Sep.xlsx  F-Azamgarh_Sep.xlsx F-Baghpat_Sep.xlsx  F-Bahraich_Sep.xlsx F-Ballia_Sep.xlsx   F-Balrampur_Sep.xlsx     F-Banda_Sep.xlsx    F-Barabanki_Sep.xlsx     F-Bareilly_Sep.xlsx F-Basti_Sep.xlsx    F-Bhadohi_Sep.xlsx  F-Bijnor_Sep.xlsx   F-Budaun_Sep.xlsx   F-Bulandshahr_Sep.xlsx   F-Chandauli_Sep.xlsx     F-Chitrakoot_Sep.xlsx    F-Deoria_Sep.xlsx   F-Etah_Sep.xlsx     F-Etawah_Sep.xlsx   F-Farrukhabad_Sep.xlsx   F-Fatehpur_Sep.xlsx F-Firozabad_Sep.xlsx     F-Gautam_Buddha_Nagar_Sep.xlsx     F-Ghaziabad_Sep.xlsx     F-Ghazipur_Sep.xlsx F-Gonda_Sep.xlsx    F-Gorakhpur_Sep.xlsx     F-Hamirpur_Sep.xlsx F-Hapur_Sep.xlsx    F-Hardoi_Sep.xlsx   F-Hathras_Sep.xlsx  F-Jalaun_Sep.xlsx   F-Jaunpur_Sep.xlsx  F-Jhansi_Sep.xlsx   F-Kannauj_Sep.xlsx  F-Kanpur_Dehat_Sep.xlsx  F-Kanpur_Nagar_Sep.xlsx  F-Kasganj_Sep.xlsx  F-Kaushambi_Sep.xlsx     F-Kheri_Sep.xlsx    F-Kushi_Nagar_Sep.xlsx   F-Lalitpur_Sep.xlsx F-Lucknow_Sep.xlsx  F-Maharajganj_Sep.xlsx   F-Mahoba_Sep.xlsx   F-Mainpuri_Sep.xlsx F-Mathura_Sep.xlsx  F-Mau_Sep.xlsx F-Meerut_Sep.xlsx   F-Mirzapur_Sep.xlsx F-Moradabad_Sep.xlsx     F-Muzaffarnagar_Sep.xlsx F-Pilibhit_Sep.xlsx F-Pratapgarh_Sep.xlsx    F-Prayagraj_Sep.xlsx     F-Rae_Bareli_Sep.xlsx    F-Rampur_Sep.xlsx   F-Saharanpur_Sep.xlsx    F-Sambhal_Sep.xlsx  F-Sant_Kabeer_Nagar_Sep.xlsx  F-Shahjahanpur_Sep.xlsx  F-Shamli_Sep.xlsx   F-Shravasti_Sep.xlsx     F-Siddharth_Nagar_Sep.xlsx    F-Sitapur_Sep.xlsx  F-Sonbhadra_Sep.xlsx     F-Sultanpur_Sep.xlsx     F-Unnao_Sep.xlsx    F-Varanasi_Sep.xlsx G-Agra_Oct.xlsx     G-Aligarh_Oct.xlsx  G-Ambedkar_Nagar_Oct.xlsx     G-Amethi_Oct.xlsx   G-Amroha_Oct.xlsx   G-Auraiya_Oct.xlsx  G-Ayodhya_Oct.xlsx  G-Azamgarh_Oct.xlsx G-Baghpat_Oct.xlsx  G-Bahraich_Oct.xlsx G-Ballia_Oct.xlsx   G-Balrampur_Oct.xlsx     G-Banda_Oct.xlsx    G-Barabanki_Oct.xlsx     G-Bareilly_Oct.xlsx G-Basti_Oct.xlsx    G-Bhadohi_Oct.xlsx  G-Bijnor_Oct.xlsx   G-Budaun_Oct.xlsx   G-Bulandshahr_Oct.xlsx   G-Chandauli_Oct.xlsx     G-Chitrakoot_Oct.xlsx    G-Deoria_Oct.xlsx   G-Etah_Oct.xlsx     G-Etawah_Oct.xlsx   G-Farrukhabad_Oct.xlsx   G-Fatehpur_Oct.xlsx G-Firozabad_Oct.xlsx     G-Gautam_Buddha_Nagar_Oct.xlsx     G-Ghaziabad_Oct.xlsx     G-Ghazipur_Oct.xlsx G-Gonda_Oct.xlsx    G-Gorakhpur_Oct.xlsx     G-Hamirpur_Oct.xlsx G-Hapur_Oct.xlsx    G-Hardoi_Oct.xlsx   G-Hathras_Oct.xlsx  G-Jalaun_Oct.xlsx   G-Jaunpur_Oct.xlsx  G-Jhansi_Oct.xlsx   G-Kannauj_Oct.xlsx  G-Kanpur_Dehat_Oct.xlsx  G-Kanpur_Nagar_Oct.xlsx  G-Kasganj_Oct.xlsx  G-Kaushambi_Oct.xlsx     G-Kheri_Oct.xlsx    G-Kushi_Nagar_Oct.xlsx   G-Lalitpur_Oct.xlsx G-Lucknow_Oct.xlsx  G-Maharajganj_Oct.xlsx   G-Mahoba_Oct.xlsx   G-Mainpuri_Oct.xlsx G-Mathura_Oct.xlsx  G-Mau_Oct.xlsx G-Meerut_Oct.xlsx   G-Mirzapur_Oct.xlsx G-Moradabad_Oct.xlsx     G-Muzaffarnagar_Oct.xlsx G-Pilibhit_Oct.xlsx G-Pratapgarh_Oct.xlsx    G-Prayagraj_Oct.xlsx     G-Rae_Bareli_Oct.xlsx    G-Rampur_Oct.xlsx   G-Saharanpur_Oct.xlsx    G-Sambhal_Oct.xlsx  G-Sant_Kabeer_Nagar_Oct.xlsx  G-Shahjahanpur_Oct.xlsx  G-Shamli_Oct.xlsx   G-Shravasti_Oct.xlsx     G-Siddharth_Nagar_Oct.xlsx    G-Sitapur_Oct.xlsx  G-Sonbhadra_Oct.xlsx     G-Sultanpur_Oct.xlsx     G-Unnao_Oct.xlsx    G-Varanasi_Oct.xlsx H-Agra_Nov.xlsx     H-Aligarh_Nov.xlsx  H-Ambedkar_Nagar_Nov.xlsx     H-Amethi_Nov.xlsx   H-Amroha_Nov.xlsx   H-Auraiya_Nov.xlsx  H-Ayodhya_Nov.xlsx  H-Azamgarh_Nov.xlsx H-Baghpat_Nov.xlsx  H-Bahraich_Nov.xlsx H-Ballia_Nov.xlsx   H-Balrampur_Nov.xlsx     H-Banda_Nov.xlsx    H-Barabanki_Nov.xlsx     H-Bareilly_Nov.xlsx H-Basti_Nov.xlsx    H-Bhadohi_Nov.xlsx  H-Bijnor_Nov.xlsx   H-Budaun_Nov.xlsx   H-Bulandshahr_Nov.xlsx   H-Chandauli_Nov.xlsx     H-Chitrakoot_Nov.xlsx    H-Deoria_Nov.xlsx   H-Etah_Nov.xlsx     H-Etawah_Nov.xlsx   H-Farrukhabad_Nov.xlsx   H-Fatehpur_Nov.xlsx H-Firozabad_Nov.xlsx     H-Gautam_Buddha_Nagar_Nov.xlsx     H-Ghaziabad_Nov.xlsx     H-Ghazipur_Nov.xlsx H-Gonda_Nov.xlsx    H-Gorakhpur_Nov.xlsx     H-Hamirpur_Nov.xlsx H-Hapur_Nov.xlsx    H-Hardoi_Nov.xlsx   H-Hathras_Nov.xlsx  H-Jalaun_Nov.xlsx   H-Jaunpur_Nov.xlsx  H-Jhansi_Nov.xlsx   H-Kannauj_Nov.xlsx  H-Kanpur_Dehat_Nov.xlsx  H-Kanpur_Nagar_Nov.xlsx  H-Kasganj_Nov.xlsx  H-Kaushambi_Nov.xlsx     H-Kheri_Nov.xlsx    H-Kushi_Nagar_Nov.xlsx   H-Lalitpur_Nov.xlsx H-Lucknow_Nov.xlsx  H-Maharajganj_Nov.xlsx   H-Mahoba_Nov.xlsx   H-Mainpuri_Nov.xlsx H-Mathura_Nov.xlsx  H-Mau_Nov.xlsx H-Meerut_Nov.xlsx   H-Mirzapur_Nov.xlsx H-Moradabad_Nov.xlsx     H-Muzaffarnagar_Nov.xlsx H-Pilibhit_Nov.xlsx H-Pratapgarh_Nov.xlsx    H-Prayagraj_Nov.xlsx     H-Rae_Bareli_Nov.xlsx    H-Rampur_Nov.xlsx   H-Saharanpur_Nov.xlsx    H-Sambhal_Nov.xlsx  H-Sant_Kabeer_Nagar_Nov.xlsx  H-Shahjahanpur_Nov.xlsx  H-Shamli_Nov.xlsx   H-Shravasti_Nov.xlsx     H-Siddharth_Nagar_Nov.xlsx    H-Sitapur_Nov.xlsx  H-Sonbhadra_Nov.xlsx     H-Sultanpur_Nov.xlsx     H-Unnao_Nov.xlsx    H-Varanasi_Nov.xlsx I-Agra_Dec.xlsx     I-Aligarh_Dec.xlsx  I-Ambedkar_Nagar_Dec.xlsx     I-Amethi_Dec.xlsx   I-Amroha_Dec.xlsx   I-Auraiya_Dec.xlsx  I-Ayodhya_Dec.xlsx  I-Azamgarh_Dec.xlsx I-Baghpat_Dec.xlsx  I-Bahraich_Dec.xlsx I-Ballia_Dec.xlsx   I-Balrampur_Dec.xlsx     I-Banda_Dec.xlsx    I-Barabanki_Dec.xlsx     I-Bareilly_Dec.xlsx I-Basti_Dec.xlsx    I-Bhadohi_Dec.xlsx  I-Bijnor_Dec.xlsx   I-Budaun_Dec.xlsx   I-Bulandshahr_Dec.xlsx   I-Chandauli_Dec.xlsx     I-Chitrakoot_Dec.xlsx    I-Deoria_Dec.xlsx   I-Etah_Dec.xlsx     I-Etawah_Dec.xlsx   I-Farrukhabad_Dec.xlsx   I-Fatehpur_Dec.xlsx I-Firozabad_Dec.xlsx     I-Gautam_Buddha_Nagar_Dec.xlsx     I-Ghaziabad_Dec.xlsx     I-Ghazipur_Dec.xlsx I-Gonda_Dec.xlsx    I-Gorakhpur_Dec.xlsx     I-Hamirpur_Dec.xlsx I-Hapur_Dec.xlsx    I-Hardoi_Dec.xlsx   I-Hathras_Dec.xlsx  I-Jalaun_Dec.xlsx   I-Jaunpur_Dec.xlsx  I-Jhansi_Dec.xlsx   I-Kannauj_Dec.xlsx  I-Kanpur_Dehat_Dec.xlsx  I-Kanpur_Nagar_Dec.xlsx  I-Kasganj_Dec.xlsx  I-Kaushambi_Dec.xlsx     I-Kheri_Dec.xlsx    I-Kushi_Nagar_Dec.xlsx   I-Lalitpur_Dec.xlsx I-Lucknow_Dec.xlsx  I-Maharajganj_Dec.xlsx   I-Mahoba_Dec.xlsx   I-Mainpuri_Dec.xlsx I-Mathura_Dec.xlsx  I-Mau_Dec.xlsx I-Meerut_Dec.xlsx   I-Mirzapur_Dec.xlsx I-Moradabad_Dec.xlsx     I-Muzaffarnagar_Dec.xlsx I-Pilibhit_Dec.xlsx I-Pratapgarh_Dec.xlsx    I-Prayagraj_Dec.xlsx     I-Rae_Bareli_Dec.xlsx    I-Rampur_Dec.xlsx   I-Saharanpur_Dec.xlsx    I-Sambhal_Dec.xlsx  I-Sant_Kabeer_Nagar_Dec.xlsx  I-Shahjahanpur_Dec.xlsx  I-Shamli_Dec.xlsx   I-Shravasti_Dec.xlsx     I-Siddharth_Nagar_Dec.xlsx    I-Sitapur_Dec.xlsx  I-Sonbhadra_Dec.xlsx     I-Sultanpur_Dec.xlsx     I-Unnao_Dec.xlsx    I-Varanasi_Dec.xlsx J-Agra_Jan.xlsx     J-Aligarh_Jan.xlsx  J-Ambedkar_Nagar_Jan.xlsx     J-Amethi_Jan.xlsx   J-Amroha_Jan.xlsx   J-Auraiya_Jan.xlsx  J-Ayodhya_Jan.xlsx  J-Azamgarh_Jan.xlsx J-Baghpat_Jan.xlsx  J-Bahraich_Jan.xlsx J-Ballia_Jan.xlsx   J-Balrampur_Jan.xlsx     J-Banda_Jan.xlsx    J-Barabanki_Jan.xlsx     J-Bareilly_Jan.xlsx J-Basti_Jan.xlsx    J-Bhadohi_Jan.xlsx  J-Bijnor_Jan.xlsx   J-Budaun_Jan.xlsx   J-Bulandshahr_Jan.xlsx   J-Chandauli_Jan.xlsx     J-Chitrakoot_Jan.xlsx    J-Deoria_Jan.xlsx   J-Etah_Jan.xlsx     J-Etawah_Jan.xlsx   J-Farrukhabad_Jan.xlsx   J-Fatehpur_Jan.xlsx J-Firozabad_Jan.xlsx     J-Gautam_Buddha_Nagar_Jan.xlsx     J-Ghaziabad_Jan.xlsx     J-Ghazipur_Jan.xlsx J-Gonda_Jan.xlsx    J-Gorakhpur_Jan.xlsx     J-Hamirpur_Jan.xlsx J-Hapur_Jan.xlsx    J-Hardoi_Jan.xlsx   J-Hathras_Jan.xlsx  J-Jalaun_Jan.xlsx   J-Jaunpur_Jan.xlsx  J-Jhansi_Jan.xlsx   J-Kannauj_Jan.xlsx  J-Kanpur_Dehat_Jan.xlsx  J-Kanpur_Nagar_Jan.xlsx  J-Kasganj_Jan.xlsx  J-Kaushambi_Jan.xlsx     J-Kheri_Jan.xlsx    J-Kushi_Nagar_Jan.xlsx   J-Lalitpur_Jan.xlsx J-Lucknow_Jan.xlsx  J-Maharajganj_Jan.xlsx   J-Mahoba_Jan.xlsx   J-Mainpuri_Jan.xlsx J-Mathura_Jan.xlsx  J-Mau_Jan.xlsx J-Meerut_Jan.xlsx   J-Mirzapur_Jan.xlsx J-Moradabad_Jan.xlsx     J-Muzaffarnagar_Jan.xlsx J-Pilibhit_Jan.xlsx J-Pratapgarh_Jan.xlsx    J-Prayagraj_Jan.xlsx     J-Rae_Bareli_Jan.xlsx    J-Rampur_Jan.xlsx   J-Saharanpur_Jan.xlsx    J-Sambhal_Jan.xlsx  J-Sant_Kabeer_Nagar_Jan.xlsx  J-Shahjahanpur_Jan.xlsx  J-Shamli_Jan.xlsx   J-Shravasti_Jan.xlsx     J-Siddharth_Nagar_Jan.xlsx    J-Sitapur_Jan.xlsx  J-Sonbhadra_Jan.xlsx     J-Sultanpur_Jan.xlsx     J-Unnao_Jan.xlsx    J-Varanasi_Jan.xlsx K-Agra_Feb.xlsx     K-Aligarh_Feb.xlsx  K-Ambedkar_Nagar_Feb.xlsx     K-Amethi_Feb.xlsx   K-Amroha_Feb.xlsx   K-Auraiya_Feb.xlsx  K-Ayodhya_Feb.xlsx  K-Azamgarh_Feb.xlsx K-Baghpat_Feb.xlsx  K-Bahraich_Feb.xlsx K-Ballia_Feb.xlsx   K-Balrampur_Feb.xlsx     K-Banda_Feb.xlsx    K-Barabanki_Feb.xlsx     K-Bareilly_Feb.xlsx K-Basti_Feb.xlsx    K-Bhadohi_Feb.xlsx  K-Bijnor_Feb.xlsx   K-Budaun_Feb.xlsx   K-Bulandshahr_Feb.xlsx   K-Chandauli_Feb.xlsx     K-Chitrakoot_Feb.xlsx    K-Deoria_Feb.xlsx   K-Etah_Feb.xlsx     K-Etawah_Feb.xlsx   K-Farrukhabad_Feb.xlsx   K-Fatehpur_Feb.xlsx K-Firozabad_Feb.xlsx     K-Gautam_Buddha_Nagar_Feb.xlsx     K-Ghaziabad_Feb.xlsx     K-Ghazipur_Feb.xlsx K-Gonda_Feb.xlsx    K-Gorakhpur_Feb.xlsx     K-Hamirpur_Feb.xlsx K-Hapur_Feb.xlsx    K-Hardoi_Feb.xlsx   K-Hathras_Feb.xlsx  K-Jalaun_Feb.xlsx   K-Jaunpur_Feb.xlsx  K-Jhansi_Feb.xlsx   K-Kannauj_Feb.xlsx  K-Kanpur_Dehat_Feb.xlsx  K-Kanpur_Nagar_Feb.xlsx  K-Kasganj_Feb.xlsx  K-Kaushambi_Feb.xlsx     K-Kheri_Feb.xlsx    K-Kushi_Nagar_Feb.xlsx   K-Lalitpur_Feb.xlsx K-Lucknow_Feb.xlsx  K-Maharajganj_Feb.xlsx   K-Mahoba_Feb.xlsx   K-Mainpuri_Feb.xlsx K-Mathura_Feb.xlsx  K-Mau_Feb.xlsx K-Meerut_Feb.xlsx   K-Mirzapur_Feb.xlsx K-Moradabad_Feb.xlsx     K-Muzaffarnagar_Feb.xlsx K-Pilibhit_Feb.xlsx K-Pratapgarh_Feb.xlsx    K-Prayagraj_Feb.xlsx     K-Rae_Bareli_Feb.xlsx    K-Rampur_Feb.xlsx   K-Saharanpur_Feb.xlsx    K-Sambhal_Feb.xlsx  K-Sant_Kabeer_Nagar_Feb.xlsx  K-Shahjahanpur_Feb.xlsx  K-Shamli_Feb.xlsx   K-Shravasti_Feb.xlsx     K-Siddharth_Nagar_Feb.xlsx    K-Sitapur_Feb.xlsx  K-Sonbhadra_Feb.xlsx     K-Sultanpur_Feb.xlsx     K-Unnao_Feb.xlsx    K-Varanasi_Feb.xlsx L-Agra_Mar.xlsx     L-Aligarh_Mar.xlsx  L-Ambedkar_Nagar_Mar.xlsx     L-Amethi_Mar.xlsx   L-Amroha_Mar.xlsx   L-Auraiya_Mar.xlsx  L-Ayodhya_Mar.xlsx  L-Azamgarh_Mar.xlsx L-Baghpat_Mar.xlsx  L-Bahraich_Mar.xlsx L-Ballia_Mar.xlsx   L-Balrampur_Mar.xlsx     L-Banda_Mar.xlsx    L-Barabanki_Mar.xlsx     L-Bareilly_Mar.xlsx L-Basti_Mar.xlsx    L-Bhadohi_Mar.xlsx  L-Bijnor_Mar.xlsx   L-Budaun_Mar.xlsx   L-Bulandshahr_Mar.xlsx   L-Chandauli_Mar.xlsx     L-Chitrakoot_Mar.xlsx    L-Deoria_Mar.xlsx   L-Etah_Mar.xlsx     L-Etawah_Mar.xlsx   L-Farrukhabad_Mar.xlsx   L-Fatehpur_Mar.xlsx L-Firozabad_Mar.xlsx     L-Gautam_Buddha_Nagar_Mar.xlsx     L-Ghaziabad_Mar.xlsx     L-Ghazipur_Mar.xlsx L-Gonda_Mar.xlsx    L-Gorakhpur_Mar.xlsx     L-Hamirpur_Mar.xlsx L-Hapur_Mar.xlsx    L-Hardoi_Mar.xlsx   L-Hathras_Mar.xlsx  L-Jalaun_Mar.xlsx   L-Jaunpur_Mar.xlsx  L-Jhansi_Mar.xlsx   L-Kannauj_Mar.xlsx  L-Kanpur_Dehat_Mar.xlsx  L-Kanpur_Nagar_Mar.xlsx  L-Kasganj_Mar.xlsx  L-Kaushambi_Mar.xlsx     L-Kheri_Mar.xlsx    L-Kushi_Nagar_Mar.xlsx   L-Lalitpur_Mar.xlsx L-Lucknow_Mar.xlsx  L-Maharajganj_Mar.xlsx   L-Mahoba_Mar.xlsx   L-Mainpuri_Mar.xlsx L-Mathura_Mar.xlsx  L-Mau_Mar.xlsx L-Meerut_Mar.xlsx   L-Mirzapur_Mar.xlsx L-Moradabad_Mar.xlsx     L-Muzaffarnagar_Mar.xlsx L-Pilibhit_Mar.xlsx L-Pratapgarh_Mar.xlsx    L-Prayagraj_Mar.xlsx     L-Rae_Bareli_Mar.xlsx    L-Rampur_Mar.xlsx   L-Saharanpur_Mar.xlsx    L-Sambhal_Mar.xlsx  L-Sant_Kabeer_Nagar_Mar.xlsx  L-Shahjahanpur_Mar.xlsx  L-Shamli_Mar.xlsx   L-Shravasti_Mar.xlsx     L-Siddharth_Nagar_Mar.xlsx    L-Sitapur_Mar.xlsx  L-Sonbhadra_Mar.xlsx     L-Sultanpur_Mar.xlsx     L-Unnao_Mar.xlsx    L-Varanasi_Mar.xlsx"

if "`state'" == "UttarPradesh" & "`year'" == "2021_2022" local names ///
"A-Agra_Apr.xlsx    A-Aligarh_Apr.xlsx  A-Ambedkar_Nagar_Apr.xlsx     A-Amethi_Apr.xlsx   A-Amroha_Apr.xlsx   A-Auraiya_Apr.xlsx  A-Ayodhya_Apr.xlsx  A-Azamgarh_Apr.xlsx A-Baghpat_Apr.xlsx  A-Bahraich_Apr.xlsx A-Ballia_Apr.xlsx   A-Balrampur_Apr.xlsx     A-Banda_Apr.xlsx    A-Barabanki_Apr.xlsx     A-Bareilly_Apr.xlsx A-Basti_Apr.xlsx    A-Bhadohi_Apr.xlsx  A-Bijnor_Apr.xlsx   A-Budaun_Apr.xlsx   A-Bulandshahr_Apr.xlsx   A-Chandauli_Apr.xlsx     A-Chitrakoot_Apr.xlsx    A-Deoria_Apr.xlsx   A-Etah_Apr.xlsx     A-Etawah_Apr.xlsx   A-Farrukhabad_Apr.xlsx   A-Fatehpur_Apr.xlsx A-Firozabad_Apr.xlsx     A-Gautam_Buddha_Nagar_Apr.xlsx     A-Ghaziabad_Apr.xlsx     A-Ghazipur_Apr.xlsx A-Gonda_Apr.xlsx    A-Gorakhpur_Apr.xlsx     A-Hamirpur_Apr.xlsx A-Hapur_Apr.xlsx    A-Hardoi_Apr.xlsx   A-Hathras_Apr.xlsx  A-Jalaun_Apr.xlsx   A-Jaunpur_Apr.xlsx  A-Jhansi_Apr.xlsx   A-Kannauj_Apr.xlsx  A-Kanpur_Dehat_Apr.xlsx  A-Kanpur_Nagar_Apr.xlsx  A-Kasganj_Apr.xlsx  A-Kaushambi_Apr.xlsx     A-Kheri_Apr.xlsx    A-Kushi_Nagar_Apr.xlsx   A-Lalitpur_Apr.xlsx A-Lucknow_Apr.xlsx  A-Maharajganj_Apr.xlsx   A-Mahoba_Apr.xlsx   A-Mainpuri_Apr.xlsx A-Mathura_Apr.xlsx  A-Mau_Apr.xlsx A-Meerut_Apr.xlsx   A-Mirzapur_Apr.xlsx A-Moradabad_Apr.xlsx     A-Muzaffarnagar_Apr.xlsx A-Pilibhit_Apr.xlsx A-Pratapgarh_Apr.xlsx    A-Prayagraj_Apr.xlsx     A-Rae_Bareli_Apr.xlsx    A-Rampur_Apr.xlsx   A-Saharanpur_Apr.xlsx    A-Sambhal_Apr.xlsx  A-Sant_Kabeer_Nagar_Apr.xlsx  A-Shahjahanpur_Apr.xlsx  A-Shamli_Apr.xlsx   A-Shravasti_Apr.xlsx     A-Siddharth_Nagar_Apr.xlsx    A-Sitapur_Apr.xlsx  A-Sonbhadra_Apr.xlsx     A-Sultanpur_Apr.xlsx     A-Unnao_Apr.xlsx    A-Varanasi_Apr.xlsx B-Agra_May.xlsx     B-Aligarh_May.xlsx  B-Ambedkar_Nagar_May.xlsx     B-Amethi_May.xlsx   B-Amroha_May.xlsx   B-Auraiya_May.xlsx  B-Ayodhya_May.xlsx  B-Azamgarh_May.xlsx B-Baghpat_May.xlsx  B-Bahraich_May.xlsx B-Ballia_May.xlsx   B-Balrampur_May.xlsx     B-Banda_May.xlsx    B-Barabanki_May.xlsx     B-Bareilly_May.xlsx B-Basti_May.xlsx    B-Bhadohi_May.xlsx  B-Bijnor_May.xlsx   B-Budaun_May.xlsx   B-Bulandshahr_May.xlsx   B-Chandauli_May.xlsx     B-Chitrakoot_May.xlsx    B-Deoria_May.xlsx   B-Etah_May.xlsx     B-Etawah_May.xlsx   B-Farrukhabad_May.xlsx   B-Fatehpur_May.xlsx B-Firozabad_May.xlsx     B-Gautam_Buddha_Nagar_May.xlsx     B-Ghaziabad_May.xlsx     B-Ghazipur_May.xlsx B-Gonda_May.xlsx    B-Gorakhpur_May.xlsx     B-Hamirpur_May.xlsx B-Hapur_May.xlsx    B-Hardoi_May.xlsx   B-Hathras_May.xlsx  B-Jalaun_May.xlsx   B-Jaunpur_May.xlsx  B-Jhansi_May.xlsx   B-Kannauj_May.xlsx  B-Kanpur_Dehat_May.xlsx  B-Kanpur_Nagar_May.xlsx  B-Kasganj_May.xlsx  B-Kaushambi_May.xlsx     B-Kheri_May.xlsx    B-Kushi_Nagar_May.xlsx   B-Lalitpur_May.xlsx B-Lucknow_May.xlsx  B-Maharajganj_May.xlsx   B-Mahoba_May.xlsx   B-Mainpuri_May.xlsx B-Mathura_May.xlsx  B-Mau_May.xlsx B-Meerut_May.xlsx   B-Mirzapur_May.xlsx B-Moradabad_May.xlsx     B-Muzaffarnagar_May.xlsx B-Pilibhit_May.xlsx B-Pratapgarh_May.xlsx    B-Prayagraj_May.xlsx     B-Rae_Bareli_May.xlsx    B-Rampur_May.xlsx   B-Saharanpur_May.xlsx    B-Sambhal_May.xlsx  B-Sant_Kabeer_Nagar_May.xlsx  B-Shahjahanpur_May.xlsx  B-Shamli_May.xlsx   B-Shravasti_May.xlsx     B-Siddharth_Nagar_May.xlsx    B-Sitapur_May.xlsx  B-Sonbhadra_May.xlsx     B-Sultanpur_May.xlsx     B-Unnao_May.xlsx    B-Varanasi_May.xlsx"


          foreach name of local names {

          import excel "01_RawData/`state'`year'/`name'", clear
          


local date = A in 2

gen tmp = substr(A, -8, .) in 2
replace tmp =  subinstr(tmp, "-", "",.)
local date = tmp in 2
drop tmp 

replace A = "type" if _n==7
replace A = "type" if _n==8

carryforward A, replace

keep if   A == "type" | ///
          A == "M10 [Number of cases of Childhood Diseases (0-5 years)]" | ///
          A == "M11 [NVBDCP]" | ///
          A == "M16 [Details of deaths reported with probable causes:]"

compress
replace C="type" if C==""
drop A B D

     local j=0
     foreach var of varlist _all {
          local j=`j'+1     
               rename `var' v`j'
      }

local district =  v2 in 1


local var_num = 0
foreach var of varlist _all {
     replace `var'= "total" in 2 if `var'=="Total [(A+B) or (C+D)]" 
     replace `var'= "public" in 2 if `var'=="Public [A]" 
     replace `var'= "private" in 2 if `var'=="Private [B]" 
     replace `var'= "urban" in 2 if `var'=="Urban [C]" 
     replace `var'= "rural" in 2 if `var'=="Rural [D]" 
     local var_num = `var_num'+1
 }

     forvalues i = 3/`var_num' {
          local j= `i'-1
          replace v`i'= v`j' in 1 if v`i'=="" 
     }

     forvalues i = 2/`var_num' {
          replace v`i'= v`i'[2]+v`i' in 1
          replace v`i'=subinstr(v`i'," ","",.)
          replace v`i'=subinstr(v`i',"-","",.)

     }

drop v2-v6
foreach var of varlist _all {
     *replace `var' = "Hunterganj" if strpos(`var', "Hunterganj")>0
     replace `var' = subinstr(`var', "(", "",.)
     replace `var' = subinstr(`var', ")", "",.)
     replace `var' = subinstr(`var', " ", "",.)
     replace `var' = subinstr(`var', "*", "",.)
     replace `var' = subinstr(`var', "/", "",.)
     replace `var' = subinstr(`var', ".", "",.)
     replace `var' = subinstr(`var', "ShaligramRamNarayanpur", "",.)
     replace `var' = subinstr(`var', "JhariaCumJorapokharCumSindri", "Jhariacumjorapokhar",.)
     replace `var' = subinstr(`var', "DhanbadCumKenduadihCumJagata", "Dhanbadsadar",.)
     replace `var' = subinstr(`var', "NilambarPitambarpur", "Lesliganj",.)      
     cap rename `var' `=`var'[1]'
 }


drop if _n<=2

gen district = "`district'"
replace district = subinstr(district, " ", "",.)
replace district = subinstr(district, "-", "",.)

     reshape long total public private urban rural, i(type) j(subdistrict) string
 
     replace subdistrict = subinstr(subdistrict, " ", "",.)

drop if subdistrict=="DistrictHQ" | subdistrict=="DISTRICTHQ" | subdistrict=="Urban" | subdistrict == "Civildispensaries" | subdistrict == "Districthospital"

destring total public private urban rural, replace
*collapse (sum) total public private urban rural , by(district type)

replace subdistrict=proper(subdistrict)

gen state = "`state'"
gen date = "`date'"
local district =  district in 1

save "02_ProcessedData/`state'`year'/`district'_`date'.dta", replace
          }
     }
}


**** APPEND SUBDISTRICTS ACROSS YEARS

*Chhattisgarh
     u "02_ProcessedData/Chhattisgarh2020_2021/Balod_Apr2020.dta", clear

     local names "Balod_Aug2020.dta   Balod_Dec2020.dta   Balod_Feb2021.dta   Balod_Jan2021.dta   Balod_Jul2020.dta   Balod_Jun2020.dta   Balod_Mar2021.dta   Balod_May2020.dta   Balod_Nov2020.dta   Balod_Oct2020.dta   Balod_Sep2020.dta   BalodaBazar_Apr2020.dta  BalodaBazar_Aug2020.dta  BalodaBazar_Dec2020.dta  BalodaBazar_Feb2021.dta  BalodaBazar_Jan2021.dta  BalodaBazar_Jul2020.dta  BalodaBazar_Jun2020.dta  BalodaBazar_Mar2021.dta  BalodaBazar_May2020.dta  BalodaBazar_Nov2020.dta  BalodaBazar_Oct2020.dta  BalodaBazar_Sep2020.dta  Balrampur_Apr2020.dta    Balrampur_Aug2020.dta    Balrampur_Dec2020.dta    Balrampur_Feb2021.dta    Balrampur_Jan2021.dta    Balrampur_Jul2020.dta    Balrampur_Jun2020.dta    Balrampur_Mar2021.dta    Balrampur_May2020.dta    Balrampur_Nov2020.dta    Balrampur_Oct2020.dta    Balrampur_Sep2020.dta    Bastar_Apr2020.dta  Bastar_Aug2020.dta  Bastar_Dec2020.dta  Bastar_Feb2021.dta  Bastar_Jan2021.dta  Bastar_Jul2020.dta  Bastar_Jun2020.dta  Bastar_Mar2021.dta  Bastar_May2020.dta  Bastar_Nov2020.dta  Bastar_Oct2020.dta  Bastar_Sep2020.dta  Bemetara_Apr2020.dta     Bemetara_Aug2020.dta     Bemetara_Dec2020.dta     Bemetara_Feb2021.dta     Bemetara_Jan2021.dta     Bemetara_Jul2020.dta     Bemetara_Jun2020.dta     Bemetara_Mar2021.dta     Bemetara_May2020.dta     Bemetara_Nov2020.dta     Bemetara_Oct2020.dta     Bemetara_Sep2020.dta     Bijapur_Apr2020.dta Bijapur_Aug2020.dta Bijapur_Dec2020.dta Bijapur_Feb2021.dta Bijapur_Jan2021.dta Bijapur_Jul2020.dta Bijapur_Jun2020.dta Bijapur_Mar2021.dta Bijapur_May2020.dta Bijapur_Nov2020.dta Bijapur_Oct2020.dta Bijapur_Sep2020.dta Bilaspur_Apr2020.dta     Bilaspur_Aug2020.dta     Bilaspur_Dec2020.dta     Bilaspur_Feb2021.dta     Bilaspur_Jan2021.dta     Bilaspur_Jul2020.dta     Bilaspur_Jun2020.dta     Bilaspur_Mar2021.dta     Bilaspur_May2020.dta     Bilaspur_Nov2020.dta     Bilaspur_Oct2020.dta     Bilaspur_Sep2020.dta     Dantewada_Apr2020.dta    Dantewada_Aug2020.dta    Dantewada_Dec2020.dta    Dantewada_Feb2021.dta    Dantewada_Jan2021.dta    Dantewada_Jul2020.dta    Dantewada_Jun2020.dta    Dantewada_Mar2021.dta    Dantewada_May2020.dta    Dantewada_Nov2020.dta    Dantewada_Oct2020.dta    Dantewada_Sep2020.dta    Dhamtari_Apr2020.dta     Dhamtari_Aug2020.dta     Dhamtari_Dec2020.dta     Dhamtari_Feb2021.dta     Dhamtari_Jan2021.dta     Dhamtari_Jul2020.dta     Dhamtari_Jun2020.dta     Dhamtari_Mar2021.dta     Dhamtari_May2020.dta     Dhamtari_Nov2020.dta     Dhamtari_Oct2020.dta     Dhamtari_Sep2020.dta     Durg_Apr2020.dta    Durg_Aug2020.dta    Durg_Dec2020.dta    Durg_Feb2021.dta    Durg_Jan2021.dta    Durg_Jul2020.dta    Durg_Jun2020.dta    Durg_Mar2021.dta    Durg_May2020.dta    Durg_Nov2020.dta    Durg_Oct2020.dta    Durg_Sep2020.dta    Gariyaband_Apr2020.dta   Gariyaband_Aug2020.dta   Gariyaband_Dec2020.dta   Gariyaband_Feb2021.dta   Gariyaband_Jan2021.dta   Gariyaband_Jul2020.dta   Gariyaband_Jun2020.dta   Gariyaband_Mar2021.dta   Gariyaband_May2020.dta   Gariyaband_Nov2020.dta   Gariyaband_Oct2020.dta   Gariyaband_Sep2020.dta   GaurellaPendraMarwahi_Apr2020.dta  GaurellaPendraMarwahi_Aug2020.dta  GaurellaPendraMarwahi_Dec2020.dta  GaurellaPendraMarwahi_Feb2021.dta  GaurellaPendraMarwahi_Jan2021.dta  GaurellaPendraMarwahi_Jul2020.dta  GaurellaPendraMarwahi_Jun2020.dta  GaurellaPendraMarwahi_Mar2021.dta  GaurellaPendraMarwahi_May2020.dta  GaurellaPendraMarwahi_Nov2020.dta  GaurellaPendraMarwahi_Oct2020.dta  GaurellaPendraMarwahi_Sep2020.dta  JanjgirChampa_Apr2020.dta    JanjgirChampa_Aug2020.dta    JanjgirChampa_Dec2020.dta    JanjgirChampa_Feb2021.dta    JanjgirChampa_Jan2021.dta    JanjgirChampa_Jul2020.dta    JanjgirChampa_Jun2020.dta    JanjgirChampa_Mar2021.dta    JanjgirChampa_May2020.dta    JanjgirChampa_Nov2020.dta    JanjgirChampa_Oct2020.dta    JanjgirChampa_Sep2020.dta    Jashpur_Apr2020.dta Jashpur_Aug2020.dta Jashpur_Dec2020.dta Jashpur_Feb2021.dta Jashpur_Jan2021.dta Jashpur_Jul2020.dta Jashpur_Jun2020.dta Jashpur_Mar2021.dta Jashpur_May2020.dta Jashpur_Nov2020.dta Jashpur_Oct2020.dta Jashpur_Sep2020.dta Kabirdham_Apr2020.dta    Kabirdham_Aug2020.dta    Kabirdham_Dec2020.dta    Kabirdham_Feb2021.dta    Kabirdham_Jan2021.dta    Kabirdham_Jul2020.dta    Kabirdham_Jun2020.dta    Kabirdham_Mar2021.dta    Kabirdham_May2020.dta    Kabirdham_Nov2020.dta    Kabirdham_Oct2020.dta    Kabirdham_Sep2020.dta    Kanker_Apr2020.dta  Kanker_Aug2020.dta  Kanker_Dec2020.dta  Kanker_Feb2021.dta  Kanker_Jan2021.dta  Kanker_Jul2020.dta  Kanker_Jun2020.dta  Kanker_Mar2021.dta  Kanker_May2020.dta  Kanker_Nov2020.dta  Kanker_Oct2020.dta  Kanker_Sep2020.dta  Kondagaon_Apr2020.dta    Kondagaon_Aug2020.dta    Kondagaon_Dec2020.dta    Kondagaon_Feb2021.dta    Kondagaon_Jan2021.dta    Kondagaon_Jul2020.dta    Kondagaon_Jun2020.dta    Kondagaon_Mar2021.dta    Kondagaon_May2020.dta    Kondagaon_Nov2020.dta    Kondagaon_Oct2020.dta    Kondagaon_Sep2020.dta    Korba_Apr2020.dta   Korba_Aug2020.dta   Korba_Dec2020.dta   Korba_Feb2021.dta   Korba_Jan2021.dta   Korba_Jul2020.dta   Korba_Jun2020.dta   Korba_Mar2021.dta   Korba_May2020.dta   Korba_Nov2020.dta   Korba_Oct2020.dta   Korba_Sep2020.dta   Korea_Apr2020.dta   Korea_Aug2020.dta   Korea_Dec2020.dta   Korea_Feb2021.dta   Korea_Jan2021.dta   Korea_Jul2020.dta   Korea_Jun2020.dta   Korea_Mar2021.dta   Korea_May2020.dta   Korea_Nov2020.dta   Korea_Oct2020.dta   Korea_Sep2020.dta   Mahasamund_Apr2020.dta   Mahasamund_Aug2020.dta   Mahasamund_Dec2020.dta   Mahasamund_Feb2021.dta   Mahasamund_Jan2021.dta   Mahasamund_Jul2020.dta   Mahasamund_Jun2020.dta   Mahasamund_Mar2021.dta   Mahasamund_May2020.dta   Mahasamund_Nov2020.dta   Mahasamund_Oct2020.dta   Mahasamund_Sep2020.dta   Mungeli_Apr2020.dta Mungeli_Aug2020.dta Mungeli_Dec2020.dta Mungeli_Feb2021.dta Mungeli_Jan2021.dta Mungeli_Jul2020.dta Mungeli_Jun2020.dta Mungeli_Mar2021.dta Mungeli_May2020.dta Mungeli_Nov2020.dta Mungeli_Oct2020.dta Mungeli_Sep2020.dta Narayanpur_Apr2020.dta   Narayanpur_Aug2020.dta   Narayanpur_Dec2020.dta   Narayanpur_Feb2021.dta   Narayanpur_Jan2021.dta   Narayanpur_Jul2020.dta   Narayanpur_Jun2020.dta   Narayanpur_Mar2021.dta   Narayanpur_May2020.dta   Narayanpur_Nov2020.dta   Narayanpur_Oct2020.dta   Narayanpur_Sep2020.dta   Raigarh_Apr2020.dta Raigarh_Aug2020.dta Raigarh_Dec2020.dta Raigarh_Feb2021.dta Raigarh_Jan2021.dta Raigarh_Jul2020.dta Raigarh_Jun2020.dta Raigarh_Mar2021.dta Raigarh_May2020.dta Raigarh_Nov2020.dta Raigarh_Oct2020.dta Raigarh_Sep2020.dta Raipur_Apr2020.dta  Raipur_Aug2020.dta  Raipur_Dec2020.dta  Raipur_Feb2021.dta  Raipur_Jan2021.dta  Raipur_Jul2020.dta  Raipur_Jun2020.dta  Raipur_Mar2021.dta  Raipur_May2020.dta  Raipur_Nov2020.dta  Raipur_Oct2020.dta  Raipur_Sep2020.dta  Rajnandgaon_Apr2020.dta  Rajnandgaon_Aug2020.dta  Rajnandgaon_Dec2020.dta  Rajnandgaon_Feb2021.dta  Rajnandgaon_Jan2021.dta  Rajnandgaon_Jul2020.dta  Rajnandgaon_Jun2020.dta  Rajnandgaon_Mar2021.dta  Rajnandgaon_May2020.dta  Rajnandgaon_Nov2020.dta  Rajnandgaon_Oct2020.dta  Rajnandgaon_Sep2020.dta  Sukma_Apr2020.dta   Sukma_Aug2020.dta   Sukma_Dec2020.dta   Sukma_Feb2021.dta   Sukma_Jan2021.dta   Sukma_Jul2020.dta   Sukma_Jun2020.dta   Sukma_Mar2021.dta   Sukma_May2020.dta   Sukma_Nov2020.dta   Sukma_Oct2020.dta   Sukma_Sep2020.dta   Surajpur_Apr2020.dta     Surajpur_Aug2020.dta     Surajpur_Dec2020.dta     Surajpur_Feb2021.dta     Surajpur_Jan2021.dta     Surajpur_Jul2020.dta     Surajpur_Jun2020.dta     Surajpur_Mar2021.dta     Surajpur_May2020.dta     Surajpur_Nov2020.dta     Surajpur_Oct2020.dta     Surajpur_Sep2020.dta     Surguja_Apr2020.dta Surguja_Aug2020.dta Surguja_Dec2020.dta Surguja_Feb2021.dta Surguja_Jan2021.dta Surguja_Jul2020.dta Surguja_Jun2020.dta Surguja_Mar2021.dta Surguja_May2020.dta Surguja_Nov2020.dta Surguja_Oct2020.dta Surguja_Sep2020.dta"
     foreach name of local names {
               append using "02_ProcessedData/Chhattisgarh2020_2021/`name'"
                    }

     local names "Balod_May2021.dta  Balod_Apr2021.dta   BalodaBazar_Apr2021.dta  BalodaBazar_May2021.dta  Balrampur_Apr2021.dta    Balrampur_May2021.dta    Bastar_Apr2021.dta  Bastar_May2021.dta  Bemetara_Apr2021.dta     Bemetara_May2021.dta     Bijapur_Apr2021.dta Bijapur_May2021.dta Bilaspur_Apr2021.dta     Bilaspur_May2021.dta     Dantewada_Apr2021.dta    Dantewada_May2021.dta    Dhamtari_Apr2021.dta     Dhamtari_May2021.dta     Durg_Apr2021.dta    Durg_May2021.dta    Gariyaband_Apr2021.dta   Gariyaband_May2021.dta   GaurellaPendraMarwahi_Apr2021.dta  GaurellaPendraMarwahi_May2021.dta  JanjgirChampa_Apr2021.dta    JanjgirChampa_May2021.dta    Jashpur_Apr2021.dta Jashpur_May2021.dta Kabirdham_Apr2021.dta    Kabirdham_May2021.dta    Kanker_Apr2021.dta  Kanker_May2021.dta  Kondagaon_Apr2021.dta    Kondagaon_May2021.dta    Korba_Apr2021.dta   Korba_May2021.dta   Korea_Apr2021.dta   Korea_May2021.dta   Mahasamund_Apr2021.dta   Mahasamund_May2021.dta   Mungeli_Apr2021.dta Mungeli_May2021.dta Narayanpur_Apr2021.dta   Narayanpur_May2021.dta   Raigarh_Apr2021.dta Raigarh_May2021.dta Raipur_Apr2021.dta  Raipur_May2021.dta  Rajnandgaon_Apr2021.dta  Rajnandgaon_May2021.dta  Sukma_Apr2021.dta   Sukma_May2021.dta   Surajpur_Apr2021.dta     Surajpur_May2021.dta     Surguja_Apr2021.dta Surguja_May2021.dta"
     foreach name of local names {
               append using "02_ProcessedData/Chhattisgarh2021_2022/`name'"
                    }

     save "02_ProcessedData/Chhattisgarh_all.dta", replace


*Jharkhand
     u "02_ProcessedData/Jharkhand2020_2021/Bokaro_Apr2020.dta", clear
     local names "Bokaro_Aug2020.dta  Bokaro_Dec2020.dta  Bokaro_Feb2021.dta  Bokaro_Jan2021.dta  Bokaro_Jul2020.dta  Bokaro_Jun2020.dta  Bokaro_Mar2021.dta  Bokaro_May2020.dta  Bokaro_Nov2020.dta  Bokaro_Oct2020.dta  Bokaro_Sep2020.dta  Chatra_Apr2020.dta  Chatra_Aug2020.dta  Chatra_Dec2020.dta  Chatra_Feb2021.dta  Chatra_Jan2021.dta  Chatra_Jul2020.dta  Chatra_Jun2020.dta  Chatra_Mar2021.dta  Chatra_May2020.dta  Chatra_Nov2020.dta  Chatra_Oct2020.dta  Chatra_Sep2020.dta  Deoghar_Apr2020.dta Deoghar_Aug2020.dta Deoghar_Dec2020.dta Deoghar_Feb2021.dta Deoghar_Jan2021.dta Deoghar_Jul2020.dta Deoghar_Jun2020.dta Deoghar_Mar2021.dta Deoghar_May2020.dta Deoghar_Nov2020.dta Deoghar_Oct2020.dta Deoghar_Sep2020.dta Dhanbad_Apr2020.dta Dhanbad_Aug2020.dta Dhanbad_Dec2020.dta Dhanbad_Feb2021.dta Dhanbad_Jan2021.dta Dhanbad_Jul2020.dta Dhanbad_Jun2020.dta Dhanbad_Mar2021.dta Dhanbad_May2020.dta Dhanbad_Nov2020.dta Dhanbad_Oct2020.dta Dhanbad_Sep2020.dta Dumka_Apr2020.dta   Dumka_Aug2020.dta   Dumka_Dec2020.dta   Dumka_Feb2021.dta   Dumka_Jan2021.dta   Dumka_Jul2020.dta   Dumka_Jun2020.dta   Dumka_Mar2021.dta   Dumka_May2020.dta   Dumka_Nov2020.dta   Dumka_Oct2020.dta   Dumka_Sep2020.dta   EastSinghbum_Apr2020.dta EastSinghbum_Aug2020.dta EastSinghbum_Dec2020.dta EastSinghbum_Feb2021.dta EastSinghbum_Jan2021.dta EastSinghbum_Jul2020.dta EastSinghbum_Jun2020.dta EastSinghbum_Mar2021.dta EastSinghbum_May2020.dta EastSinghbum_Nov2020.dta EastSinghbum_Oct2020.dta EastSinghbum_Sep2020.dta Garhwa_Apr2020.dta  Garhwa_Aug2020.dta  Garhwa_Dec2020.dta  Garhwa_Feb2021.dta  Garhwa_Jan2021.dta  Garhwa_Jul2020.dta  Garhwa_Jun2020.dta  Garhwa_Mar2021.dta  Garhwa_May2020.dta  Garhwa_Nov2020.dta  Garhwa_Oct2020.dta  Garhwa_Sep2020.dta  Giridih_Apr2020.dta Giridih_Aug2020.dta Giridih_Dec2020.dta Giridih_Feb2021.dta Giridih_Jan2021.dta Giridih_Jul2020.dta Giridih_Jun2020.dta Giridih_Mar2021.dta Giridih_May2020.dta Giridih_Nov2020.dta Giridih_Oct2020.dta Giridih_Sep2020.dta Godda_Apr2020.dta   Godda_Aug2020.dta   Godda_Dec2020.dta   Godda_Feb2021.dta   Godda_Jan2021.dta   Godda_Jul2020.dta   Godda_Jun2020.dta   Godda_Mar2021.dta   Godda_May2020.dta   Godda_Nov2020.dta   Godda_Oct2020.dta   Godda_Sep2020.dta   Gumla_Apr2020.dta   Gumla_Aug2020.dta   Gumla_Dec2020.dta   Gumla_Feb2021.dta   Gumla_Jan2021.dta   Gumla_Jul2020.dta   Gumla_Jun2020.dta   Gumla_Mar2021.dta   Gumla_May2020.dta   Gumla_Nov2020.dta   Gumla_Oct2020.dta   Gumla_Sep2020.dta   Hazaribagh_Apr2020.dta   Hazaribagh_Aug2020.dta   Hazaribagh_Dec2020.dta   Hazaribagh_Feb2021.dta   Hazaribagh_Jan2021.dta   Hazaribagh_Jul2020.dta   Hazaribagh_Jun2020.dta   Hazaribagh_Mar2021.dta   Hazaribagh_May2020.dta   Hazaribagh_Nov2020.dta   Hazaribagh_Oct2020.dta   Hazaribagh_Sep2020.dta   Jamtara_Apr2020.dta Jamtara_Aug2020.dta Jamtara_Dec2020.dta Jamtara_Feb2021.dta Jamtara_Jan2021.dta Jamtara_Jul2020.dta Jamtara_Jun2020.dta Jamtara_Mar2021.dta Jamtara_May2020.dta Jamtara_Nov2020.dta Jamtara_Oct2020.dta Jamtara_Sep2020.dta Khunti_Apr2020.dta  Khunti_Aug2020.dta  Khunti_Dec2020.dta  Khunti_Feb2021.dta  Khunti_Jan2021.dta  Khunti_Jul2020.dta  Khunti_Jun2020.dta  Khunti_Mar2021.dta  Khunti_May2020.dta  Khunti_Nov2020.dta  Khunti_Oct2020.dta  Khunti_Sep2020.dta  Koderma_Apr2020.dta Koderma_Aug2020.dta Koderma_Dec2020.dta Koderma_Feb2021.dta Koderma_Jan2021.dta Koderma_Jul2020.dta Koderma_Jun2020.dta Koderma_Mar2021.dta Koderma_May2020.dta Koderma_Nov2020.dta Koderma_Oct2020.dta Koderma_Sep2020.dta Latehar_Apr2020.dta Latehar_Aug2020.dta Latehar_Dec2020.dta Latehar_Feb2021.dta Latehar_Jan2021.dta Latehar_Jul2020.dta Latehar_Jun2020.dta Latehar_Mar2021.dta Latehar_May2020.dta Latehar_Nov2020.dta Latehar_Oct2020.dta Latehar_Sep2020.dta Lohardaga_Apr2020.dta    Lohardaga_Aug2020.dta    Lohardaga_Dec2020.dta    Lohardaga_Feb2021.dta    Lohardaga_Jan2021.dta    Lohardaga_Jul2020.dta    Lohardaga_Jun2020.dta    Lohardaga_Mar2021.dta    Lohardaga_May2020.dta    Lohardaga_Nov2020.dta    Lohardaga_Oct2020.dta    Lohardaga_Sep2020.dta    Pakur_Apr2020.dta   Pakur_Aug2020.dta   Pakur_Dec2020.dta   Pakur_Feb2021.dta   Pakur_Jan2021.dta   Pakur_Jul2020.dta   Pakur_Jun2020.dta   Pakur_Mar2021.dta   Pakur_May2020.dta   Pakur_Nov2020.dta   Pakur_Oct2020.dta   Pakur_Sep2020.dta   Palamu_Apr2020.dta  Palamu_Aug2020.dta  Palamu_Dec2020.dta  Palamu_Feb2021.dta  Palamu_Jan2021.dta  Palamu_Jul2020.dta  Palamu_Jun2020.dta  Palamu_Mar2021.dta  Palamu_May2020.dta  Palamu_Nov2020.dta  Palamu_Oct2020.dta  Palamu_Sep2020.dta  Ramgarh_Apr2020.dta Ramgarh_Aug2020.dta Ramgarh_Dec2020.dta Ramgarh_Feb2021.dta Ramgarh_Jan2021.dta Ramgarh_Jul2020.dta Ramgarh_Jun2020.dta Ramgarh_Mar2021.dta Ramgarh_May2020.dta Ramgarh_Nov2020.dta Ramgarh_Oct2020.dta Ramgarh_Sep2020.dta Ranchi_Apr2020.dta  Ranchi_Aug2020.dta  Ranchi_Dec2020.dta  Ranchi_Feb2021.dta  Ranchi_Jan2021.dta  Ranchi_Jul2020.dta  Ranchi_Jun2020.dta  Ranchi_Mar2021.dta  Ranchi_May2020.dta  Ranchi_Nov2020.dta  Ranchi_Oct2020.dta  Ranchi_Sep2020.dta  Sahebganj_Apr2020.dta    Sahebganj_Aug2020.dta    Sahebganj_Dec2020.dta    Sahebganj_Feb2021.dta    Sahebganj_Jan2021.dta    Sahebganj_Jul2020.dta    Sahebganj_Jun2020.dta    Sahebganj_Mar2021.dta    Sahebganj_May2020.dta    Sahebganj_Nov2020.dta    Sahebganj_Oct2020.dta    Sahebganj_Sep2020.dta    SaraikelaKharsawan_Apr2020.dta     SaraikelaKharsawan_Aug2020.dta     SaraikelaKharsawan_Dec2020.dta     SaraikelaKharsawan_Feb2021.dta     SaraikelaKharsawan_Jan2021.dta     SaraikelaKharsawan_Jul2020.dta     SaraikelaKharsawan_Jun2020.dta     SaraikelaKharsawan_Mar2021.dta     SaraikelaKharsawan_May2020.dta     SaraikelaKharsawan_Nov2020.dta     SaraikelaKharsawan_Oct2020.dta     SaraikelaKharsawan_Sep2020.dta     Simdega_Apr2020.dta Simdega_Aug2020.dta Simdega_Dec2020.dta Simdega_Feb2021.dta Simdega_Jan2021.dta Simdega_Jul2020.dta Simdega_Jun2020.dta Simdega_Mar2021.dta Simdega_May2020.dta Simdega_Nov2020.dta Simdega_Oct2020.dta Simdega_Sep2020.dta WestSinghbhum_Apr2020.dta     WestSinghbhum_Aug2020.dta     WestSinghbhum_Dec2020.dta     WestSinghbhum_Feb2021.dta     WestSinghbhum_Jan2021.dta     WestSinghbhum_Jul2020.dta     WestSinghbhum_Jun2020.dta     WestSinghbhum_Mar2021.dta     WestSinghbhum_May2020.dta     WestSinghbhum_Nov2020.dta     WestSinghbhum_Oct2020.dta     WestSinghbhum_Sep2020.dta"

     foreach name of local names {
               append using "02_ProcessedData/Jharkhand2020_2021/`name'"
                    }

     local names "Deoghar_May2021.dta   Bokaro_Apr2021.dta  Bokaro_May2021.dta  Chatra_Apr2021.dta  Chatra_May2021.dta  Deoghar_Apr2021.dta Dhanbad_Apr2021.dta Dhanbad_May2021.dta Dumka_Apr2021.dta   Dumka_May2021.dta   EastSinghbum_Apr2021.dta EastSinghbum_May2021.dta Garhwa_Apr2021.dta  Garhwa_May2021.dta  Giridih_Apr2021.dta Giridih_May2021.dta Godda_Apr2021.dta   Godda_May2021.dta   Gumla_Apr2021.dta   Gumla_May2021.dta   Hazaribagh_Apr2021.dta   Hazaribagh_May2021.dta   Jamtara_Apr2021.dta Jamtara_May2021.dta Khunti_Apr2021.dta  Khunti_May2021.dta  Koderma_Apr2021.dta Koderma_May2021.dta Latehar_Apr2021.dta Latehar_May2021.dta Lohardaga_Apr2021.dta    Lohardaga_May2021.dta    Pakur_Apr2021.dta   Pakur_May2021.dta   Palamu_Apr2021.dta  Palamu_May2021.dta  Ramgarh_Apr2021.dta Ramgarh_May2021.dta Ranchi_Apr2021.dta  Ranchi_May2021.dta  Sahebganj_Apr2021.dta    Sahebganj_May2021.dta    SaraikelaKharsawan_Apr2021.dta     SaraikelaKharsawan_May2021.dta     Simdega_Apr2021.dta Simdega_May2021.dta WestSinghbhum_Apr2021.dta     WestSinghbhum_May2021.dta"
     foreach name of local names {
               append using "02_ProcessedData/Jharkhand2021_2022/`name'"
                    }

     save "02_ProcessedData/Jharkhand_all.dta", replace



*UttarPradesh
     u "02_ProcessedData/UttarPradesh2020_2021/Agra_Apr2020.dta", clear
     local names ///
     "Agra_Aug2020.dta    Agra_Dec2020.dta    Agra_Feb2021.dta    Agra_Jan2021.dta    Agra_Jul2020.dta    Agra_Jun2020.dta    Agra_Mar2021.dta    Agra_May2020.dta    Agra_Nov2020.dta    Agra_Oct2020.dta    Agra_Sep2020.dta    Aligarh_Apr2020.dta Aligarh_Aug2020.dta Aligarh_Dec2020.dta Aligarh_Feb2021.dta Aligarh_Jan2021.dta Aligarh_Jul2020.dta Aligarh_Jun2020.dta Aligarh_Mar2021.dta Aligarh_May2020.dta Aligarh_Nov2020.dta Aligarh_Oct2020.dta Aligarh_Sep2020.dta AmbedkarNagar_Apr2020.dta     AmbedkarNagar_Aug2020.dta     AmbedkarNagar_Dec2020.dta     AmbedkarNagar_Feb2021.dta     AmbedkarNagar_Jan2021.dta     AmbedkarNagar_Jul2020.dta     AmbedkarNagar_Jun2020.dta     AmbedkarNagar_Mar2021.dta     AmbedkarNagar_May2020.dta     AmbedkarNagar_Nov2020.dta     AmbedkarNagar_Oct2020.dta     AmbedkarNagar_Sep2020.dta     Amethi_Apr2020.dta  Amethi_Aug2020.dta  Amethi_Dec2020.dta  Amethi_Feb2021.dta  Amethi_Jan2021.dta  Amethi_Jul2020.dta  Amethi_Jun2020.dta  Amethi_Mar2021.dta  Amethi_May2020.dta  Amethi_Nov2020.dta  Amethi_Oct2020.dta  Amethi_Sep2020.dta  Amroha_Apr2020.dta  Amroha_Aug2020.dta  Amroha_Dec2020.dta  Amroha_Feb2021.dta  Amroha_Jan2021.dta  Amroha_Jul2020.dta  Amroha_Jun2020.dta  Amroha_Mar2021.dta  Amroha_May2020.dta  Amroha_Nov2020.dta  Amroha_Oct2020.dta  Amroha_Sep2020.dta  Auraiya_Apr2020.dta Auraiya_Aug2020.dta Auraiya_Dec2020.dta Auraiya_Feb2021.dta Auraiya_Jan2021.dta Auraiya_Jul2020.dta Auraiya_Jun2020.dta Auraiya_Mar2021.dta Auraiya_May2020.dta Auraiya_Nov2020.dta Auraiya_Oct2020.dta Auraiya_Sep2020.dta Ayodhya_Apr2020.dta Ayodhya_Aug2020.dta Ayodhya_Dec2020.dta Ayodhya_Feb2021.dta Ayodhya_Jan2021.dta Ayodhya_Jul2020.dta Ayodhya_Jun2020.dta Ayodhya_Mar2021.dta Ayodhya_May2020.dta Ayodhya_Nov2020.dta Ayodhya_Oct2020.dta Ayodhya_Sep2020.dta Azamgarh_Apr2020.dta     Azamgarh_Aug2020.dta     Azamgarh_Dec2020.dta     Azamgarh_Feb2021.dta     Azamgarh_Jan2021.dta     Azamgarh_Jul2020.dta     Azamgarh_Jun2020.dta     Azamgarh_Mar2021.dta     Azamgarh_May2020.dta     Azamgarh_Nov2020.dta     Azamgarh_Oct2020.dta     Azamgarh_Sep2020.dta     Baghpat_Apr2020.dta Baghpat_Aug2020.dta Baghpat_Dec2020.dta Baghpat_Feb2021.dta Baghpat_Jan2021.dta Baghpat_Jul2020.dta Baghpat_Jun2020.dta Baghpat_Mar2021.dta Baghpat_May2020.dta Baghpat_Nov2020.dta Baghpat_Oct2020.dta Baghpat_Sep2020.dta Bahraich_Apr2020.dta     Bahraich_Aug2020.dta     Bahraich_Dec2020.dta     Bahraich_Feb2021.dta     Bahraich_Jan2021.dta     Bahraich_Jul2020.dta     Bahraich_Jun2020.dta     Bahraich_Mar2021.dta     Bahraich_May2020.dta     Bahraich_Nov2020.dta     Bahraich_Oct2020.dta     Bahraich_Sep2020.dta     Ballia_Apr2020.dta  Ballia_Aug2020.dta  Ballia_Dec2020.dta  Ballia_Feb2021.dta  Ballia_Jan2021.dta  Ballia_Jul2020.dta  Ballia_Jun2020.dta  Ballia_Mar2021.dta  Ballia_May2020.dta  Ballia_Nov2020.dta  Ballia_Oct2020.dta  Ballia_Sep2020.dta  Balrampur_Apr2020.dta    Balrampur_Aug2020.dta    Balrampur_Dec2020.dta    Balrampur_Feb2021.dta    Balrampur_Jan2021.dta    Balrampur_Jul2020.dta    Balrampur_Jun2020.dta    Balrampur_Mar2021.dta    Balrampur_May2020.dta    Balrampur_Nov2020.dta    Balrampur_Oct2020.dta    Balrampur_Sep2020.dta    Banda_Apr2020.dta   Banda_Aug2020.dta   Banda_Dec2020.dta   Banda_Feb2021.dta   Banda_Jan2021.dta   Banda_Jul2020.dta   Banda_Jun2020.dta   Banda_Mar2021.dta   Banda_May2020.dta   Banda_Nov2020.dta   Banda_Oct2020.dta   Banda_Sep2020.dta   Barabanki_Apr2020.dta    Barabanki_Aug2020.dta    Barabanki_Dec2020.dta    Barabanki_Feb2021.dta    Barabanki_Jan2021.dta    Barabanki_Jul2020.dta    Barabanki_Jun2020.dta    Barabanki_Mar2021.dta    Barabanki_May2020.dta    Barabanki_Nov2020.dta    Barabanki_Oct2020.dta    Barabanki_Sep2020.dta    Bareilly_Apr2020.dta     Bareilly_Aug2020.dta     Bareilly_Dec2020.dta     Bareilly_Feb2021.dta     Bareilly_Jan2021.dta     Bareilly_Jul2020.dta     Bareilly_Jun2020.dta     Bareilly_Mar2021.dta     Bareilly_May2020.dta     Bareilly_Nov2020.dta     Bareilly_Oct2020.dta     Bareilly_Sep2020.dta     Basti_Apr2020.dta   Basti_Aug2020.dta   Basti_Dec2020.dta   Basti_Feb2021.dta   Basti_Jan2021.dta   Basti_Jul2020.dta   Basti_Jun2020.dta   Basti_Mar2021.dta   Basti_May2020.dta   Basti_Nov2020.dta   Basti_Oct2020.dta   Basti_Sep2020.dta   Bhadohi_Apr2020.dta Bhadohi_Aug2020.dta Bhadohi_Dec2020.dta Bhadohi_Feb2021.dta Bhadohi_Jan2021.dta Bhadohi_Jul2020.dta Bhadohi_Jun2020.dta Bhadohi_Mar2021.dta Bhadohi_May2020.dta Bhadohi_Nov2020.dta Bhadohi_Oct2020.dta Bhadohi_Sep2020.dta Bijnor_Apr2020.dta  Bijnor_Aug2020.dta  Bijnor_Dec2020.dta  Bijnor_Feb2021.dta  Bijnor_Jan2021.dta  Bijnor_Jul2020.dta  Bijnor_Jun2020.dta  Bijnor_Mar2021.dta  Bijnor_May2020.dta  Bijnor_Nov2020.dta  Bijnor_Oct2020.dta  Bijnor_Sep2020.dta  Budaun_Apr2020.dta  Budaun_Aug2020.dta  Budaun_Dec2020.dta  Budaun_Feb2021.dta  Budaun_Jan2021.dta  Budaun_Jul2020.dta  Budaun_Jun2020.dta  Budaun_Mar2021.dta  Budaun_May2020.dta  Budaun_Nov2020.dta  Budaun_Oct2020.dta  Budaun_Sep2020.dta  Bulandshahr_Apr2020.dta  Bulandshahr_Aug2020.dta  Bulandshahr_Dec2020.dta  Bulandshahr_Feb2021.dta  Bulandshahr_Jan2021.dta  Bulandshahr_Jul2020.dta  Bulandshahr_Jun2020.dta  Bulandshahr_Mar2021.dta  Bulandshahr_May2020.dta  Bulandshahr_Nov2020.dta  Bulandshahr_Oct2020.dta  Bulandshahr_Sep2020.dta  Chandauli_Apr2020.dta    Chandauli_Aug2020.dta    Chandauli_Dec2020.dta    Chandauli_Feb2021.dta    Chandauli_Jan2021.dta    Chandauli_Jul2020.dta    Chandauli_Jun2020.dta    Chandauli_Mar2021.dta    Chandauli_May2020.dta    Chandauli_Nov2020.dta    Chandauli_Oct2020.dta    Chandauli_Sep2020.dta    Chitrakoot_Apr2020.dta   Chitrakoot_Aug2020.dta   Chitrakoot_Dec2020.dta   Chitrakoot_Feb2021.dta   Chitrakoot_Jan2021.dta   Chitrakoot_Jul2020.dta   Chitrakoot_Jun2020.dta   Chitrakoot_Mar2021.dta   Chitrakoot_May2020.dta   Chitrakoot_Nov2020.dta   Chitrakoot_Oct2020.dta   Chitrakoot_Sep2020.dta   Deoria_Apr2020.dta  Deoria_Aug2020.dta  Deoria_Dec2020.dta  Deoria_Feb2021.dta  Deoria_Jan2021.dta  Deoria_Jul2020.dta  Deoria_Jun2020.dta  Deoria_Mar2021.dta  Deoria_May2020.dta  Deoria_Nov2020.dta  Deoria_Oct2020.dta  Deoria_Sep2020.dta  Etah_Apr2020.dta    Etah_Aug2020.dta    Etah_Dec2020.dta    Etah_Feb2021.dta    Etah_Jan2021.dta    Etah_Jul2020.dta    Etah_Jun2020.dta    Etah_Mar2021.dta    Etah_May2020.dta    Etah_Nov2020.dta    Etah_Oct2020.dta    Etah_Sep2020.dta    Etawah_Apr2020.dta  Etawah_Aug2020.dta  Etawah_Dec2020.dta  Etawah_Feb2021.dta  Etawah_Jan2021.dta  Etawah_Jul2020.dta  Etawah_Jun2020.dta  Etawah_Mar2021.dta  Etawah_May2020.dta  Etawah_Nov2020.dta  Etawah_Oct2020.dta  Etawah_Sep2020.dta  Farrukhabad_Apr2020.dta  Farrukhabad_Aug2020.dta  Farrukhabad_Dec2020.dta  Farrukhabad_Feb2021.dta  Farrukhabad_Jan2021.dta  Farrukhabad_Jul2020.dta  Farrukhabad_Jun2020.dta  Farrukhabad_Mar2021.dta  Farrukhabad_May2020.dta  Farrukhabad_Nov2020.dta  Farrukhabad_Oct2020.dta  Farrukhabad_Sep2020.dta  Fatehpur_Apr2020.dta     Fatehpur_Aug2020.dta     Fatehpur_Dec2020.dta     Fatehpur_Feb2021.dta     Fatehpur_Jan2021.dta     Fatehpur_Jul2020.dta     Fatehpur_Jun2020.dta     Fatehpur_Mar2021.dta     Fatehpur_May2020.dta     Fatehpur_Nov2020.dta     Fatehpur_Oct2020.dta     Fatehpur_Sep2020.dta     Firozabad_Apr2020.dta    Firozabad_Aug2020.dta    Firozabad_Dec2020.dta    Firozabad_Feb2021.dta    Firozabad_Jan2021.dta    Firozabad_Jul2020.dta    Firozabad_Jun2020.dta    Firozabad_Mar2021.dta    Firozabad_May2020.dta    Firozabad_Nov2020.dta    Firozabad_Oct2020.dta    Firozabad_Sep2020.dta    GautamBuddhaNagar_Apr2020.dta GautamBuddhaNagar_Aug2020.dta GautamBuddhaNagar_Dec2020.dta GautamBuddhaNagar_Feb2021.dta GautamBuddhaNagar_Jan2021.dta GautamBuddhaNagar_Jul2020.dta GautamBuddhaNagar_Jun2020.dta GautamBuddhaNagar_Mar2021.dta GautamBuddhaNagar_May2020.dta GautamBuddhaNagar_Nov2020.dta GautamBuddhaNagar_Oct2020.dta GautamBuddhaNagar_Sep2020.dta Ghaziabad_Apr2020.dta    Ghaziabad_Aug2020.dta    Ghaziabad_Dec2020.dta    Ghaziabad_Feb2021.dta    Ghaziabad_Jan2021.dta    Ghaziabad_Jul2020.dta    Ghaziabad_Jun2020.dta    Ghaziabad_Mar2021.dta    Ghaziabad_May2020.dta    Ghaziabad_Nov2020.dta    Ghaziabad_Oct2020.dta    Ghaziabad_Sep2020.dta    Ghazipur_Apr2020.dta     Ghazipur_Aug2020.dta     Ghazipur_Dec2020.dta     Ghazipur_Feb2021.dta     Ghazipur_Jan2021.dta     Ghazipur_Jul2020.dta     Ghazipur_Jun2020.dta     Ghazipur_Mar2021.dta     Ghazipur_May2020.dta     Ghazipur_Nov2020.dta     Ghazipur_Oct2020.dta     Ghazipur_Sep2020.dta     Gonda_Apr2020.dta   Gonda_Aug2020.dta   Gonda_Dec2020.dta   Gonda_Feb2021.dta   Gonda_Jan2021.dta   Gonda_Jul2020.dta   Gonda_Jun2020.dta   Gonda_Mar2021.dta   Gonda_May2020.dta   Gonda_Nov2020.dta   Gonda_Oct2020.dta   Gonda_Sep2020.dta   Gorakhpur_Apr2020.dta    Gorakhpur_Aug2020.dta    Gorakhpur_Dec2020.dta    Gorakhpur_Feb2021.dta    Gorakhpur_Jan2021.dta    Gorakhpur_Jul2020.dta    Gorakhpur_Jun2020.dta    Gorakhpur_Mar2021.dta    Gorakhpur_May2020.dta    Gorakhpur_Nov2020.dta    Gorakhpur_Oct2020.dta    Gorakhpur_Sep2020.dta    Hamirpur_Apr2020.dta     Hamirpur_Aug2020.dta     Hamirpur_Dec2020.dta     Hamirpur_Feb2021.dta     Hamirpur_Jan2021.dta     Hamirpur_Jul2020.dta     Hamirpur_Jun2020.dta     Hamirpur_Mar2021.dta     Hamirpur_May2020.dta     Hamirpur_Nov2020.dta     Hamirpur_Oct2020.dta     Hamirpur_Sep2020.dta     Hapur_Apr2020.dta   Hapur_Aug2020.dta   Hapur_Dec2020.dta   Hapur_Feb2021.dta   Hapur_Jan2021.dta   Hapur_Jul2020.dta   Hapur_Jun2020.dta   Hapur_Mar2021.dta   Hapur_May2020.dta   Hapur_Nov2020.dta   Hapur_Oct2020.dta   Hapur_Sep2020.dta   Hardoi_Apr2020.dta  Hardoi_Aug2020.dta  Hardoi_Dec2020.dta  Hardoi_Feb2021.dta  Hardoi_Jan2021.dta  Hardoi_Jul2020.dta  Hardoi_Jun2020.dta  Hardoi_Mar2021.dta  Hardoi_May2020.dta  Hardoi_Nov2020.dta  Hardoi_Oct2020.dta  Hardoi_Sep2020.dta  Hathras_Apr2020.dta Hathras_Aug2020.dta Hathras_Dec2020.dta Hathras_Feb2021.dta Hathras_Jan2021.dta Hathras_Jul2020.dta Hathras_Jun2020.dta Hathras_Mar2021.dta Hathras_May2020.dta Hathras_Nov2020.dta Hathras_Oct2020.dta Hathras_Sep2020.dta Jalaun_Apr2020.dta  Jalaun_Aug2020.dta  Jalaun_Dec2020.dta  Jalaun_Feb2021.dta  Jalaun_Jan2021.dta  Jalaun_Jul2020.dta  Jalaun_Jun2020.dta  Jalaun_Mar2021.dta  Jalaun_May2020.dta  Jalaun_Nov2020.dta  Jalaun_Oct2020.dta  Jalaun_Sep2020.dta  Jaunpur_Apr2020.dta Jaunpur_Aug2020.dta Jaunpur_Dec2020.dta Jaunpur_Feb2021.dta Jaunpur_Jan2021.dta Jaunpur_Jul2020.dta Jaunpur_Jun2020.dta Jaunpur_Mar2021.dta Jaunpur_May2020.dta Jaunpur_Nov2020.dta Jaunpur_Oct2020.dta Jaunpur_Sep2020.dta Jhansi_Apr2020.dta  Jhansi_Aug2020.dta  Jhansi_Dec2020.dta  Jhansi_Feb2021.dta  Jhansi_Jan2021.dta  Jhansi_Jul2020.dta  Jhansi_Jun2020.dta  Jhansi_Mar2021.dta  Jhansi_May2020.dta  Jhansi_Nov2020.dta  Jhansi_Oct2020.dta  Jhansi_Sep2020.dta  Kannauj_Apr2020.dta Kannauj_Aug2020.dta Kannauj_Dec2020.dta Kannauj_Feb2021.dta Kannauj_Jan2021.dta Kannauj_Jul2020.dta Kannauj_Jun2020.dta Kannauj_Mar2021.dta Kannauj_May2020.dta Kannauj_Nov2020.dta Kannauj_Oct2020.dta Kannauj_Sep2020.dta KanpurDehat_Apr2020.dta  KanpurDehat_Aug2020.dta  KanpurDehat_Dec2020.dta  KanpurDehat_Feb2021.dta  KanpurDehat_Jan2021.dta  KanpurDehat_Jul2020.dta  KanpurDehat_Jun2020.dta  KanpurDehat_Mar2021.dta  KanpurDehat_May2020.dta  KanpurDehat_Nov2020.dta  KanpurDehat_Oct2020.dta  KanpurDehat_Sep2020.dta  KanpurNagar_Apr2020.dta  KanpurNagar_Aug2020.dta  KanpurNagar_Dec2020.dta  KanpurNagar_Feb2021.dta  KanpurNagar_Jan2021.dta  KanpurNagar_Jul2020.dta  KanpurNagar_Jun2020.dta  KanpurNagar_Mar2021.dta  KanpurNagar_May2020.dta  KanpurNagar_Nov2020.dta  KanpurNagar_Oct2020.dta  KanpurNagar_Sep2020.dta  Kasganj_Apr2020.dta Kasganj_Aug2020.dta Kasganj_Dec2020.dta Kasganj_Feb2021.dta Kasganj_Jan2021.dta Kasganj_Jul2020.dta Kasganj_Jun2020.dta Kasganj_Mar2021.dta Kasganj_May2020.dta Kasganj_Nov2020.dta Kasganj_Oct2020.dta Kasganj_Sep2020.dta Kaushambi_Apr2020.dta    Kaushambi_Aug2020.dta    Kaushambi_Dec2020.dta    Kaushambi_Feb2021.dta    Kaushambi_Jan2021.dta    Kaushambi_Jul2020.dta    Kaushambi_Jun2020.dta    Kaushambi_Mar2021.dta    Kaushambi_May2020.dta    Kaushambi_Nov2020.dta    Kaushambi_Oct2020.dta    Kaushambi_Sep2020.dta    Kheri_Apr2020.dta   Kheri_Aug2020.dta   Kheri_Dec2020.dta   Kheri_Feb2021.dta   Kheri_Jan2021.dta   Kheri_Jul2020.dta   Kheri_Jun2020.dta   Kheri_Mar2021.dta   Kheri_May2020.dta   Kheri_Nov2020.dta   Kheri_Oct2020.dta   Kheri_Sep2020.dta   KushiNagar_Apr2020.dta   KushiNagar_Aug2020.dta   KushiNagar_Dec2020.dta   KushiNagar_Feb2021.dta   KushiNagar_Jan2021.dta   KushiNagar_Jul2020.dta   KushiNagar_Jun2020.dta   KushiNagar_Mar2021.dta   KushiNagar_May2020.dta   KushiNagar_Nov2020.dta   KushiNagar_Oct2020.dta   KushiNagar_Sep2020.dta   Lalitpur_Apr2020.dta     Lalitpur_Aug2020.dta     Lalitpur_Dec2020.dta     Lalitpur_Feb2021.dta     Lalitpur_Jan2021.dta     Lalitpur_Jul2020.dta     Lalitpur_Jun2020.dta     Lalitpur_Mar2021.dta     Lalitpur_May2020.dta     Lalitpur_Nov2020.dta     Lalitpur_Oct2020.dta     Lalitpur_Sep2020.dta     Lucknow_Apr2020.dta Lucknow_Aug2020.dta Lucknow_Dec2020.dta Lucknow_Feb2021.dta Lucknow_Jan2021.dta Lucknow_Jul2020.dta Lucknow_Jun2020.dta Lucknow_Mar2021.dta Lucknow_May2020.dta Lucknow_Nov2020.dta Lucknow_Oct2020.dta Lucknow_Sep2020.dta Maharajganj_Apr2020.dta  Maharajganj_Aug2020.dta  Maharajganj_Dec2020.dta  Maharajganj_Feb2021.dta  Maharajganj_Jan2021.dta  Maharajganj_Jul2020.dta  Maharajganj_Jun2020.dta  Maharajganj_Mar2021.dta  Maharajganj_May2020.dta  Maharajganj_Nov2020.dta  Maharajganj_Oct2020.dta  Maharajganj_Sep2020.dta  Mahoba_Apr2020.dta  Mahoba_Aug2020.dta  Mahoba_Dec2020.dta  Mahoba_Feb2021.dta  Mahoba_Jan2021.dta  Mahoba_Jul2020.dta  Mahoba_Jun2020.dta  Mahoba_Mar2021.dta  Mahoba_May2020.dta  Mahoba_Nov2020.dta  Mahoba_Oct2020.dta  Mahoba_Sep2020.dta  Mainpuri_Apr2020.dta     Mainpuri_Aug2020.dta     Mainpuri_Dec2020.dta     Mainpuri_Feb2021.dta     Mainpuri_Jan2021.dta     Mainpuri_Jul2020.dta     Mainpuri_Jun2020.dta     Mainpuri_Mar2021.dta     Mainpuri_May2020.dta     Mainpuri_Nov2020.dta     Mainpuri_Oct2020.dta     Mainpuri_Sep2020.dta     Mathura_Apr2020.dta Mathura_Aug2020.dta Mathura_Dec2020.dta Mathura_Feb2021.dta Mathura_Jan2021.dta Mathura_Jul2020.dta Mathura_Jun2020.dta Mathura_Mar2021.dta Mathura_May2020.dta Mathura_Nov2020.dta Mathura_Oct2020.dta Mathura_Sep2020.dta Mau_Apr2020.dta     Mau_Aug2020.dta     Mau_Dec2020.dta     Mau_Feb2021.dta     Mau_Jan2021.dta     Mau_Jul2020.dta     Mau_Jun2020.dta     Mau_Mar2021.dta     Mau_May2020.dta     Mau_Nov2020.dta     Mau_Oct2020.dta     Mau_Sep2020.dta     Meerut_Apr2020.dta  Meerut_Aug2020.dta  Meerut_Dec2020.dta  Meerut_Feb2021.dta  Meerut_Jan2021.dta  Meerut_Jul2020.dta  Meerut_Jun2020.dta  Meerut_Mar2021.dta  Meerut_May2020.dta  Meerut_Nov2020.dta  Meerut_Oct2020.dta  Meerut_Sep2020.dta  Mirzapur_Apr2020.dta     Mirzapur_Aug2020.dta     Mirzapur_Dec2020.dta     Mirzapur_Feb2021.dta     Mirzapur_Jan2021.dta     Mirzapur_Jul2020.dta     Mirzapur_Jun2020.dta     Mirzapur_Mar2021.dta     Mirzapur_May2020.dta     Mirzapur_Nov2020.dta     Mirzapur_Oct2020.dta     Mirzapur_Sep2020.dta     Moradabad_Apr2020.dta    Moradabad_Aug2020.dta    Moradabad_Dec2020.dta    Moradabad_Feb2021.dta    Moradabad_Jan2021.dta    Moradabad_Jul2020.dta    Moradabad_Jun2020.dta    Moradabad_Mar2021.dta    Moradabad_May2020.dta    Moradabad_Nov2020.dta    Moradabad_Oct2020.dta    Moradabad_Sep2020.dta    Muzaffarnagar_Apr2020.dta     Muzaffarnagar_Aug2020.dta     Muzaffarnagar_Dec2020.dta     Muzaffarnagar_Feb2021.dta     Muzaffarnagar_Jan2021.dta     Muzaffarnagar_Jul2020.dta     Muzaffarnagar_Jun2020.dta     Muzaffarnagar_Mar2021.dta     Muzaffarnagar_May2020.dta     Muzaffarnagar_Nov2020.dta     Muzaffarnagar_Oct2020.dta     Muzaffarnagar_Sep2020.dta     Pilibhit_Apr2020.dta     Pilibhit_Aug2020.dta     Pilibhit_Dec2020.dta     Pilibhit_Feb2021.dta     Pilibhit_Jan2021.dta     Pilibhit_Jul2020.dta     Pilibhit_Jun2020.dta     Pilibhit_Mar2021.dta     Pilibhit_May2020.dta     Pilibhit_Nov2020.dta     Pilibhit_Oct2020.dta     Pilibhit_Sep2020.dta     Pratapgarh_Apr2020.dta   Pratapgarh_Aug2020.dta   Pratapgarh_Dec2020.dta   Pratapgarh_Feb2021.dta   Pratapgarh_Jan2021.dta   Pratapgarh_Jul2020.dta   Pratapgarh_Jun2020.dta   Pratapgarh_Mar2021.dta   Pratapgarh_May2020.dta   Pratapgarh_Nov2020.dta   Pratapgarh_Oct2020.dta   Pratapgarh_Sep2020.dta   Prayagraj_Apr2020.dta    Prayagraj_Aug2020.dta    Prayagraj_Dec2020.dta    Prayagraj_Feb2021.dta    Prayagraj_Jan2021.dta    Prayagraj_Jul2020.dta    Prayagraj_Jun2020.dta    Prayagraj_Mar2021.dta    Prayagraj_May2020.dta    Prayagraj_Nov2020.dta    Prayagraj_Oct2020.dta    Prayagraj_Sep2020.dta    RaeBareli_Apr2020.dta    RaeBareli_Aug2020.dta    RaeBareli_Dec2020.dta    RaeBareli_Feb2021.dta    RaeBareli_Jan2021.dta    RaeBareli_Jul2020.dta    RaeBareli_Jun2020.dta    RaeBareli_Mar2021.dta    RaeBareli_May2020.dta    RaeBareli_Nov2020.dta    RaeBareli_Oct2020.dta    RaeBareli_Sep2020.dta    Rampur_Apr2020.dta  Rampur_Aug2020.dta  Rampur_Dec2020.dta  Rampur_Feb2021.dta  Rampur_Jan2021.dta  Rampur_Jul2020.dta  Rampur_Jun2020.dta  Rampur_Mar2021.dta  Rampur_May2020.dta  Rampur_Nov2020.dta  Rampur_Oct2020.dta  Rampur_Sep2020.dta  Saharanpur_Apr2020.dta   Saharanpur_Aug2020.dta   Saharanpur_Dec2020.dta   Saharanpur_Feb2021.dta   Saharanpur_Jan2021.dta   Saharanpur_Jul2020.dta   Saharanpur_Jun2020.dta   Saharanpur_Mar2021.dta   Saharanpur_May2020.dta   Saharanpur_Nov2020.dta   Saharanpur_Oct2020.dta   Saharanpur_Sep2020.dta   Sambhal_Apr2020.dta Sambhal_Aug2020.dta Sambhal_Dec2020.dta Sambhal_Feb2021.dta Sambhal_Jan2021.dta Sambhal_Jul2020.dta Sambhal_Jun2020.dta Sambhal_Mar2021.dta Sambhal_May2020.dta Sambhal_Nov2020.dta Sambhal_Oct2020.dta Sambhal_Sep2020.dta SantKabeerNagar_Apr2020.dta    SantKabeerNagar_Aug2020.dta    SantKabeerNagar_Dec2020.dta    SantKabeerNagar_Feb2021.dta    SantKabeerNagar_Jan2021.dta    SantKabeerNagar_Jul2020.dta    SantKabeerNagar_Jun2020.dta    SantKabeerNagar_Mar2021.dta    SantKabeerNagar_May2020.dta    SantKabeerNagar_Nov2020.dta    SantKabeerNagar_Oct2020.dta    SantKabeerNagar_Sep2020.dta    Shahjahanpur_Apr2020.dta Shahjahanpur_Aug2020.dta Shahjahanpur_Dec2020.dta Shahjahanpur_Feb2021.dta Shahjahanpur_Jan2021.dta Shahjahanpur_Jul2020.dta Shahjahanpur_Jun2020.dta Shahjahanpur_Mar2021.dta Shahjahanpur_May2020.dta Shahjahanpur_Nov2020.dta Shahjahanpur_Oct2020.dta Shahjahanpur_Sep2020.dta Shamli_Apr2020.dta  Shamli_Aug2020.dta  Shamli_Dec2020.dta  Shamli_Feb2021.dta  Shamli_Jan2021.dta  Shamli_Jul2020.dta  Shamli_Jun2020.dta  Shamli_Mar2021.dta  Shamli_May2020.dta  Shamli_Nov2020.dta  Shamli_Oct2020.dta  Shamli_Sep2020.dta  Shravasti_Apr2020.dta    Shravasti_Aug2020.dta    Shravasti_Dec2020.dta    Shravasti_Feb2021.dta    Shravasti_Jan2021.dta    Shravasti_Jul2020.dta    Shravasti_Jun2020.dta    Shravasti_Mar2021.dta    Shravasti_May2020.dta    Shravasti_Nov2020.dta    Shravasti_Oct2020.dta    Shravasti_Sep2020.dta    SiddharthNagar_Apr2020.dta    SiddharthNagar_Aug2020.dta    SiddharthNagar_Dec2020.dta    SiddharthNagar_Feb2021.dta    SiddharthNagar_Jan2021.dta    SiddharthNagar_Jul2020.dta    SiddharthNagar_Jun2020.dta    SiddharthNagar_Mar2021.dta    SiddharthNagar_May2020.dta    SiddharthNagar_Nov2020.dta    SiddharthNagar_Oct2020.dta    SiddharthNagar_Sep2020.dta    Sitapur_Apr2020.dta Sitapur_Aug2020.dta Sitapur_Dec2020.dta Sitapur_Feb2021.dta Sitapur_Jan2021.dta Sitapur_Jul2020.dta Sitapur_Jun2020.dta Sitapur_Mar2021.dta Sitapur_May2020.dta Sitapur_Nov2020.dta Sitapur_Oct2020.dta Sitapur_Sep2020.dta Sonbhadra_Apr2020.dta    Sonbhadra_Aug2020.dta    Sonbhadra_Dec2020.dta    Sonbhadra_Feb2021.dta    Sonbhadra_Jan2021.dta    Sonbhadra_Jul2020.dta    Sonbhadra_Jun2020.dta    Sonbhadra_Mar2021.dta    Sonbhadra_May2020.dta    Sonbhadra_Nov2020.dta    Sonbhadra_Oct2020.dta    Sonbhadra_Sep2020.dta    Sultanpur_Apr2020.dta    Sultanpur_Aug2020.dta    Sultanpur_Dec2020.dta    Sultanpur_Feb2021.dta    Sultanpur_Jan2021.dta    Sultanpur_Jul2020.dta    Sultanpur_Jun2020.dta    Sultanpur_Mar2021.dta    Sultanpur_May2020.dta    Sultanpur_Nov2020.dta    Sultanpur_Oct2020.dta    Sultanpur_Sep2020.dta    Unnao_Apr2020.dta   Unnao_Aug2020.dta   Unnao_Dec2020.dta   Unnao_Feb2021.dta   Unnao_Jan2021.dta   Unnao_Jul2020.dta   Unnao_Jun2020.dta   Unnao_Mar2021.dta   Unnao_May2020.dta   Unnao_Nov2020.dta   Unnao_Oct2020.dta   Unnao_Sep2020.dta   Varanasi_Apr2020.dta     Varanasi_Aug2020.dta     Varanasi_Dec2020.dta     Varanasi_Feb2021.dta     Varanasi_Jan2021.dta     Varanasi_Jul2020.dta     Varanasi_Jun2020.dta     Varanasi_Mar2021.dta     Varanasi_May2020.dta     Varanasi_Nov2020.dta     Varanasi_Oct2020.dta     Varanasi_Sep2020.dta"

     foreach name of local names {
               append using "02_ProcessedData/UttarPradesh2020_2021/`name'"
                    }

     local names "Agra_Apr2021.dta  Agra_May2021.dta    Aligarh_Apr2021.dta Aligarh_May2021.dta AmbedkarNagar_Apr2021.dta     AmbedkarNagar_May2021.dta     Amethi_Apr2021.dta  Amethi_May2021.dta  Amroha_Apr2021.dta  Amroha_May2021.dta  Auraiya_Apr2021.dta Auraiya_May2021.dta Ayodhya_Apr2021.dta Ayodhya_May2021.dta Azamgarh_Apr2021.dta     Azamgarh_May2021.dta     Baghpat_Apr2021.dta Baghpat_May2021.dta Bahraich_Apr2021.dta     Bahraich_May2021.dta     Ballia_Apr2021.dta  Ballia_May2021.dta  Balrampur_Apr2021.dta    Balrampur_May2021.dta    Banda_Apr2021.dta   Banda_May2021.dta   Barabanki_Apr2021.dta    Barabanki_May2021.dta    Bareilly_Apr2021.dta     Bareilly_May2021.dta     Basti_Apr2021.dta   Basti_May2021.dta   Bhadohi_Apr2021.dta Bhadohi_May2021.dta Bijnor_Apr2021.dta  Bijnor_May2021.dta  Budaun_Apr2021.dta  Budaun_May2021.dta  Bulandshahr_Apr2021.dta  Bulandshahr_May2021.dta  Chandauli_Apr2021.dta    Chandauli_May2021.dta    Chitrakoot_Apr2021.dta   Chitrakoot_May2021.dta   Deoria_Apr2021.dta  Deoria_May2021.dta  Etah_Apr2021.dta    Etah_May2021.dta    Etawah_Apr2021.dta  Etawah_May2021.dta  Farrukhabad_Apr2021.dta  Farrukhabad_May2021.dta  Fatehpur_Apr2021.dta     Fatehpur_May2021.dta     Firozabad_Apr2021.dta    Firozabad_May2021.dta    GautamBuddhaNagar_Apr2021.dta GautamBuddhaNagar_May2021.dta Ghaziabad_Apr2021.dta    Ghaziabad_May2021.dta    Ghazipur_Apr2021.dta     Ghazipur_May2021.dta     Gonda_Apr2021.dta   Gonda_May2021.dta   Gorakhpur_Apr2021.dta    Gorakhpur_May2021.dta    Hamirpur_Apr2021.dta     Hamirpur_May2021.dta     Hapur_Apr2021.dta   Hapur_May2021.dta   Hardoi_Apr2021.dta  Hardoi_May2021.dta  Hathras_Apr2021.dta Hathras_May2021.dta Jalaun_Apr2021.dta  Jalaun_May2021.dta  Jaunpur_Apr2021.dta Jaunpur_May2021.dta Jhansi_Apr2021.dta  Jhansi_May2021.dta  Kannauj_Apr2021.dta Kannauj_May2021.dta KanpurDehat_Apr2021.dta  KanpurDehat_May2021.dta  KanpurNagar_Apr2021.dta  KanpurNagar_May2021.dta  Kasganj_Apr2021.dta Kasganj_May2021.dta Kaushambi_Apr2021.dta    Kaushambi_May2021.dta    Kheri_Apr2021.dta   Kheri_May2021.dta   KushiNagar_Apr2021.dta   KushiNagar_May2021.dta   Lalitpur_Apr2021.dta     Lalitpur_May2021.dta     Lucknow_Apr2021.dta Lucknow_May2021.dta Maharajganj_Apr2021.dta  Maharajganj_May2021.dta  Mahoba_Apr2021.dta  Mahoba_May2021.dta  Mainpuri_Apr2021.dta     Mainpuri_May2021.dta     Mathura_Apr2021.dta Mathura_May2021.dta Mau_Apr2021.dta     Mau_May2021.dta     Meerut_Apr2021.dta  Meerut_May2021.dta  Mirzapur_Apr2021.dta     Mirzapur_May2021.dta     Moradabad_Apr2021.dta    Moradabad_May2021.dta    Muzaffarnagar_Apr2021.dta     Muzaffarnagar_May2021.dta     Pilibhit_Apr2021.dta     Pilibhit_May2021.dta     Pratapgarh_Apr2021.dta   Pratapgarh_May2021.dta   Prayagraj_Apr2021.dta    Prayagraj_May2021.dta    RaeBareli_Apr2021.dta    RaeBareli_May2021.dta    Rampur_Apr2021.dta  Rampur_May2021.dta  Saharanpur_Apr2021.dta   Saharanpur_May2021.dta   Sambhal_Apr2021.dta Sambhal_May2021.dta SantKabeerNagar_Apr2021.dta    SantKabeerNagar_May2021.dta    Shahjahanpur_Apr2021.dta Shahjahanpur_May2021.dta Shamli_Apr2021.dta  Shamli_May2021.dta  Shravasti_Apr2021.dta    Shravasti_May2021.dta    SiddharthNagar_Apr2021.dta    SiddharthNagar_May2021.dta    Sitapur_Apr2021.dta Sitapur_May2021.dta Sonbhadra_Apr2021.dta    Sonbhadra_May2021.dta    Sultanpur_Apr2021.dta    Sultanpur_May2021.dta    Unnao_Apr2021.dta   Unnao_May2021.dta   Varanasi_Apr2021.dta     Varanasi_May2021.dta"
     foreach name of local names {
               append using "02_ProcessedData/UttarPradesh2021_2022/`name'"
                    }
     
     save "02_ProcessedData/UttarPradesh_all.dta", replace




* Append all malaria data and add subdistrict and district features
     u "02_ProcessedData/Chhattisgarh_all.dta", clear
     append using "02_ProcessedData/Jharkhand_all.dta"
     append using "02_ProcessedData/UttarPradesh_all.dta"
     
     gen date_numeric = date(date, "MY")
     gen year = year(date_numeric)
     gen month = month(date_numeric)

     order state district subdistrict type date date_numeric year month
     sort district subdistrict type date_numeric

     encode type, gen(type_numeric)

     gen outcome = ""
     
     replace outcome = "childhood_all" if type_numeric>=1 & type_numeric<=13
     replace outcome = "childhood_malaria" if type_numeric==6

     replace outcome = "deaths_adults_all" if type_numeric>=27 & type_numeric<=54
     replace outcome = "deaths_adults_all" if type_numeric>=60 & type_numeric<=65

     replace outcome = "deaths_adults_malaria" if type_numeric==64| type_numeric==65
     
     replace outcome = "kalaazar_positive" if type_numeric==21
     replace outcome = "kalaazar_tests" if type_numeric==22
    
     replace outcome = "encephalitis_positive" if type_numeric==82
     replace outcome = "encephalitis_tests" if type_numeric==81

     replace outcome = "malaria_positive" if ///
     type == "MalariaMicroscopyTests-PlasmodiumFalciparumtestpositive" | /// 
     type == "MalariaMicroscopyTests-PlasmodiumVivaxtestpositive" | ///
     type == "MalariaRDT-PlamodiumFalciparumtestpositive" | ///
     type == "MalariaRDT-PlasmodiumVivaxtestpositive"
     
     replace outcome = "malaria_tests" if ///
     type == "TotalBloodSmearsExaminedforMalaria" | ///
     type == "RDTconductedforMalaria"   


     keep if outcome != ""



     * drop district with duplicated name: Balrampur
     drop if district == "Balrampur"
     collapse (sum) total public private urban rural (first) date year month, by(state district subdistrict date_numeric outcome)

    
     bys state district subdistrict date_numeric (outcome): gen malaria_rate = total/total[_n+1] if outcome=="malaria_positive"
     bys state district subdistrict date_numeric (outcome): gen malaria_rate_u = urban/urban[_n+1] if outcome=="malaria_positive"
     bys state district subdistrict date_numeric (outcome): gen malaria_rate_r = rural/rural[_n+1] if outcome=="malaria_positive"

     bys state district subdistrict date_numeric (outcome): gen malaria_rate_pub = public/public[_n+1] if outcome=="malaria_positive"
     bys state district subdistrict date_numeric (outcome): gen malaria_rate_pri = private/private[_n+1] if outcome=="malaria_positive"

     bys state district subdistrict date_numeric (outcome): gen malaria_tests = total if outcome=="malaria_tests"
     bys state district subdistrict date_numeric (outcome): gen malaria_tests_u = urban if outcome=="malaria_tests"
     bys state district subdistrict date_numeric (outcome): gen malaria_tests_r = rural if outcome=="malaria_tests"

     bys state district date_numeric (outcome): gen malaria_positive = total if outcome=="malaria_positive"
     bys state district date_numeric (outcome): gen malaria_positive_u = urban if outcome=="malaria_positive"
     bys state district date_numeric (outcome): gen malaria_positive_r = rural if outcome=="malaria_positive"

     bys state district subdistrict date_numeric (outcome): gen malaria_death = total if outcome=="deaths_adults_malaria"
     bys state district subdistrict date_numeric (outcome): gen malaria_death_u = urban if outcome=="deaths_adults_malaria"
     bys state district subdistrict date_numeric (outcome): gen malaria_death_r = rural if outcome=="deaths_adults_malaria"

     bys state district subdistrict date_numeric (outcome): gen malaria_death_rate = total/total[_n-1] if outcome=="deaths_adults_malaria"
     bys state district subdistrict date_numeric (outcome): gen malaria_death_rate_u = urban/urban[_n-1] if outcome=="deaths_adults_malaria"
     bys state district subdistrict date_numeric (outcome): gen malaria_death_rate_r = rural/rural[_n-1] if outcome=="deaths_adults_malaria"


     bys state district subdistrict date_numeric (outcome): gen malaria_child_positive = total if outcome=="childhood_malaria"
     bys state district subdistrict date_numeric (outcome): gen malaria_child_positive_u = urban if outcome=="childhood_malaria"
     bys state district subdistrict date_numeric (outcome): gen malaria_child_positive_r = rural if outcome=="childhood_malaria"


     bys state district subdistrict date_numeric (outcome): gen malaria_child_rate = total/total[_n-1] if outcome=="childhood_malaria"
     bys state district subdistrict date_numeric (outcome): gen malaria_child_rate_u = urban/urban[_n-1] if outcome=="childhood_malaria"
     bys state district subdistrict date_numeric (outcome): gen malaria_child_rate_r = rural/rural[_n-1] if outcome=="childhood_malaria"

     bys state district subdistrict date_numeric (outcome): gen encephalitis_rate = total/total[_n+1] if outcome=="encephalitis_positive"
     bys state district subdistrict date_numeric (outcome): gen encephalitis_rate_u = urban/urban[_n+1] if outcome=="encephalitis_positive"
     bys state district subdistrict date_numeric (outcome): gen encephalitis_rate_r = rural/rural[_n+1] if outcome=="encephalitis_positive"

     bys state district subdistrict date_numeric (outcome): gen kalaazar_rate = total/total[_n+1] if outcome=="kalaazar_positive"
     bys state district subdistrict date_numeric (outcome): gen kalaazar_rate_u = urban/urban[_n+1] if outcome=="kalaazar_positive"
     bys state district subdistrict date_numeric (outcome): gen kalaazar_rate_r = rural/rural[_n+1] if outcome=="kalaazar_positive"

     collapse (first) date year month (max)  malaria_rate* malaria_tests* malaria_positive* malaria_death*  malaria_child* kalaazar_rate* encephalitis_rate*, by(state district subdistrict date_numeric)
 
     merge m:1 state district subdistrict using "01_RawData/subdistricts_features.dta", nogen keep(matched)
     merge m:1 state district using "01_RawData/treatment_assignment.dta", keep(matched)
    


**** PREPARE FOR ANALYSIS
          
     gen  date_format1 = ym(year, month)
     gen  date_format2 = ym(year, month)
     format date_format2 %tm
     
     * Clean inconsistent data (set rates above 1 to missing) 
     foreach x of varlist malaria_rate malaria_rate_u malaria_rate_r malaria_rate_pub malaria_rate_pri malaria_death_rate malaria_death_rate_u malaria_death_rate_r malaria_child_rate malaria_child_rate_u malaria_child_rate_r kalaazar_rate kalaazar_rate_u kalaazar_rate_r encephalitis_rate encephalitis_rate_u encephalitis_rate_r {
          recode `x' (*=.) if `x'>1
          qui sum `x',d 
     }
     
     * Malaria cases per Million people 
     gen incidence_rate = (malaria_positive/popsum)*1000000
     gen uincidence_rate = (malaria_positive_u/popsum)*1000000
     gen rincidence_rate = (malaria_positive_r/popsum)*1000000
     
     * Incidence rates
     recode incidence_rate (0=.) if malaria_tests==0 
     recode uincidence_rate (0=.) if malaria_tests_u==0 
     recode rincidence_rate (0=.) if malaria_tests_r==0 
     
     recode malaria_positive (0=.) if malaria_tests==0 
     recode malaria_positive_u (0=.) if malaria_tests_u==0 
     recode malaria_positive_r (0=.) if malaria_tests_r==0 
     
     recode incidence_rate (*=.) if malaria_positive>malaria_tests
     recode uincidence_rate (*=.) if malaria_positive_u>malaria_tests_u
     recode rincidence_rate (*=.) if malaria_positive_r>malaria_tests_r
    
     recode malaria_positive (*=.) if malaria_positive>malaria_tests
     recode malaria_positive_u (*=.) if malaria_positive_u>malaria_tests_u
     recode malaria_positive_r (*=.) if malaria_positive_r>malaria_tests_r
    
     recode malaria_tests (*=.) if malaria_positive==.
     recode malaria_tests_u (*=.) if malaria_positive_u==.
     recode malaria_tests_r (*=.) if malaria_positive_r==.

     * Children cases
     gen childincidence_rate = (malaria_child_positive/popsum)*1000000
     gen uchildincidence_rate = (malaria_child_positive_u/popsum)*1000000
     gen rchildincidence_rate = (malaria_child_positive_r/popsum)*1000000
     
     recode childincidence_rate (*=.) if malaria_positive>malaria_tests
     recode uchildincidence_rate (*=.) if malaria_positive_u>malaria_tests_u
     recode rchildincidence_rate (*=.) if malaria_positive_r>malaria_tests_r
 
     recode childincidence_rate (*=.) if malaria_tests==0
     recode uchildincidence_rate (*=.) if malaria_tests_u==0
     recode rchildincidence_rate (*=.) if malaria_tests_r==0

     * Deaths
     gen death_incidence = (malaria_death/popsum)*1000000
     gen udeath_incidence = (malaria_death_u/popsum)*1000000
     gen rdeath_incidence = (malaria_death_r/popsum)*1000000

     * Tests conducted per M people
     gen tests_percapita = (malaria_tests/popsum)*1000000
     gen utests_percapita = (malaria_tests_u/popsum)*1000000
     gen rtests_percapita = (malaria_tests_r/popsum)*1000000
     

     * Generate Post variable for DiD
     * Campaign was ON AIR in Sep2020-Jan2021
     gen post = (date_numeric >= 22159) // Sep2020


     * Urban population
     gen share_urban = (urbansum)/popsum

     * generate various controls 
     gen lcluster_population = log(cluster_population)
     
     foreach x of varlist area popsum elevation_mean elevation_sd equatordis distance_to_capital urbansum semiurbansum {
          gen l`x' = log(`x'+1)
     }

     egen state_id = group(state)
     egen district_id = group(state district)
     egen subdistrict_id = group(district subdistrict)
     egen shapeid_id = group(shapeid)
     gen district_id_time = district_id*date_format2
     gen state_id_time = state_id*date_format2
     gen pop_density = popsum/area


     foreach x of varlist treatment cluster_kutcha cluster_pucca cluster_university cluster_malaria5year cluster_sleepundernet cluster_unemployed cluster_malaria2weeks cluster_population lcluster_population  cluster_cost_per_completion cluster_cost_per_message cluster_ctr cluster_cpm larea area lpopsum popsum elevation_mean elevation_sd lelevation_mean lelevation_sd lequatordis equatordis pop_density distance_to_capital ldistance_to_capital share_urban urbansum lurbansum  share_pop {
          gen `x'_post = `x'*post 
          gen `x'_time = `x'*date_numeric 
    } 


     la var treatment_post "Treated $\times$ Post"
     la var treatment "Treated"
     la var post "Post"
     la var lpopsum_post "Subdistrict population $\times$ Post"
     gen con = 1
     gen con1 = 1
     

     * logs
     foreach x of varlist malaria_tests* malaria_positive* malaria_death* malaria_child*{
          gen l`x' = log(`x'+1)          
     }

     gen pop_k = popsum/1000
     gen malaria_rate_pc = malaria_rate*100
     gen malaria_rate_r_pc = malaria_rate_r*100
     gen malaria_rate_u_pc = malaria_rate_u*100

     la var malaria_positive "N. of cases"
     la var incidence_rate "N. of cases per M people"
     la var tests_percapita "N. of tests per M people"
     la var malaria_rate_pc "Test positivity rate (\%)"
     la var pop_k "Population (Thousand)"


     save "02_ProcessedData/malaria_subdistrict_processed.dta", replace





