*** FIGURE 3a
* heterogeneity over time
clear all
use "02_ProcessedData/full_panel_month_processed.dta", replace
keep if hasmosquitonet==1


global ind_controls base_malaria5year familymembers  age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim
global ind_controls2 base_malaria5year age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim  
sum $ind_controls

global cluster_controls  cluster_lpopulation cluster_university cluster_pucca  cluster_unemployed  cluster_malaria2weeks cluster_malaria5year  cluster_cost_per_completion  cluster_ctr cluster_cpm cluster_cost_per_message 
sum $cluster_controls


reghdfe avg_perc_membersbednet treatment pucca i.state_id $ind_controls2 $cluster_controls [aw=waves_answered_net] , noabsorb cluster(stratumid)
gen sample = e(sample)

reghdfe avg_perc_membersbednet treatment i.state_id $ind_controls2 $cluster_controls [aw=waves_answered_net] if pucca==1 & end_month==9 & sample, noabsorb cluster(stratumid)
estimates store month9_malaria_1

reghdfe avg_perc_membersbednet treatment i.state_id $ind_controls2 $cluster_controls [aw=waves_answered_net] if pucca==0 & end_month==9 & sample, noabsorb cluster(stratumid)
estimates store month9_malaria_0



reghdfe avg_perc_membersbednet treatment i.state_id $ind_controls2 $cluster_controls [aw=waves_answered_net] if pucca==1 & end_month==10 & sample, noabsorb cluster(stratumid)
estimates store month10_malaria_1
reghdfe avg_perc_membersbednet treatment i.state_id $ind_controls2 $cluster_controls [aw=waves_answered_net] if pucca==0 & end_month==10 & sample, noabsorb cluster(stratumid)
estimates store month10_malaria_0


reghdfe avg_perc_membersbednet treatment i.state_id $ind_controls2 $cluster_controls [aw=waves_answered_net] if pucca==1 & end_month==11 & sample, noabsorb cluster(stratumid)
estimates store month11_malaria_1
reghdfe avg_perc_membersbednet treatment i.state_id $ind_controls2 $cluster_controls [aw=waves_answered_net] if pucca==0 & end_month==11 & sample, noabsorb cluster(stratumid)
estimates store month11_malaria_0


reghdfe avg_perc_membersbednet treatment i.state_id $ind_controls2 $cluster_controls [aw=waves_answered_net] if pucca==1 & end_month==12 & sample, noabsorb cluster(stratumid)
estimates store month12_malaria_1
reghdfe avg_perc_membersbednet treatment i.state_id $ind_controls2 $cluster_controls [aw=waves_answered_net] if pucca==0 & end_month==12 & sample, noabsorb cluster(stratumid)
estimates store month12_malaria_0

coefplot  (month9_malaria_1, rename(treatment="September") keep(treatment) mlcolor(dkorange) mfcolor(dkorange) m(t) ciopts(lcolor(dkorange)) offset(+0.10)) ///
          (month9_malaria_0, rename(treatment="September") keep(treatment) mlcolor(gs5) mfcolor(gs5) m(o) ciopts(lcolor(gs5)) offset(-0.10)) ///
          (month10_malaria_1, rename(treatment="October") keep(treatment) mlcolor(dkorange) mfcolor(dkorange) m(t) ciopts(lcolor(dkorange)) offset(+0.10) nokey) ///
          (month10_malaria_0, rename(treatment="October") keep(treatment) mlcolor(gs5) mfcolor(gs5) m(o) ciopts(lcolor(gs5)) offset(-0.10) nokey) ///
          (month11_malaria_1, rename(treatment="November") keep(treatment) mlcolor(dkorange) mfcolor(dkorange) m(t) ciopts(lcolor(dkorange)) offset(+0.10) nokey) ///
          (month11_malaria_0, rename(treatment="November") keep(treatment) mlcolor(gs5) mfcolor(gs5) m(o) ciopts(lcolor(gs5)) offset(-0.10) nokey) ///
          (month12_malaria_1, rename(treatment="December/ January") keep(treatment) mlcolor(dkorange) mfcolor(dkorange) m(t) ciopts(lcolor(dkorange)) offset(+0.10) nokey) ///
          (month12_malaria_0, rename(treatment="December/ January") keep(treatment) mlcolor(gs5) mfcolor(gs5) m(o) ciopts(lcolor(gs5)) offset(-0.10) nokey) ///
          ||, coeflabels(, wrap(9)) title("Survey month", size(large) color(black)) xline(0, lpattern(dash)  lcolor(gs8)) graphregion(color(white)) plotlabels("Solid house" "Non-solid house") legend(size(medium)) xtitle("Treatment effect on share of HH members who have had malaria", size(medium))  xlabel(,labsize(medium))  ylabel(,labsize(medium)) 

graph export "$output/bednets_ols_bymonth.pdf", replace


