*** FIGURE 3b
* heterogeneity by risk perceptions
clear all
use "02_ProcessedData/full_panel_processed.dta", replace

keep if hasmosquitonet==1

* controls for individual-level outcome
global ind_controls base_malaria5year familymembers  age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim

* control for household-level outcome
global ind_controls2 base_malaria5year age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim  
sum $ind_controls

* cluster-level controls
global cluster_controls  cluster_lpopulation cluster_university cluster_pucca  cluster_unemployed  cluster_malaria2weeks cluster_malaria5year  cluster_cost_per_completion  cluster_ctr cluster_cpm cluster_cost_per_message 
sum $cluster_controls
 
keep if post == 1 

reghdfe avg_perc_membersbednet treatment pucca i.state_id $ind_controls2 $cluster_controls [aw=waves_answered_net] , noabsorb cluster(stratumid)
gen sample = e(sample)

reghdfe avg_perc_membersbednet treatment i.state_id [aw=waves_answered_net] if pucca==1 & base_not_worried_malaria==1 & sample, noabsorb cluster(stratumid)
estimates store not_worried_malaria_1

reghdfe avg_perc_membersbednet treatment i.state_id [aw=waves_answered_net] if pucca==0 & base_not_worried_malaria==1 & sample, noabsorb cluster(stratumid)
estimates store not_worried_malaria_0



reghdfe avg_perc_membersbednet treatment i.state_id [aw=waves_answered_net] if pucca==1 & base_some_worried_malaria==1 & sample, noabsorb cluster(stratumid)
estimates store some_worried_malaria_1
reghdfe avg_perc_membersbednet treatment i.state_id [aw=waves_answered_net] if pucca==0 & base_some_worried_malaria==1 & sample, noabsorb cluster(stratumid)
estimates store some_worried_malaria_0


reghdfe avg_perc_membersbednet treatment i.state_id [aw=waves_answered_net] if pucca==1 & base_worried_malaria==1 & sample, noabsorb cluster(stratumid)
estimates store worried_malaria_1
reghdfe avg_perc_membersbednet treatment i.state_id [aw=waves_answered_net] if pucca==0 & base_worried_malaria==1 & sample, noabsorb cluster(stratumid)
estimates store worried_malaria_0


reghdfe avg_perc_membersbednet treatment i.state_id [aw=waves_answered_net] if pucca==1 & base_ext_worried_malaria==1 & sample, noabsorb cluster(stratumid)
estimates store ext_worried_malaria_1
reghdfe avg_perc_membersbednet treatment i.state_id [aw=waves_answered_net] if pucca==0 & base_ext_worried_malaria==1 & sample, noabsorb cluster(stratumid)
estimates store ext_worried_malaria_0


coefplot  (not_worried_malaria_1, rename(treatment="Not worried at all") keep(treatment) mlcolor(dkorange) mfcolor(dkorange) m(t) ciopts(lcolor(dkorange)) offset(+0.10)) ///
          (not_worried_malaria_0, rename(treatment="Not worried at all") keep(treatment) mlcolor(gs5) mfcolor(gs5) m(o) ciopts(lcolor(gs5)) offset(-0.10)) ///
          (some_worried_malaria_1, rename(treatment="Somewhat worried") keep(treatment) mlcolor(dkorange) mfcolor(dkorange) m(t) ciopts(lcolor(dkorange)) offset(+0.10) nokey) ///
          (some_worried_malaria_0, rename(treatment="Somewhat worried") keep(treatment) mlcolor(gs5) mfcolor(gs5) m(o) ciopts(lcolor(gs5)) offset(-0.10) nokey) ///
          (worried_malaria_1, rename(treatment="Worried") keep(treatment) mlcolor(dkorange) mfcolor(dkorange) m(t) ciopts(lcolor(dkorange)) offset(+0.10) nokey) ///
          (worried_malaria_0, rename(treatment="Worried") keep(treatment) mlcolor(gs5) mfcolor(gs5) m(o) ciopts(lcolor(gs5)) offset(-0.10) nokey) ///
          (ext_worried_malaria_1, rename(treatment="Extremely worried") keep(treatment) mlcolor(dkorange) mfcolor(dkorange) m(t) ciopts(lcolor(dkorange)) offset(+0.10) nokey) ///
          (ext_worried_malaria_0, rename(treatment="Extremely worried") keep(treatment) mlcolor(gs5) mfcolor(gs5) m(o) ciopts(lcolor(gs5)) offset(-0.10) nokey) ///
          ||, coeflabels(, wrap(13)) title("Respondent's concern that any member gets malaria", size(large) color(black)) xline(0, lpattern(dash)  lcolor(gs8)) graphregion(color(white)) plotlabels("Solid house" "Non-solid house") legend(size(medium)) xtitle("Treatment effect on share of HH members who have had malaria", size(medium))  xlabel(,labsize(medium))  ylabel(,labsize(medium)) 

graph export "$output/bednets_ols_byworried.pdf", replace

