*** FIGURE 4b
* heterogeneity by bed net ownership (nets per capita)
clear all
use "02_ProcessedData/xsection_processed.dta", replace

* controls for household-level outcome
global ind_controls2  hasmosquitonet age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim 

eststo: reghdfe share_malaria treatment  pucca $ind_controls2 $cluster_controls, absorb(state_id)  cluster(stratumid)
gen sample = e(sample)

reghdfe share_malaria treatment if pucca==1 & hasmosquitonet & net_percapita<.5 & sample, absorb(state_id)  cluster(stratumid)
estimates store lownetpc_1
reghdfe share_malaria treatment if pucca==0 & hasmosquitonet & net_percapita<.5 & sample, absorb(state_id)  cluster(stratumid)
estimates store lownetpc_0

reghdfe share_malaria treatment  if pucca==1 & hasmosquitonet & net_percapita>=.5 & sample, absorb(state_id)  cluster(stratumid)
estimates store highnetpc_1
reghdfe share_malaria treatment  if pucca==0 & hasmosquitonet & net_percapita>=.5 & sample, absorb(state_id)  cluster(stratumid)
estimates store highnetpc_0


coefplot  (highnetpc_1, rename(treatment="At least 1 bednet every 2 members") keep(treatment) mlcolor(dkorange) mfcolor(dkorange) m(T) ciopts(lcolor(dkorange)) offset(+0.10)) ///
          (highnetpc_0, rename(treatment="At least 1 bednet every 2 members") keep(treatment) mlcolor(gs5) mfcolor(gs5) m(O) ciopts(lcolor(gs5)) offset(-0.10)) ///
          (lownetpc_1, rename(treatment="Less than 1 bednet every 2 members") keep(treatment) mlcolor(dkorange) mfcolor(dkorange) m(T) ciopts(lcolor(dkorange)) offset(+0.10) nokey) ///
          (lownetpc_0, rename(treatment="Less than 1 bednet every 2 members") keep(treatment) mlcolor(gs5) mfcolor(gs5) m(O) ciopts(lcolor(gs5)) offset(-0.10) nokey) ///
          ||, coeflabels(, wrap(18)) title("Households with 1 or more bednets", size(large) color(black)) xline(0, lpattern(dash)  lcolor(gs8)) graphregion(color(white)) plotlabels("Solid house" "Non-solid house") legend(size(medium)) xtitle("Treatment effect on share of HH members who have had malaria", size(medium))  xlabel(,labsize(medium))  ylabel(,labsize(medium)) 

graph export "$output/share_malaria_bynumnet.pdf", replace


