*** FIGURE 5
*** PLOT TRENDS FOR INCIDENCE RATE
clear all
use "02_ProcessedData/malaria_subdistrict_processed.dta", replace

     gen t1 = (date_format2<= 725 & date_format2>=723)
     gen t2 = (date_format2<= 736 & date_format2>=728)

     gen treatment_t1 = treatment*t1 
     gen treatment_t2 = treatment*t2 

     gen time = 1 if t1==1
     replace time = 3 if t2 ==1
     recode time (.=2)
 
     global cluster_controls_time c.cluster_kutcha#time c.cluster_university#time c.cluster_population#time c.cluster_malaria5year#time c.cluster_sleepundernet#time c.cluster_malaria2weeks_post#time

     reghdfe uincidence_rate  treatment_t1 con treatment_t2  $cluster_controls_time if share_pop>0.50, absorb(subdistrict time) cluster(district_id)
     estimates store urban
     reghdfe rincidence_rate  treatment_t1 con treatment_t2  $cluster_controls_time if share_pop>0.50, absorb(subdistrict time) cluster(district_id)
     estimates store rural

     coefplot (urban,  keep(treatment_t1 con treatment_t2)   mlcolor(dkorange) mfcolor(dkorange) lc(dkorange) lw(medthick) ciopts(lcolor(dkorange)) m(T) ), recast(connected) bylabel(Urban incidence (cases/1M people): treated vs. control subdistricts) subtitle(, size(medsmall)) ///
     || (rural, keep(treatment_t1 con treatment_t2)  mlcolor(gs5) mfcolor(gs5) lc(gs5) lp(solid) lw(medthick)  ciopts(lcolor(gs5)) m(O) ), recast(connected) bylabel(Rural incidence (cases/1M people): treated vs. control subdistricts) ///
     ||, norecycle coeflabels(treatment_t1=`"Apr-Jun 2020"' con=`""Jul-Aug 2020" "(omitted)""'  treatment_t2=`"Sep 2020-May 2021"')  vertical xline(2.19, lw(medthick) lp(dash) lcolor(cranberry)) text(10  2.20 "Campaign starts", place(e) size(medsmall) color(cranberry))  yline(0, lpattern(dash) lcolor(gs10)) omit nooffsets ///
     byopts( rows(2)  legend(off) graphregion(color(white)) )   xlabel(,labsize(medsmall)) mlabel(cond(@pval<.05, string(@b,"%9.2f") + "**", string(@b,"%9.2f"))) format(%9.2g) mlabposition(4) mlabgap(*2) mlabcolor(gs3) mlabsize(medsmall) subtitle(, bcolor(gs14) lcolor(black) )
     *xtitle("Months", size(medsmall))

     gr export "$output/incidence_dd_trends.pdf", replace






