*** FIGURE C3
clear all
use "02_ProcessedData/full_panel_processed.dta", replace

keep if post==0

collapse (mean) pucca, by(stratumid naive)
gen non_solid = 1 - pucca


twoway 	(histogram non_solid if naive==1, start(0) width(0.08) color(green%25) ) ///
       	(kdensity non_solid if naive==1, color(green) lw(medthick) bw(0.08) ) ///
       	(histogram non_solid if naive==0, start(0) width(0.08) color(orange%35)) ///
       	(kdensity non_solid if naive==0, color(orange) lw(medthick) bw(0.08) ), ///   
       	legend(order(1 "Naive recruitment" 3 "Optimized recruitment" ) size(medium))  ///
       	ytitle("Number of districts", size(*1.1)) xtitle("Share of respondents living in Non/Semi-solid dwellings", size(*1.1)) ///
		ylabel(0 "0" 0.8 "5" 1.6 "10" 2.4 "15" 3.2 "20" 4 "25") // this is to plot frequencies (number of districts)
     	
     	gr export "$output/optimization.pdf", replace
