
*** TABLE 1
*** CLUSTER LEVEL SUMMARY STATS 
clear all
use "02_ProcessedData/full_panel_processed.dta", replace

global ind_controls waves_answered_all female familymembers pucca semipucca age university secondary primary unemployed student caste_obc caste_scdalit caste_st caste_general  distance_15 distance_15_30 distance_30_60 hasmosquitonet hasairconditioning pregnantwoman hindu muslim base_malaria5year  base_malaria_riskperception base_covid_riskperception
sum $ind_controls if post 

global cluster_controls cluster_population cluster_pucca cluster_university cluster_unemployed cluster_malaria2weeks cluster_malaria5year  cluster_ctr cluster_cpm_usd  cluster_cost_per_message_usd cluster_cost_per_completion_usd   
sum $cluster_controls


keep if post == 1
bys stratumid: gen tag = 1 if _n==1

         local i = 1
          foreach var in $cluster_controls {
              qui reg `var' treatment if tag==1
              outreg, keep(treatment)  rtitle("`: var label `var''") stats(p) sdec(3) ///
                  noautosumm store(row`i')  
              outreg, replay(diff_clu) append(row`i') ctitles("",Difference ) ///
                  store(diff_clu) note("")
              local ++i
          }
          outreg, replay(diff_clu) store(diff)

          outreg, replay(new) addrows("\textbf{Cluster covariates}" "" "") addrtc(1) store(title)
          outreg, replay(title) addrows("" "" "\\[-5ex]") store(title)
          outreg, replay(title) addrows("N. of clusters" "" "") store(title)
          outreg, replay(title) append(diff) store(diff)


     * Then Summary statistics
          local count: word count $cluster_controls
          mat sumstat = J(`count',3,.)

          local i = 1
          foreach var in $cluster_controls {
              qui: summarize `var' if treatment==1 & tag==1
              mat sumstat[`i',1] = r(mean)
              local vart = r(Var)
              qui: summarize `var' if treatment==0 & tag==1
              mat sumstat[`i',2] = r(mean)
              local varcon = r(Var)
              mat sumstat[`i',3] = (sumstat[`i',1]-sumstat[`i',2])/(sqrt(`vart'+`varcon'))
              local i = `i' + 1
          }
          frmttable, statmat(sumstat) store(sumstat) sfmt(f,f,f) sdec(3)
     

          sum cluster_university if treatment==1 & tag==1
              local nt = r(N) 
          sum cluster_university if treatment==0 & tag==1
              local ncon = r(N)

          outreg, replay(new) addrows(""\"")  store(title)
          outreg, replay(title) addrows( "`nt'" "`ncon'" ) addrtc(0) store(title)

         outreg, replay(title) append(sumstat) store(sumstat)
          *outreg, replay(sumstat) addrows("1,000" "1,001" "") store(title)

          *outreg, replay(sumstat) merge(diff) store(diff_ind) addrows("\hline \hline \\[-5.5ex]")
          outreg, replay(sumstat) merge(diff) store(tab) addrows("\hline \\[-5.1ex]")


          outreg using "$output/districts_balance.tex", ///
         replay(tab) tex nocenter fragment plain replace ///
         ctitles("","Treatment","Control","Normalized", "\it T-test" \"","\it Mean","\it Mean", Difference, "(\it p-value)" \"", "(1)","(2)","(3)","(4)") ///
        note("The table reports clusters' characteristics measured at baseline, by experimental condition. Population numbers come from census data. The normalized difference is the difference between the two means divided by the square root of the sum of the variances of the two variables.")
         





