* TABLE 3
** FEVER
clear all
use "02_ProcessedData/full_panel_processed.dta", replace

global ind_controls base_malaria5year familymembers  age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim hasmosquitonet
sum $ind_controls

global cluster_controls  cluster_lpopulation cluster_university cluster_pucca cluster_unemployed  cluster_malaria2weeks cluster_malaria5year  cluster_cost_per_completion  cluster_ctr cluster_cpm  cluster_cost_per_message
sum $cluster_controls

drop if missing(university)

keep if post == 1 

*individual
eststo clear
eststo: reghdfe fever2weeks treatment i.state_id [aw=waves_answered_fever2weeks], noabsorb cluster(stratumid)
qui sum fever2weeks  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe fever2weeks treatment pucca i.state_id $ind_controls $cluster_controls [aw=waves_answered_fever2weeks], noabsorb cluster(stratumid)
qui sum fever2weeks  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)
*reghdfe avg_sleepundernet treatment treatment_pucca pucca [aw=waves_answered], noabsorb cluster(stratumid)

eststo: reghdfe fever2weeks treatment treatment_pucca pucca i.state_id $ind_controls $cluster_controls [aw=waves_answered_fever2weeks], noabsorb cluster(stratumid)
qui sum fever2weeks  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe fever2weeks treatment i.state_id $ind_controls $cluster_controls  if pucca==1 [aw=waves_answered_fever2weeks], noabsorb cluster(stratumid)
qui sum fever2weeks  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe help24_fever treatment i.state_id [aw=waves_answered_help24_fever], noabsorb cluster(stratumid)
qui sum help24_fever  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe help24_fever treatment pucca i.state_id $ind_controls $cluster_controls [aw=waves_answered_help24_fever], noabsorb cluster(stratumid)
qui sum help24_fever if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe help24_fever treatment treatment_pucca pucca i.state_id $ind_controls $cluster_controls [aw=waves_answered_help24_fever], noabsorb cluster(stratumid)
qui sum help24_fever  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe help24_fever treatment i.state_id $ind_controls $cluster_controls if pucca==1 [aw=waves_answered_help24_fever], noabsorb cluster(stratumid)
qui sum help24_fever  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

esttab using "$output/fever_panel_ols.tex",  star(* 0.1 ** 0.05 *** 0.01) numbers nolegend replace mlabels("Full" "Full" "Full" "Solid house" "Full" "Full" "Full" "Solid house") ///
label se compress nogaps depvars se(%9.3f) b(%9.3f) stats(N r2_a mean_C sd_C, fmt(%9.0f  %9.3f %9.3f %9.3f) labels("Observations" "Adj. R-squared" "Mean in control" "SD in control" ) layout("\num{@}"))  keep(treatment treatment_pucca pucca) ///
order(treatment treatment_pucca pucca) mgroups("Any member has had a fever" "Any member sought for help within 24h", pattern(1 0 0 0 1 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
indicate("Individual controls=age" "Cluster controls=cluster_university", l($\checkmark$ "")) note("Each observation is an individual. Responses collected from September 1, 2020 to January 31, 2021 are included and are weighted by the number of survey waves the individual completed in this period. In columns (1-4), the dependent variable takes value 1 if the respondent/family member has had a fever (100.4°F / 38°C or above) at least once in the period under consideration. In columns (5-8), the dependent variable takes value 1 if the respondent/family member with fever has sought for help within 24 hours at least once in the period under consideration. T is the treatment indicator. Solid house is a binary indicator equal to 1 if the individual lives in a dwelling made of stones, bricks, cement or concrete. State fixed-effects are included in all specifications. Individual controls include gender, age, household size, caste, education, distance to the medical center, employment and student status, religion, presence of pregnant woman in the house, ownership of bednet and air conditioner, and 5-year malaria incidence at baseline. Cluster controls are reported in Table \ref{tab:districts-balance}. Standard errors are clustered at the district level. \sym{*} \(p<0.1\), \sym{**} \(p<0.05\), \sym{***} \(p<0.01\)")


