**** TABLE 5
clear all
use "02_ProcessedData/malaria_subdistrict_processed.dta", replace

global incid_subdist_controls_post share_urban_post area_post elevation_mean_post elevation_sd_post distance_to_capital_post
global cluster_controls_post lcluster_population_post cluster_kutcha_post cluster_university_post cluster_malaria5year_post cluster_sleepundernet_post cluster_malaria2weeks_post  

gen timeFE = 1

     * INCIDENCE RATE
     eststo clear
     eststo: reghdfe incidence_rate treatment_post con timeFE state_id#post if share_pop>0.5, absorb(subdistrict_id month year) cluster(district_id)
     cap gen sample = e(sample)
      sum incidence_rate if sample == 1 & post == 0 
      codebook subdistrict_id if sample
     estadd scalar mean_pre =  r(mean) 

     eststo: reghdfe incidence_rate treatment_post con timeFE $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict_id month year) cluster(district_id)
     cap gen sample = e(sample)
      sum incidence_rate if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean) 

     eststo: reghdfe incidence_rate treatment_post con timeFE $incid_subdist_controls_post $cluster_controls_post state_id#post if share_pop>0.50, absorb(subdistrict_id month year) cluster(district_id)
     sum incidence_rate if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)   


     eststo: reghdfe uincidence_rate treatment_post con timeFE state_id#post if share_pop>0.5 , absorb(subdistrict_id month year) cluster(district_id)
     sum incidence_rate if sample == 1 & post == 0 
     codebook subdistrict_id if e(sample)
     estadd scalar mean_pre =  r(mean)  

     eststo: reghdfe uincidence_rate treatment_post con timeFE  $cluster_controls_post state_id#post if share_pop>0.5 , absorb(subdistrict_id month year) cluster(district_id)
     sum incidence_rate if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)   

     eststo: reghdfe uincidence_rate treatment_post con timeFE $incid_subdist_controls_post $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict_id month year) cluster(district_id)
      sum incidence_rate if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)   
     *estadd scalar sd_pre =  r(sd)   

     eststo: reghdfe rincidence_rate treatment_post con timeFE state_id#post if share_pop>0.5, absorb(subdistrict_id month year) cluster(district_id)
      sum incidence_rate if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)   


     eststo: reghdfe rincidence_rate treatment_post con timeFE $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict_id month year) cluster(district_id)
      sum incidence_rate if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)   
     *estadd scalar sd_pre =  r(sd) 
     
     eststo: reghdfe rincidence_rate treatment_post con timeFE $incid_subdist_controls_post $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict_id month year) cluster(district_id)
     qui sum incidence_rate if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)   
     *estadd scalar sd_pre =  r(sd)   
     drop sample 

     esttab using "$output/incidence_dd.tex",  star(* 0.1 ** 0.05 *** 0.01) nonumber nomtitles replace mlabels("(1)" "(2)" "(3)" "(4)" "(5)" "(6)" "(7)" "(8)" "(9)") ///
     label se compress nogaps depvars se(%9.2f) b(%9.2f) stats(N r2_a mean_pre, fmt(%9.0f  %9.3f %9.2f %9.2f) labels("Observations" "Adj. R-squared" "Baseline mean incidence") layout("\num{@}"))  keep(treatment_post) ///
     order(treatment_post)  mgroups("Overall incidence" "Urban incidence" "Rural incidence", pattern(1 0 0 1 0 0 1 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
     nolegend indicate("Subdistrict FE=con" "Month and year FE=timeFE" "District controls=cluster_kutcha_post" "Subdistrict controls=area_post", l($\checkmark$ "")) note("Notes: Each observation is a subdistrict-month-year. The panel spans from April 2020 to May 2021. T takes value 1 if the subdistrict belongs to a treated district. Post takes value 1 after August 2020, i.e. when the Facebook campaign started. Subdistrict controls include: subdistrict area, share of urban population, elevation, terrain ruggedness and distance to the state capital, all interacted with Post. District controls include total population from the Census as well as the shares of baseline survey repondents living in kutcha dwellings, with university degree, sleeping under mosquito nets, and reporting any malaria cases in the last 5 years and 2 weeks, all interacted with Post. All regressions include state fixed-effects interacted with Post. Standard errors are clustered at the district level. Data come from the Indian Health Management Information System. \sym{*} \(p<0.1\), \sym{**} \(p<0.05\), \sym{***} \(p<0.01\)")




