*** TABLE D10
*** NET OWNERSHIP, TREAT or BUY MOSQUITO NET
clear all
use "02_ProcessedData/xsection_processed.dta", replace

global ind_controls familymembers hasmosquitonet  age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim
global ind_controls1 familymembers age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim

global cluster_controls cluster_lpopulation cluster_university cluster_pucca cluster_unemployed cluster_malaria2weeks cluster_malaria5year  cluster_cost_per_completion  cluster_ctr cluster_cpm  cluster_cost_per_message 

recode would_buy_net know_buy_net (*=.) if hasmosquitonet==1

eststo clear

eststo: reghdfe hasmosquitonet treatment pucca $ind_controls1 $cluster_controls , absorb(state_id) cluster(stratumid)
qui sum hasmosquitonet  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe hasmosquitonet treatment $ind_controls1 $cluster_controls if pucca==1, absorb(state_id) cluster(stratumid)
qui sum hasmosquitonet  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe hasmosquitonet treatment $ind_controls1 $cluster_controls if pucca==0, absorb(state_id) cluster(stratumid)
qui sum hasmosquitonet  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)


eststo: reghdfe would_buy_net treatment pucca $ind_controls $cluster_controls , absorb(state_id) cluster(stratumid)
qui sum would_buy_net  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe would_buy_net treatment $ind_controls $cluster_controls if pucca==1, absorb(state_id) cluster(stratumid)
qui sum would_buy_net  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe would_buy_net treatment $ind_controls $cluster_controls if pucca==0, absorb(state_id) cluster(stratumid)
qui sum would_buy_net  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)


eststo: reghdfe treat_net treatment pucca $ind_controls $cluster_controls , absorb(state_id) cluster(stratumid)
qui sum treat_net  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe treat_net treatment $ind_controls $cluster_controls if pucca==1, absorb(state_id) cluster(stratumid)
qui sum treat_net  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe treat_net treatment $ind_controls $cluster_controls if pucca==0, absorb(state_id) cluster(stratumid)
qui sum treat_net  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)


esttab using "$output/treat_buy_net_xsection_ols.tex",  star(* 0.1 ** 0.05 *** 0.01) numbers nolegend replace mlabels("All" "Solid house" "Non-solid house"  "All" "Solid house" "Non-solid house" "All" "Solid house" "Non-solid house" ) ///
label se compress nogaps depvars se(%9.3f) b(%9.3f) stats(N r2_a mean_C sd_C, fmt(%9.0f  %9.3f %9.3f %9.3f) labels("Observations" "Adj. R-squared" "Mean in control" "SD in control" ) layout("\num{@}"))  keep(treatment) ///
order(treatment) mgroups("1 if respondent has a net" "1 if respondent would buy net" "1 if net retreated with insecticide" , pattern(1 0 0 1 0 0 1 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
indicate("Individual controls=age" "Cluster controls=cluster_university", l($\checkmark$ "")) note("Each observation is an individual. Responses collected from January 7, 2021 to March 31, 2021 are included. T is the treatment indicator. Solid house is a binary indicator equal to 1 if the individual lives in a dwelling made of stones, bricks, cement or concrete. State fixed-effects are included in all specifications. Individual controls include gender, age, household size, caste, education, distance to the medical center, employment and student status, religion, presence of pregnant woman in the house, ownership of bednet and of an air conditioner. Cluster controls are reported in Table \ref{tab:districts-balance}. Standard errors are clustered at the district level. \sym{*} \(p<0.1\), \sym{**} \(p<0.05\), \sym{***} \(p<0.01\)")
