*** TABLE D17    
* INCIDENCE RATE ACROSS THRESHOLDS
clear all
     use "02_ProcessedData/malaria_subdistrict_processed.dta", replace

     global incid_subdist_controls_post share_urban_post area_post elevation_mean_post elevation_sd_post distance_to_capital_post
     global cluster_controls_post lcluster_population_post cluster_kutcha_post cluster_university_post cluster_malaria5year_post cluster_sleepundernet_post cluster_malaria2weeks_post  

     eststo clear
     eststo: reghdfe incidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.1, absorb(subdistrict_id month year) cluster(district_id)
     cap gen sample1 = e(sample)
     
     eststo: reghdfe incidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.2, absorb(subdistrict_id month year) cluster(district_id)
     cap gen sample2 = e(sample)
 
     eststo: reghdfe incidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.3, absorb(subdistrict_id month year) cluster(district_id)
     cap gen sample3 = e(sample)

     eststo: reghdfe incidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.4, absorb(subdistrict_id month year) cluster(district_id)
     cap gen sample4 = e(sample)

     eststo: reghdfe incidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict_id month year) cluster(district_id)
     cap gen sample5 = e(sample)
 

     esttab using "$output/dd_sensitivity.tex",  star(* 0.1 ** 0.05 *** 0.01) nonumber nomtitles replace mlabels(">10\%" ">20\%" ">30\%" ">40\%" ">50\%") ///
     label se compress nogaps depvars se(%9.2f) b(%9.2f) stats(N r2_a k, fmt(%9.0f  %9.3f %9.2f) labels("Observations" "Adj. R-squared" \hline) layout("\num{@}"))  keep(treatment_post) ///
     order(treatment_post)  mgroups("Overall incidence", pattern(1 0 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) nolegend fragment


     eststo clear
     eststo: reghdfe uincidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.1, absorb(subdistrict_id month year) cluster(district_id)

     eststo: reghdfe uincidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.2, absorb(subdistrict_id month year) cluster(district_id)

     eststo: reghdfe uincidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.3, absorb(subdistrict_id month year) cluster(district_id)

     eststo: reghdfe uincidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.4, absorb(subdistrict_id month year) cluster(district_id)

     eststo: reghdfe uincidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict_id month year) cluster(district_id)


     esttab using "$output/dd_sensitivity.tex",  star(* 0.1 ** 0.05 *** 0.01) nonumber nomtitles append mlabels(">10\%" ">20\%" ">30\%" ">40\%" ">50\%") ///
     label se compress nogaps depvars se(%9.2f) b(%9.2f) stats(N r2_a k, fmt(%9.0f  %9.3f %9.2f) labels("Observations" "Adj. R-squared" \hline) layout("\num{@}"))  keep(treatment_post) ///
     order(treatment_post)  mgroups("Urban incidence", pattern(1 0 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) nolegend fragment

     
     eststo clear
     eststo: reghdfe rincidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.1, absorb(subdistrict_id month year) cluster(district_id)
     sum incidence_rate if sample1 == 1 & post == 0 
     estadd scalar mean_pre =  r(mean) 
    
     eststo: reghdfe rincidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.2, absorb(subdistrict_id month year) cluster(district_id)
     sum incidence_rate if sample2 == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)  

     eststo: reghdfe rincidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.3, absorb(subdistrict_id month year) cluster(district_id)
     sum incidence_rate if sample3 == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)   

     eststo: reghdfe rincidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.4, absorb(subdistrict_id month year) cluster(district_id)
     sum incidence_rate if sample4 == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)   

     eststo: reghdfe rincidence_rate treatment_post con $incid_subdist_controls_post  $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict_id month year) cluster(district_id)
     sum incidence_rate if sample5 == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)  

     drop sample*
     esttab using "$output/dd_sensitivity.tex",  star(* 0.1 ** 0.05 *** 0.01) nonumber nomtitles append mlabels(">10\%" ">20\%" ">30\%" ">40\%" ">50\%") ///
     label se compress nogaps depvars se(%9.2f) b(%9.2f) stats(N r2_a mean_pre, fmt(%9.0f  %9.3f %9.2f) labels("Observations" "Adj. R-squared" "Mean incidence at baseline") layout("\num{@}"))  keep(treatment_post) ///
     order(treatment_post)  mgroups("Rural incidence", pattern(1 0 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) nolegend fragment
    

