*** TABLE D19
* TESTS CONDUCTED AND POSITIVITY RATES
clear all
     use "02_ProcessedData/malaria_subdistrict_processed.dta", replace

     global incid_subdist_controls_post share_urban_post area_post elevation_mean_post elevation_sd_post distance_to_capital_post
     global cluster_controls_post lcluster_population_post cluster_kutcha_post cluster_university_post cluster_malaria5year_post cluster_sleepundernet_post cluster_malaria2weeks_post  

     

     eststo clear
     eststo: reghdfe tests_percapita treatment_post con $incid_subdist_controls_post $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict month year) cluster(district)
     cap gen sample = e(sample)
     sum tests_percapita if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean) 

     eststo: reghdfe utests_percapita treatment_post con  $incid_subdist_controls_post $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict month year) cluster(district)
     sum tests_percapita if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)   
    
     eststo: reghdfe rtests_percapita treatment_post con $incid_subdist_controls_post $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict month year) cluster(district)
     sum tests_percapita if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)   

     drop sample
     eststo: reghdfe malaria_rate treatment_post con lpopsum_post $incid_subdist_controls_post $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict month year) cluster(district)
     cap gen sample = e(sample)
     sum malaria_rate if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean) 

     eststo: reghdfe malaria_rate_u treatment_post con  lpopsum_post $incid_subdist_controls_post $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict month year) cluster(district)
     sum malaria_rate if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)   
    
     eststo: reghdfe malaria_rate_r treatment_post con lpopsum_post $incid_subdist_controls_post $cluster_controls_post state_id#post if share_pop>0.5, absorb(subdistrict month year) cluster(district)
     sum malaria_rate if sample == 1 & post == 0 
     estadd scalar mean_pre =  r(mean)    
    
     drop sample
     esttab using "$output/tests_dd.tex",  star(* 0.1 ** 0.05 *** 0.01) number nomtitles replace mlabels("All" "Urban" "Rural" "All" "Urban" "Rural") ///
     label se compress nogaps depvars se(%9.3f) b(%9.3f) stats(N r2_a , fmt(%9.0f  %9.3f) labels("Observations" "Adj. R-squared") layout("\num{@}"))  keep(treatment_post ) ///
     order(treatment_post)  mgroups("Tests per M people" "Positive cases/Tests", pattern(1 0 0 1 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
     nolegend indicate("Subdistrict FE=con" "Month and year FE=cluster_university_post" "Subdistrict controls=area_post" "District controls=cluster_kutcha_post", l($\checkmark$ "")) note("Notes: Each observation is a subdistrict-month-year. The panel spans April 2020 to May 2021. Post takes value 1 after August 2020, i.e. when the Facebook campaign started. Subdistrict controls include: subdistrict population (only in columns 4-6), area, share of urban population, elevation, terrain ruggedness and distance to the state capital, all interacted with Post. District controls include total population from the Census as well as the shares of baseline survey repondents living in kutcha dwellings, with university degree, sleeping under mosquito nets, and reporting any malaria cases in the last 5 years and 2 weeks, all interacted with Post. All regressions include state indicators interacted with Post. Standard errors are clustered at the district level. Data come from the Indian Health Management Information System. \sym{*} \(p<0.1\), \sym{**} \(p<0.05\), \sym{***} \(p<0.01\)")





