*** TABLE D20
** LOGIT AD RECALL
clear all
use "02_ProcessedData/endline_processed.dta", replace

global ind_controls base_malaria5year pucca familymembers age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim  hasmosquitonet
sum $ind_controls

global cluster_controls  cluster_lpopulation cluster_university cluster_pucca cluster_unemployed  cluster_malaria2weeks cluster_malaria5year  cluster_cost_per_completion  cluster_ctr cluster_cpm  cluster_cost_per_message
sum $cluster_controls

eststo clear
eststo: logit admnm treatment i.state_id, cluster(stratumid)
qui margins, dydx(treatment) 
matrix A=  r(b) 
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar mar_eff =  A[1,1]

eststo: logit admnm treatment $ind_controls $cluster_controls i.state_id,  cluster(stratumid)
qui margins, dydx(treatment) 
matrix A=  r(b) 
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar mar_eff =  A[1,1]

eststo: logit admnm treatment i.state_id if pucca==1,  cluster(stratumid)
qui margins, dydx(treatment) 
matrix A=  r(b) 
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar mar_eff =  A[1,1]

eststo: logit admnm treatment $ind_controls $cluster_controls i.state_id if pucca==1,  cluster(stratumid)
qui margins, dydx(treatment) 
matrix A=  r(b) 
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar mar_eff =  A[1,1]

eststo: logit admnm treatment i.state_id if pucca==0 ,  cluster(stratumid)
qui margins, dydx(treatment) 
matrix A=  r(b) 
qui sum admnm  if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar mar_eff =  A[1,1]

eststo: logit admnm treatment $ind_controls $cluster_controls i.state_id if pucca==0,  cluster(stratumid)
qui margins, dydx(treatment) 
matrix A=  r(b) 
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar mar_eff =  A[1,1]


esttab using "$output/mnmadrecall_logit.tex",  star(* 0.1 ** 0.05 *** 0.01) nonumbers nolegend replace mlabels("(1)" "(2)" "(3)" "(4)" "(5)" "(6)") ///
label se compress nogaps depvars se(%9.3f) b(%9.3f) stats(N r2_p mar_eff mean_C, fmt(%9.0f  %9.3f %9.3f %9.3f) labels("Observations" "Pseudo R-squared" "Marginal effect" "Mean in control") layout("\num{@}"))  keep(treatment) ///
order(treatment) mgroups("All respondents" "Solid house" "Non-solid house", pattern(1 0 1 0 1 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
indicate("Individual controls=age" "Cluster controls=cluster_university", l($\checkmark$ "")) note("Each observation is an individual. Responses collected in the endline survey between December 15, 2020 and January 31, 201 are included. T is the treatment indicator. Solid house is a binary indicator equal to 1 if the individual lives in a dwelling made of stones, bricks, cement or concrete. State fixed-effects are included in all specifications. Individual controls include gender, age, household size, caste, education, distance to the medical center, employment and student status, religion, presence of pregnant woman in the house, ownership of bednet and air conditioner, and 5-year malaria incidence at baseline. Cluster controls are reported in Table \ref{tab:districts-balance}. Standard errors are clustered at the district level. \sym{*} \(p<0.1\), \sym{**} \(p<0.05\), \sym{***} \(p<0.01\)")





