*** TABLE D21
* Ad recall by age and concerns
clear all
use "02_ProcessedData/endline_processed.dta", replace

global ind_controls base_malaria5year pucca familymembers age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim  hasmosquitonet
sum $ind_controls

global cluster_controls  cluster_lpopulation cluster_university cluster_pucca cluster_unemployed  cluster_malaria2weeks cluster_malaria5year  cluster_cost_per_completion  cluster_ctr cluster_cpm  cluster_cost_per_message
sum $cluster_controls

eststo clear
eststo: reghdfe admnm treatment $ind_controls $cluster_controls if pucca==1 & age<26, absorb(state_id) cluster(stratumid)
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 

eststo: reghdfe admnm treatment $ind_controls $cluster_controls if pucca==1 & age>=26, absorb(state_id) cluster(stratumid)
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 

eststo: reghdfe admnm treatment $ind_controls $cluster_controls if pucca==1 & (base_some_worried_malaria == 1 | base_ext_worried_malaria ==1 | base_worried_malaria == 1), absorb(state_id) cluster(stratumid)
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 

eststo: reghdfe admnm treatment $ind_controls $cluster_controls if pucca==1 & base_not_worried_malaria == 1, absorb(state_id) cluster(stratumid)
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 

eststo: reghdfe admnm treatment $ind_controls $cluster_controls if pucca==0 & age<26, absorb(state_id) cluster(stratumid)
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 

eststo: reghdfe admnm treatment $ind_controls $cluster_controls if pucca==0 & age>=26, absorb(state_id) cluster(stratumid)
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 

eststo: reghdfe admnm treatment $ind_controls $cluster_controls if pucca==0 & (base_some_worried_malaria == 1 | base_ext_worried_malaria ==1 | base_worried_malaria == 1), absorb(state_id) cluster(stratumid)
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 

eststo: reghdfe admnm treatment $ind_controls $cluster_controls if pucca==0 & base_not_worried_malaria == 1, absorb(state_id) cluster(stratumid)
qui sum admnm if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 

esttab using "$output/mnmadrecall_ols_heterogeneous.tex",  star(* 0.1 ** 0.05 *** 0.01) numbers nolegend replace mlabels("Age<26" "Age$\geq$26" "Concerned" "Not concerned" "Age<26" "Age$\geq$26" "Concerned" "Not concerned") ///
label se compress nogaps depvars se(%9.3f) b(%9.3f) stats(N r2_a mean_C, fmt(%9.0f  %9.3f %9.3f) labels("Observations" "Adj. R-squared" "Mean in control") layout("\num{@}"))  keep(treatment) ///
order(treatment) mgroups("Solid house" "Non-solid house", pattern(1 0 0 0 1 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
indicate("Individual controls=age" "Cluster controls=cluster_university", l($\checkmark$ "")) note("Each observation is an individual. Responses collected in the endline survey between December 15, 2020 and January 31, 201 are included. Concerned individuals are those who at baseline reported being at least somewhat worried that someone in their family will get malaria in the next year. T is the treatment indicator. Solid house is a binary indicator equal to 1 if the individual lives in a dwelling made of stones, bricks, cement or concrete. State fixed-effects are included in all specifications. Individual controls include gender, age, household size, caste, education, distance to the medical center, employment and student status, religion, presence of pregnant woman in the house, ownership of bednet and air conditioner, and 5-year malaria incidence at baseline. Cluster controls are reported in Table \ref{tab:districts-balance}. Standard errors are clustered at the district level. \sym{*} \(p<0.1\), \sym{**} \(p<0.05\), \sym{***} \(p<0.01\)")



