* TABLE D23
* LOGIT: BEDNETS
clear all
use "02_ProcessedData/individual_effect_processed.dta", replace

global ind_controls familymembers hasmosquitonet age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim
global ind_controls2 hasmosquitonet age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim
la var treatment "T"

keep if hasmosquitonet==1
eststo clear
eststo: logit sleepundernet ind_treatment treatment pucca  ,  vce(r)
qui margins, dydx(ind_treatment) 
matrix A=  r(b) 
qui sum sleepundernet if e(sample) == 1 & ind_treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)
estadd scalar mar_eff =  A[1,1]


eststo: logit sleepundernet ind_treatment treatment pucca $ind_controls ,  vce(r)
qui margins, dydx(ind_treatment) 
matrix A=  r(b) 
qui sum sleepundernet if e(sample) == 1 & ind_treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)
estadd scalar mar_eff =  A[1,1]


eststo: logit sleepundernet ind_treatment ind_treatment_pucca treatment pucca $ind_controls ,  vce(r)
qui margins, dydx(ind_treatment) 
matrix A=  r(b) 
qui sum sleepundernet if e(sample) == 1 & ind_treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)
estadd scalar mar_eff =  A[1,1]


eststo: logit sleepundernet ind_treatment treatment  $ind_controls if pucca==1,  vce(r)
qui margins, dydx(ind_treatment) 
matrix A=  r(b) 
qui sum sleepundernet if e(sample) == 1 & ind_treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)
estadd scalar mar_eff =  A[1,1]


eststo: logit sleepundernet ind_treatment treatment $ind_controls if pucca==0 ,  vce(r)
qui margins, dydx(ind_treatment) 
matrix A=  r(b) 
qui sum sleepundernet if e(sample) == 1 & ind_treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)
estadd scalar mar_eff =  A[1,1]


esttab using "$output/bednets_individual_logit.tex",  star(* 0.1 ** 0.05 *** 0.01) nonumbers nolegend replace mlabels("(1)" "(2)" "(3)" "(4)" "(5)") ///
label se compress nogaps depvars se(%9.3f) b(%9.3f) stats(N r2_p mar_eff mean_C sd_C, fmt(%9.0f %9.3f %9.3f %9.3f %9.3f) labels("Observations" "Pseudo R-squared" "Marginal effect" "Mean in control" "SD in control" ) layout("\num{@}"))  keep(ind_treatment ind_treatment_pucca treatment pucca) ///
order(ind_treatment ind_treatment_pucca pucca treatment ) mgroups("Any dwelling type" "Solid house" "Non-Solid house", pattern(1 0 0 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
indicate("Individual controls=age", l($\checkmark$ "")) note("Each observation is an individual. Indivitual T is the individual treatment indicator for the remarketing campaign. T is the indicator of the district-level treatment assignment. Solid house is a binary indicator equal to 1 if the individual lives in a dwelling made of stones, bricks, cement or concrete. Individual controls include gender, age, household size, caste, education, distance to the medical center, employment and student status, religion, presence of pregnant woman in the house and ownership of an air conditioner. Heteroskedasticity-robust standard errors in parentheses. \sym{*} \(p<0.1\), \sym{**} \(p<0.05\), \sym{***} \(p<0.01\)")


