*** TABLE D25
* BEDNETS: UNTREATED vs TREATED SAMPLE
clear all
use "02_ProcessedData/individual_effect_processed.dta", replace

global ind_controls familymembers hasmosquitonet age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim
global ind_controls2 hasmosquitonet age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim

preserve
keep if treatment==0
eststo clear
eststo: reghdfe sleepundernet ind_treatment pucca $ind_controls, noabsorb vce(r)
qui sum sleepundernet if e(sample) == 1 & ind_treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe sleepundernet ind_treatment  $ind_controls if  pucca==1, noabsorb vce(r)
qui sum sleepundernet if e(sample) == 1 & ind_treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe sleepundernet ind_treatment $ind_controls if pucca==0 , noabsorb vce(r)
qui sum sleepundernet if e(sample) == 1 & ind_treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)
restore

preserve 
keep if treatment==1
eststo: reghdfe sleepundernet ind_treatment pucca $ind_controls, noabsorb vce(r)
qui sum sleepundernet if e(sample) == 1 & ind_treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe sleepundernet ind_treatment  $ind_controls if  pucca==1, noabsorb vce(r)
qui sum sleepundernet if e(sample) == 1 & ind_treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe sleepundernet ind_treatment $ind_controls if pucca==0 , noabsorb vce(r)
qui sum sleepundernet if e(sample) == 1 & ind_treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)
restore

esttab using "$output/bednets_individual_bytreated.tex",  star(* 0.1 ** 0.05 *** 0.01) numbers nolegend replace mlabels("All" "Solid house" "Non-solid house" "All" "Solid house" "Non-solid house") ///
label se compress nogaps depvars se(%9.3f) b(%9.3f) stats(N r2_a mean_C sd_C, fmt(%9.0f  %9.3f %9.3f %9.3f) labels("Observations" "Adj. R-squared" "Mean in control" "SD in control" ) layout("\num{@}"))  keep(ind_treatment pucca) ///
order(ind_treatment pucca) mgroups("Respondents in control districts" "Respondents in treated districts", pattern(1 0 0 1 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
indicate("Individual controls=age", l($\checkmark$ "")) note("Each observation is an individual. Indivitual T is the individual treatment indicator for the remarketing campaign. Solid house is a binary indicator equal to 1 if the individual lives in a dwelling made of stones, bricks, cement or concrete. Individual controls include gender, age, household size, caste, education, distance to the medical center, employment and student status, religion, presence of pregnant woman in the house, ownership of a bednet and of an air conditioner. Heteroskedasticity-robust standard errors in parentheses. \sym{*} \(p<0.1\), \sym{**} \(p<0.05\), \sym{***} \(p<0.01\)")

