*** TABLE D4
* Balance test: cross sectional data
clear all
use "02_ProcessedData/xsection_processed.dta", replace

global ind_controls female familymembers pucca semipucca_kutcha age university secondary primary unemployed student caste_obc caste_scdalit caste_st caste_general distance_15 distance_15_30 distance_30_60 hasmosquitonet net_percapita hasairconditioning   pregnantwoman hindu muslim 
global cluster_controls cluster_population cluster_pucca cluster_university cluster_unemployed  cluster_malaria2weeks cluster_malaria5year  cluster_ctr cluster_cpm_usd  cluster_cost_per_message_usd cluster_cost_per_completion_usd   

sum $ind_controls 


         local i = 1
          foreach var in $ind_controls {
              qui reg `var' treatment, cluster(stratumid)
              outreg, keep(treatment)  rtitle("`: var label `var''") stats(p) sdec(3) ///
                  noautosumm store(row`i')  
              outreg, replay(diff_ind) append(row`i') ctitles("",Difference ) ///
                  store(diff_ind) note("")
              local ++i
          }
          outreg, replay(diff_ind) store(diff)

          outreg, replay(new) addrows("\hline \textbf{Covariates}" "" "") addrtc(1) store(title)
          outreg, replay(title) addrows("" "" "\\[-5ex]") store(title)
          outreg, replay(title) addrows("N. of respondents" "" "") store(title)


          outreg, replay(title) append(diff) store(diff)


          * Then Summary statistics
          local count: word count $ind_controls
          mat sumstat = J(`count',3,.)

          local i = 1
          foreach var in $ind_controls {
              qui: summarize `var' if treatment==1
              mat sumstat[`i',1] = r(mean)
              local vart = r(Var)
              qui: summarize `var' if treatment==0 
              mat sumstat[`i',2] = r(mean)
              local varcon = r(Var)
              mat sumstat[`i',3] = (sumstat[`i',1]-sumstat[`i',2])/(sqrt(`vart'+`varcon'))
              local i = `i' + 1
          }
          frmttable, statmat(sumstat) store(sumstat) sfmt(f,f,f) sdec(3)
          
          sum female if treatment==1
              local nt = r(N) 
          sum female if treatment==0
              local ncon = r(N)

          outreg, replay(new) addrows(""\"")  store(title)
          outreg, replay(title) addrows( "`nt'" "`ncon'" ) addrtc(0) store(title)

          outreg, replay(title) append(sumstat) store(sumstat)

          outreg, replay(sumstat) merge(diff) store(tab) addrows("\hline \\[-5.1ex]")


          outreg using "$output/cross_section_balance.tex", ///
          replay(tab) tex nocenter fragment plain replace ///
          ctitles("","Treatment","Control","Normalized", "\it T-test" \"","\it Mean","\it Mean", Difference, "(\it p-value)" \"", "(1)","(2)","(3)","(4)") ///
          note("The table reports  covariates for individuals' and households' in the cross-sectional sample by experimental condition. The normalized difference is the difference between the two means divided by the square root of the sum of the variances of the two variables.")


