* TABLE D8
*Long-sleeves and spray
clear all
use "02_ProcessedData/full_panel_processed.dta", replace

global ind_controls base_malaria5year familymembers  age university secondary primary unemployed student female caste_obc caste_other caste_scdalit caste_st  distance_15 distance_15_30 distance_30_60 hasairconditioning pregnantwoman hindu muslim hasmosquitonet
sum $ind_controls
global cluster_controls  cluster_lpopulation cluster_university cluster_pucca  cluster_unemployed  cluster_malaria2weeks cluster_malaria5year  cluster_cost_per_completion  cluster_ctr cluster_cpm cluster_cost_per_message 
sum $cluster_controls

keep if post == 1 

eststo clear
reghdfe avg_longsleeves treatment pucca i.state_id $ind_controls $cluster_controls [aw=waves_answered_sleeves] , noabsorb cluster(stratumid)
gen sample = e(sample)

eststo: reghdfe avg_longsleeves treatment pucca i.state_id [aw=waves_answered_sleeves] if sample==1, noabsorb cluster(stratumid)
qui sum avg_longsleeves [aw=waves_answered_sleeves] if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe avg_longsleeves treatment pucca i.state_id $ind_controls $cluster_controls [aw=waves_answered_sleeves], noabsorb cluster(stratumid)
qui sum avg_longsleeves [aw=waves_answered_sleeves] if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe avg_longsleeves treatment treatment_pucca pucca i.state_id $ind_controls $cluster_controls [aw=waves_answered_sleeves], noabsorb cluster(stratumid)
qui sum avg_longsleeves [aw=waves_answered_sleeves] if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)


drop sample
reghdfe avg_usedspray treatment pucca i.state_id $ind_controls $cluster_controls [aw=waves_answered_spray] , noabsorb cluster(stratumid)
gen sample = e(sample)

eststo: reghdfe avg_usedspray treatment pucca i.state_id [aw=waves_answered_spray] if sample==1, noabsorb cluster(stratumid)
qui sum avg_usedspray [aw=waves_answered_spray] if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe avg_usedspray treatment pucca i.state_id $ind_controls $cluster_controls [aw=waves_answered_spray], noabsorb cluster(stratumid)
qui sum avg_usedspray [aw=waves_answered_sleeves] if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)

eststo: reghdfe avg_usedspray treatment treatment_pucca pucca i.state_id $ind_controls $cluster_controls [aw=waves_answered_spray], noabsorb cluster(stratumid)
qui sum avg_usedspray [aw=waves_answered_spray] if e(sample) == 1 & treatment == 0  
estadd scalar mean_C =  r(mean) 
estadd scalar sd_C =  r(sd)


esttab using "$output/sleeves_sprays_ols.tex",  star(* 0.1 ** 0.05 *** 0.01) nonumbers nolegend replace mlabels("(1)" "(2)" "(3)" "(4)" "(5)" "(6)") ///
label se compress nogaps depvars se(%9.3f) b(%9.3f) stats(N r2_a mean_C sd_C, fmt(%9.0f  %9.3f %9.3f %9.3f) labels("Observations" "Adj. R-squared" "Mean in control" "SD in control" ) layout("\num{@}"))  keep(treatment treatment_pucca pucca) ///
order(treatment treatment_pucca pucca) mgroups("Share of times any member used long sleeves" "Share of times any member used sprays", pattern(1 0 0 1 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
indicate("Individual controls=age" "Cluster controls=cluster_university", l($\checkmark$ "")) note("Notes: Each observation is an individual. Responses collected from September 1, 2020 to January 31, 2021 are included and are weighted by the number of survey waves the individual completed in this period. T is the treatment indicator. Solid house is a binary indicator equal to 1 if the individual lives in a dwelling made of stones, bricks, cement or concrete. State fixed-effects are included in all specifications. Individual controls include gender, age, household size, caste, education, distance to the medical center, employment and student status, religion, presence of pregnant woman in the house, ownership of bednet and air conditioner, and 5-year malaria incidence at baseline. Cluster controls are reported in Table \ref{tab:districts-balance}. Standard errors are clustered at the district level. \sym{*} \(p<0.1\), \sym{**} \(p<0.05\), \sym{***} \(p<0.01\)")



